2011-05-03  Petr Mladek  <pmladek@suse.cz>  [6d1998a1e4ab2c1df914ba08445f95a750224144]

Version 3.3.99.4, tag libreoffice-3.3.99.4 (3.4.0-beta4)


2011-04-27  Thorsten Behrens  <tbehrens@novell.com>  [aba11ba22d16a2666f970cd2c3da9b51fd8ed679]

sal-disable-backtrace.diff: disable backtrace with DISABLE_SAL_BACKTRACE

allow to disable backtrace when defined the environment variable
DISABLE_SAL_BACKTRACE

2011-04-26  Petr Mladek  <pmladek@suse.cz>  [44df3508cc3b04e272b222cc194c57024eb757a2]

Version 3.3.99.3, tag libreoffice-3.3.99.3 (3.4.0-beta3)


2011-04-19  Petr Mladek  <pmladek@suse.cz>  [ff58fcbf09785c8fe78875e792857e4395cd69fe]

Version 3.3.99.2, tag libreoffice-3.3.99.2 (3.4.0-beta2)


2011-04-15  Norbert Thiebaud  <nthiebaud@gmail.com>  [84359b04afdf56cbb4da040d6a3a682d20fd4d59]

fix MacOSX breakage due to e75d09e4e89d3eda7ddaa2c085678edf9a21293f

it is presumed here that Supported Unix platform are also Posix compliant.

2011-04-15  Christian Dywan  <christian@lanedo.com>  [e75d09e4e89d3eda7ddaa2c085678edf9a21293f]

Fixed LANG setting in the _imp_setProcessLocale() function.


2011-04-14  Julien Chaffraix  <julien.chaffraix@gmail.com>  [a321df520200bbe8fc1c6c1e3974f53baa652c73]

No need to check out execv return value.

If we ever return from execv, it is an error and the code already handle that.
This fixes a dead assignment warning under CLang++.

2011-04-14  Julien Chaffraix  <julien.chaffraix@gmail.com>  [702be0bff5fb9ebbd3367ba72d472677e1b7f6eb]

Fixed some false positives 'dead assignments' seen in CLang++

We removed the OSL_DEBUG_LEVEL > 1 code and replace them with OSL_TRACE.
This should provide the same coverage and remove CLang++ complains.

2011-04-14  Julien Chaffraix  <julien.chaffraix@gmail.com>  [e437226fc306041dba92b8d28c604e7f4262928d]

Fixed a potential null-dereferencing error in osl_closeProfile

Store the new profile in a temporary variable and assign
it to the old profile after we have checked if it is null.
Seen with CLang++.

2011-04-14  Julien Chaffraix  <julien.chaffraix@gmail.com>  [7d0d1f658a970574c663c46459cd2520a8696e37]

Added handling for the write errors in receiveFdPipe.

Fixed a dead assignment in process.c reported by CLang++

2011-04-14  Julien Chaffraix  <julien.chaffraix@gmail.com>  [7654c346ec58955e14253d13bf3bd9eb4ce4a3e6]

Added error handling for pthread_mutexattr_settype.

This fixes a dead assignment reported by CLang++.

2011-04-13  Noel Power  <noel.power@novell.com>  [8f7e06c3d327376ebc29d103bf00c904d9654ad2]

fix for fdo#35108 allow dot net clients to bootstrap libreoffice


2011-04-11  Petr Mladek  <pmladek@suse.cz>  [41a686ce6aa9d88b5ae349521279761b99cc4dee]

Version 3.3.99.1, tag libreoffice-3.3.99.1 (3.4.0-beta1)


2011-04-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1b9ada482ea43fc4632735bcdca77f4bb8eafb2f]

define for older systems


2011-04-07  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [86d31b05473a9c31b9188275ed2c15d32199af2b]

i#20348: made the ordinal suffixe autocorrection internationalized


2011-04-05  Petr Mladek  <pmladek@suse.cz>  [23f7b49c802fcef717e83c00bc367eb2d735dcda]

Merge remote-tracking branch 'origin/libreoffice-3-3' into libreoffice-3-4

Conflicts:
	pyuno/demo/pyunoenv.tcsh
	sal/osl/unx/interlck.c

2011-04-05  Jani Monoses  <jani.monoses@canonical.com>  [1818bf1dbc330974c749ca17b4d7b79796587fae]

prefer gcc __sync functions over pthread

Signed-off-by: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>

2011-04-01  Petr Mladek  <pmladek@suse.cz>  [77d24c6a195fc82b1ffb8bfd6afd47a27eccf021]

Branch libreoffice-3-4

This is 'libreoffice-3-4' - the stable branch for the 3.4.x releases

    + only bug fixes are allowed
    + no approval needed during beta phase (two weeks after branch)
    + 1 approval needed during rc phase and for bugfix releases
    + 2 approvals with different/no affiliation needed for late features
    + regularly merged into master by a selected person when living

Please watch http://wiki.documentfoundation.org/ReleasePlan
and read announces on libreoffice@lists.freedesktop.org

If you want to build something cool, unstable, and risky, use master.

2011-04-01  Rene Engelhard  <rene@debian.org>  [7d919761f492971122f2d9b2c6ff7276485ab69d]

jvmfwk-gij-paths.diff: more gij/libgcj paths


2011-04-01  Caolán McNamara  <caolanm@redhat.com>  [8bf964931be5ec0c0c258ef38f57c3bbb289a4a0]

%s, not %c


2011-03-31  Caolán McNamara  <caolanm@redhat.com>  [8a7a705cab73a8eba1605911a629728911895c3f]

sync names with scp2, and fix macosx copy/link


2011-03-30  Petr Mladek  <pmladek@suse.cz>  [e9654eaf8ea7571f44042cd6024583a207f8b06c]

tiny clean up; removed unwanted comma in array intialization


2011-03-30  Petr Mladek  <pmladek@suse.cz>  [9e692df830d521efdc0a5540425de50cce1bbaf3]

warning-return-values-registry.diff: avoid warning (i#58979)

the code was correct; it was wrongly detected by some gcc versions;
the warning was considered as an error in openSUSE build service;
the change does not cause any harm;

2011-03-30  Caolán McNamara  <caolanm@redhat.com>  [1fff5597b85d207b0bb51753c259c2b89d1528ed]

fix uninitialized bits


2011-03-30  Petr Mladek  <pmladek@suse.cz>  [b2db4550ddc21b16d8b64a558d9dd0f578aed70c]

jvmfwk-modified-javavendors-xml.diff: autodetect java (i#99619)

select the java automatically when the system javavendors.xml is modified
do not force to do it the user manually

2011-03-29  Francisco Saito  <saito@4linux.com.br>  [25f6c8677810c8c6ccca9d4da6df9b47caeea759]

drop bogus executable flag from idl/build/src and config files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [bb1860381156b9ffabbc4fb9a8c5d1d47c4efe3b]

drop bogus executable flag from [ch]xx/bas/asm files


2011-03-29  Caolán McNamara  <caolanm@redhat.com>  [55e825964552951d095ac9c22b5b51353d25ca7c]

WaE: unused nError


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [a832cdc14b81f6c3704e66c2e34952cff6b7d76b]

add ;


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [d7b793ec1eb65f8dcd6a36f56173ce3d44fb9f06]

add PartialWeakComponentImplHelperX for overloaded-virtual


2011-03-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [d65eb090fa2801018c95facfc0bfca4578396eeb]

migrate sal subsequenttests to gbuild


2011-03-27  Julien Nabet  <serval2412@yahoo.fr>  [cab76775a72e2e9e6cd242bbf87dd23475999164]

Strip include guards in idl files. Some include in ifndef were still present


2011-03-26  Julien Nabet  <serval2412@yahoo.fr>  [65c4776197e64b8bcd04b9580e27863cad79baa9]

Strip include guards in idl files in ure/udkapi


2011-03-26  Julien Nabet  <serval2412@yahoo.fr>  [ab85bed60128ab33bd62a57f7ffe80e7864c7aa9]

Add global guard to prepare the work of "Strip include guards in idl files"


2011-03-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [386237b5b9cea260f7b3f5c07a40cfd4025d88a3]

Fix yet another windows breakage


2011-03-25  Caolán McNamara  <caolanm@redhat.com>  [0868d9fb428375d8dd233a5e2246713bd214a2f8]

fix windows build


2011-03-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b09106f009cd386943411be62cf7cc3123389e32]

Wholesale prewin.h/postwin.h removal


2011-03-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ed6c287b9ea86a620349686dcb77178a40c55596]

Don't use "uno_" prefix for libraries on Windows


2011-03-25  Caolán McNamara  <caolanm@redhat.com>  [dcd440d17f8824921c7f99e833adc85209e20579]

WaE: consts the wrong way around


2011-03-25  Thorsten Behrens  <tbehrens@novell.com>  [48c1159b3d49edcc72c58663f6df0c0efce6c2ad]

Deliver new sal_textenc lib for Mac, too

Fixes 497f6489ed496ccd53df7a470aad3e9d4f7ff1f8, which was delivering
only the *nix version of this lib.

2011-03-24  Jan Holesovsky  <kendy@suse.cz>  [a7a3ebf928ec20a0ef53e964ebacecabbe293abf]

Kill the remnants of the PAM removal (PAM_LINK and CRYPT_LINK).


2011-03-24  Michael Meeks  <michael.meeks@novell.com>  [497f6489ed496ccd53df7a470aad3e9d4f7ff1f8]

merge size-sal-textenc i#70166


2011-03-24  Takeshi Abe  <tabe@fixedpoint.jp>  [b904d47d5c75406a6c9a57d1d5fe6cc16ef50dd7]

Fixed typo


2011-03-24  Takeshi Abe  <tabe@fixedpoint.jp>  [1fd4485a98318da0f98f03beb8a1befd6a855692]

Fixed the source file name


2011-03-24  Takeshi Abe  <tabe@fixedpoint.jp>  [4866ced3a3628fbfb973ab04812f1992f9f48d96]

Removed an unchanged variable


2011-03-23  Caolán McNamara  <caolanm@redhat.com>  [d8b6009d86704f9b5c23ea44bc068d4bfd3df3b7]

WaE: unused variable in non-debug mode


2011-03-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [147443a7bdad620e7d2800831aa19dca0468900e]

Work around Visual Studio lameness with "max"


2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [1be61e04c7901c5e2ddee6d55190359956ed58fe]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/ure


2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [ad669b8d2356b1f53c11c33ccb51803fd3ea49fe]

Merge commit 'ooo/DEV300_m103'

Conflicts:
	codemaker/source/bonobowrappermaker/corbaoptions.cxx
	codemaker/source/cppumaker/cppuoptions.cxx
	codemaker/source/cunomaker/cunooptions.cxx
	codemaker/source/idlmaker/idloptions.cxx
	codemaker/source/javamaker/javaoptions.cxx
	cppu/source/typelib/typelib.cxx
	idlc/source/options.cxx
	offapi/com/sun/star/util/PathSubstitution.idl
	offapi/drafts/com/sun/star/form/ListEntryEvent.idl
	offapi/drafts/com/sun/star/form/XBindableValue.idl
	offapi/drafts/com/sun/star/form/XListEntryListener.idl
	offapi/drafts/com/sun/star/form/XListEntrySink.idl
	offapi/drafts/com/sun/star/form/XListEntrySource.idl
	offapi/drafts/com/sun/star/form/XValueBinding.idl
	registry/tools/checksingleton.cxx
	registry/tools/options.hxx
	registry/tools/regcompare.cxx
	registry/tools/regmerge.cxx
	sal/cppunittester/cppunittester.cxx
	sal/osl/unx/socket.c
	sal/osl/w32/diagnose.c
	sal/prj/d.lst
	sal/rtl/source/alloc_fini.cxx
	sal/rtl/source/alloc_global.c
	sal/rtl/source/makefile.mk

2011-03-22  Caolán McNamara  <caolanm@redhat.com>  [60c68897dcbb8e172dc4f7c89602e0cc84d2f0bf]

string LD_PRELOAD from variable list for test comparison


2011-03-21  Michael Meeks  <michael.meeks@novell.com>  [5f3b360f26fb05b2c1b6666321359346f2ddb5a4]

install unit tester in sub-directory to help windows.


2011-03-21  Caolán McNamara  <caolanm@redhat.com>  [252e481647af004cd26f443b2edadfdbabe8353d]

Some of these still don't fly, e.g. parallel build

And hard-coded ports, e.g. two builds at the same time and so forth :-(

2011-03-21  Caolán McNamara  <caolanm@redhat.com>  [c63803864e36b0b88c36ae021fe021e15eac406e]

silence tests


2011-03-21  Caolán McNamara  <caolanm@redhat.com>  [0e1a5d64fcb53df645ee58bdc8e93ae0bc14e615]

some of these don't work for me still


2011-03-21  Caolán McNamara  <caolanm@redhat.com>  [e07c185aaa911526b9bdc2376d60db6845f59964]

WaE: get %ld %d right for x86_64/x86


2011-03-21  Wilhelm Pflueger  <Wilhelm.Pflueger@web.de>  [49092c2df5b4cd13f46bf928a95ede306d69d0ff]

Tests in ure/sal/osl/socket unveiled SocketAddr comparison bug

Reenabled test unveiled a bug in socket.c when comparing socket
addresses.

2011-03-21  Wilhelm Pflueger  <Wilhelm.Pflueger@web.de>  [bcc3dec9bbc8be9f3a24fa24ec43391d8354601e]

Reanimated tests in ure/sal/qa/osl/socket

I had to deactivate the tests in osl_SocketAddr.cxx
and osl_Socket2.cxx in makefile.mk. These tests failed:
osl_SocketAddr.cxx (SHL5TARGET) caused Segmentation fault.
osl_Socket2.cxx (SHL6TARGET) just failed with error 1.

I added the option SILENT_TEST in osl_Socket.cxx and in
sockethelper.hxx to allow tests without output
(t_print disabled).

2011-03-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [edaaca1390b5d95243b12c541986fd89518cb0f5]

Fix Windows build of sal


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [374cce46358edc4a65d5cff84fc511cc3524d8be]

Fixed line style in footnote format GUI and saved it to ODF


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [232e5dfb37f777f1d4a9df7e55266dd9befa56ed]

Fixed documentation for the new ColumnSeparatorStyle property


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [37ba9f96b2a2b34d09a069c556225ffc9f4c00ae]

Added column separator style in ODF


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [2a699c786355d648a8e231a82b880643cf6a86e1]

Fixed the NONE border line style API value


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [3d500bc964a085d34d7a0613610f619c69726b51]

Added a style entry for no lines


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [5f482b8226f514a501a241eceec13c7b465481b3]

Documented css::table::BorderLine2.LineWidth.


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [801dcfbe5321094117dd422cd14018191e4d59aa]

Fixed copy-paste problem


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [d1e2cf872455d0fc28cbc2bbd9ca9a70ef3a07bf]

Borders: added some more types to the API


2011-03-19  Thomas Arnhold  <thomas@arnhold.org>  [7f5ce2bde679d1a512a631eea7909727eba1554f]

Move OSL_ENSURE(sal_False,...) to OSL_FAIL(...)


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [056869b3e4499ea41c8d066f31c79ce48aaa2767]

restore cppunit test, Sequence ctor from sal_Int32 is now explicit


2011-03-18  Tor Lillqvist  <tlillqvist@novell.com>  [5e920d70a33fb2b9fd5361176485a67119201f03]

Deliver the .exe first to avoid an extension-less duplicate file


2011-03-18  Jan Holesovsky  <kendy@suse.cz>  [20b693ec1af607c5055523a7b3d7d092ebdf7480]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/ure

Conflicts:
	sal/qa/rtl/math/rtl_math.cxx
	sal/qa/rtl/math/test_rtl_math.cxx

2011-03-18  Jan Holesovsky  <kendy@suse.cz>  [980b7de55c897cb38f5706164a053f38c1b35d88]

Merge remote-tracking branch 'origin/integration/dev300_m101'

Conflicts:
	bridges/source/remote/urp/urp_environment.cxx
	bridges/source/remote/urp/urp_propertyobject.cxx
	bridges/source/remote/urp/urp_reader.cxx
	remotebridges/source/factory/bridgefactory.cxx
	stoc/source/corereflection/crefl.cxx
	stoc/source/javavm/javavm.cxx
	stoc/source/simpleregistry/simpleregistry.cxx

2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [fddd331a798ae1b017a744c8d0a74b665968218c]

only test this on certain archs


2011-03-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a5e29bd612af978a93dcf97095f8e6ff0c80ef80]

Add PowerPC to the right branch


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [a1f02261063d91544d354f31e18547a0dfbdbbaf]

ensure this builds under windows


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [bcd466b023774d2f334329a7a7b178e11b79896c]

quieten these tests


2011-03-18  Theo van Klaveren  <theo.van.klaveren@gmail.com>  [0d3c93a8df507349e289f679694a3e681ed1eca5]

Enable newly converted unit tests (that work).


2011-03-18  Theo van Klaveren  <theo.van.klaveren@gmail.com>  [712ca1cd5a3e9796d9dcb752b1c53d588f26f43d]

Remove some now-unneeded files.


2011-03-18  Theo van Klaveren  <theo.van.klaveren@gmail.com>  [19382894cfc2c3237f0860223bdfd362d69133b4]

Make the qa/rtl/rtl_ostring test compile again.

These crash on NULL pointers, which they expect the API to handle properly.
It doesn't.

2011-03-18  Theo van Klaveren  <theo.van.klaveren@gmail.com>  [a14cf0613dfdb49d2479a6116f2f51e7481b1525]

Make the qa/rtl/rtl_math test compile again.

Interesting is that it fails a test that according to the API
docs should work (rtl_matH_doubleToString of 1.#INF returns 'INF'
instead of '1.#INF').

2011-03-18  Theo van Klaveren  <theo.van.klaveren@gmail.com>  [082cf074471341e1ea8f069f5013bdcccdcdc38a]

Make the qa/rtl/rtl_logfile test compile again.


2011-03-18  Theo van Klaveren  <theo.van.klaveren@gmail.com>  [5eacd7683cbce9ba1a6900cf9d8f60e7c82d5615]

Make the qa/rtl/rtl_locale test compile again.


2011-03-18  Theo van Klaveren  <theo.van.klaveren@gmail.com>  [0ca3e466c7f39a54a369e1cf65718dac4ce32498]

Make the qa/rtl/rtl_doublelock test compile again.


2011-03-18  Theo van Klaveren  <theo.van.klaveren@gmail.com>  [5173f778bd6656a5050bc2321f6676226cf4e5e5]

Make the qa/rtl/rtl_cipher unit test compile again.


2011-03-18  Theo van Klaveren  <theo.van.klaveren@gmail.com>  [ae3e70dc5ba6d1ad3cd920d6f462138b8546e3ff]

Make the qa/rtl/rtl_crc32 test compile again.


2011-03-16  Caolán McNamara  <caolanm@redhat.com>  [2475c0b62d65f9db542d4fd0a0792795a39185a2]

WaE: return after throw


2011-03-16  Thorsten Behrens  <tbehrens@novell.com>  [c953ef4b46ced010ed3ebd77c4dd11174da60dd1]

Corrected assignment in makefile


2011-03-16  obo  <obo@openoffice.org>  [c8b417d97c982736e9678264673a20d328cabd1f]

CWS-TOOLING: integrate CWS jl164


2011-03-16  obo  <obo@openoffice.org>  [68f4c42f3d048ba763d3e8063c5372b338b54866]

CWS-TOOLING: integrate CWS debuglevels


2011-03-15  Kohei Yoshida  <kyoshida@novell.com>  [df95286c49073bd1b1b7551360d1474c19fe823a]

Skip the java part when --without-java.


2011-03-15  Caolán McNamara  <caolanm@redhat.com>  [a18ac1cc6f9f250ecc05376f16dc69dfc22ca962]

fix build error with better depend


2011-03-15  Thomas Arnhold  <thomas@arnhold.org>  [2353e7bf4a7e5cc2859ff49fcfe76d5257422305]

Remove TRACE usage (macro was empty)


2011-03-15  Thomas Arnhold  <thomas@arnhold.org>  [16d9cd1ff2502ffcc6bd5211bc3fcc905746275a]

Remove unused TRACE macro


2011-03-15  Thomas Arnhold  <thomas@arnhold.org>  [e65d81e645bbe6b250354b01b2ad81e139dea1e4]

Use format string on OSL_TRACE()


2011-03-15  Thomas Arnhold  <thomas@arnhold.org>  [aa9d8ffe3398401992b7dbdd26ef62104a440441]

Use format string on printf()


2011-03-15  Caolán McNamara  <caolanm@redhat.com>  [1e96e0c0daff99a16bc796bbcfbad41a764a93e9]

fix build error, add build depend


2011-03-15  Caolán McNamara  <caolanm@redhat.com>  [428768ca076631cd767dda13a6397e8b371ca6d5]

fix build error, add build depend


2011-03-15  Caolán McNamara  <caolanm@redhat.com>  [4025aa1c48a8de44c89586cc95482f022d4eda3f]

move cppumaker test to cppu


2011-03-15  David Tardon  <dtardon@redhat.com>  [2043bfaf07ce554aa4337b2a78e7762a1ad78812]

fix deps for test


2011-03-15  Wilhelm Pflueger  <Wilhelm.Pflueger@web.de>  [cfc40be4b620b33e10de94aa2963f2b3b9b30e73]

EasyHacks: Reanimated tests in ure/cppuhelper/qa.

I had to deactivate the test 'test_weak.cxx' in prj/build.lst.
This test failed with 'error 139' - this is typically a segfault
during test execution, oops.

2011-03-15  Wilhelm Pflueger  <Wilhelm.Pflueger@web.de>  [d559b0c5ace3c0c5125a67acc844b3d16d5ca991]

EasyHacks: Reanimated tests in ure/codemaker


2011-03-15  Theo van Klaveren  <theo.van.klaveren@gmail.com>  [9cb06706b0e7d14f4bf1c67148cbe199ad2dceca]

Make the qa/sal unit test build, and use it.


2011-03-14  Pantelis Koukousoulas  <pktoss@gmail.com>  [92452e2f0fcda6340290fb08e6043a8df36fc38b]

Support for greek numerals

References:
  http://www.spinellis.gr/blog/20090625/ (Greek Numerals in OpenOffice.org)

  http://user.services.openoffice.org/en/forum/viewtopic.php?f=7&t=7269
  ([Issue+Workaround] Custom Numbering in Bullets and Numbering)

  http://www.opengr.net/forum/viewtopic.php?f=13&t=51

And the references transitively mentioned in the above.

This functionality was implemented during Greek Coding Camp 2009.

NOTE: the present implementation uses the (modern) two-letter version of '6'
(sigma taf) instead of the ancient greek / katharevousa version that uses
the 'stigma' character.

OTOH, we do use the katharevousa 'qoppa' and 'sampi' because there is no
standard modern version that replaces them. If you have that many bullets
so that these symbols are needed, then you had it comin' anyway :p

Author: Pantelis Koukousoulas <pktoss@gmail.com>
License: LGPLv3 / MPL

Signed-off-by: Pantelis Koukousoulas <pktoss@gmail.com>

2011-03-14  Hanno Meyer-Thurow  <h.mth@web.de>  [65e7074902c78ccb6592fa9fe61b8960b4a43bcb]

Merge Gentoo patches from old build and downstream repositories.

1. Do not add compiler default include and library path: potentially build
   against different version of system library than requested by the user.
2. Add a configure option to disable Python2 (PyUNO) bindings. Python3 is
   available for more than two years. Noone cares, therefore rest in peace.
   Python2 is going to be ditched at some point. Simply do not fail then.
   Windows builds need to be updated for BUILD_TYPE: "PYUNO". Or how is it
   handled nowadays?
3. Fix sandbox violation in officecfg module: rm /bin/<language>.zip
4. Add a configure option to search only in one place for JVMs, which is quite
   interesting for Linux Distributions. Enforce the user to place JVMs in one
   base directory.
5. Fix build for libxml-2.7.8 with ICU support.

* config_office-XINC-XLIB-defaults.diff: (1)
* disable-python.diff: (2)
* gentoo-sandbox.diff: (3)
* jvm-search-path.diff: (4)
* libxmlsec_fix_extern_c.diff: (5)

2011-03-14  Tor Lillqvist  <tlillqvist@novell.com>  [aff90fa06ada67f278c21d9852bf096f930b502d]

Use explicitly cast zeros to avoid compilation error with MSVC2010

Could also use nullptr, is it supported by all compiler versions we use?

2011-03-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [2d813aabb8d29ef66b46b06bd182c504769701f6]

debuglevels: pulled and merged DEV300.m102


2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [e30783d620a5f8505db37d71ea1fa547721d1e7e]

mis-merge we don't have pre/postextstl.h


2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [45f5ced361e80751b2a4d3dcf4a1b185a43e44f2]

add a ResettableSolarGuard type


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [c9e98512f3bb5b86e5c7d22a961ec8f76feb508f]

OSL_TRACE: Use format string


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [c2627e8a95ffc81498133cb3f26527c8395064b8]

Move OSL_ENSURE(0,...) to OSL_FAIL(...)


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [ff29e2d893da04490a159f9bc7111199f5e368ff]

Move OSL_ENSURE(0,...) to OSL_FAIL(...)


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [547e296bf1edbd5ef4811d6db00164b113745df8]

Remove unnecessary brackets


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [acde18989db7b3287da1c79b4b588213f6c9ff0c]

Move OSL_ENSURE(false,...) to OSL_FAIL(...)


2011-03-10  Thorsten Behrens  <tbehrens@novell.com>  [282b837322acdd9a47bd08ac3a4c8981e1a3d22b]

Revert "try to get it working"

This reverts commit 7bcc608e98cd2300bf7fcfeb8ca6fbd8f5fd69a0.

Since it was working just fine before, no point in fixing unit tests
by disabling them.

2011-03-10  Martin Hosken  <martin_hosken@sil.org>  [7bcc608e98cd2300bf7fcfeb8ca6fbd8f5fd69a0]

try to get it working


2011-03-10  Caolán McNamara  <caolanm@redhat.com>  [cc57f28d17c9ce04f02a2428c00b1463bd42cc0a]

simplify this a bit


2011-03-09  Jani Monoses  <jani.monoses@canonical.com>  [75f9926ecd485c349b5c66b8881aa5137aacde26]

lp#726529: using the Linaro gcc 4.5 generated code instead

 * this adds memory barriers to the asm code block making it SMP-safe

2011-03-08  Norbert Thiebaud  <nthiebaud@gmail.com>  [bbada576e5f00b94f417cb4682dcd05e55e809a4]

Merge commit 'ooo/DEV300_m101' into integration/dev300_m101

* commit 'ooo/DEV300_m101': (185 commits)
  chart52: cleanup unused legend entry stuff in preparation of issue #i82802#
  masterfix: #i10000# add missing dependency in offapi
  sb138: #i115619# fix for MinGW
  sb138: #i115619#, #i116038# use osl_setThreadName in binaryurp
  sb138: #i115619# osl_setThreadName
  gridsort: i116682: update UnoControlDialog to reflect XDialog
  gridsort: minor changes to the new API: - renamed XMutableGridDataModel::setRowHeading to updateRowHeading for consistency reasons - renamed XSortableGridDataModel to XSortableGridData - actually, this is not a full-fledged model in itself.
  gridsort: grid control related unit tests (first set, more to come)
  sb138: #i116038# fresh implementation of binary URP bridge
  chart52: #28670# make the legend within charts resizeable - part 2
  gridsort: re-did the column resizing - introduced XGridColumn.Flexibility, determining to which degree the column is resized during auto-column-resizing - removed XGridColumn.PreferredWidth - there really is no need for this anymore now - documented the relationship between XGridColumn.Flexibility and XGridColumn.Resizeable - re-implemented TableControl_Impl::impl_ni_updateColumnWidths, with (hopefully) less magic
  sb139: #i116530# improve Java URP bridge error notification by utilizing the java.lang.Throwable cause facility
  gridsort: document the relationship between soorting the data and notifying XGridDataListeners
  gridsort: introduce XGridColumn::DataModelIndex. this allows for column removal/insertion at the GridColumnModel, without the need to touch the GridDataModel
  locales34: #i112431# adapt documentation to reality
  gridsort: introduce XSortableGridDataModel::removeColumnSort
  gridsort: #163172# added UNO API support for sorting grid data. Implementation still unfinished. Things missing in the SortableGridData implementation - add as listener to the delegator, so we're notified of changes - translate and multiplex those changes - do own notifications (XGridDataListener.dataChanged) when the sort order changed - (possibly) update the sort order when the data in the current sort-column changed
  gridsort: made the row title a row heading, being an Any instead of a string
  gridsort: XMutableGridData: renamed updateRow to updateRowData for consistency; introduced updateRowToolTip as shortcut for multiple updateCellToolTip calls
  gridsort: updateCell->updateCellData, setCellToolTip->updateCellToolTip; in both methods, have (Col,Row) params instead of (Row,Col), for consistency reasons
  ...

Conflicts:
	bridges/inc/bridges/remote/bridgeimpl.hxx
	bridges/inc/bridges/remote/connection.h
	bridges/inc/bridges/remote/context.h
	bridges/inc/bridges/remote/helper.hxx
	bridges/inc/bridges/remote/mapping.hxx
	bridges/inc/bridges/remote/proxy.hxx
	bridges/inc/bridges/remote/remote.h
	bridges/inc/bridges/remote/remote.hxx
	bridges/inc/bridges/remote/stub.hxx
	bridges/source/cpp_uno/gcc3_linux_x86-64/uno2cpp.cxx
	bridges/source/remote/context/context.cxx
	bridges/source/remote/static/helper.cxx
	bridges/source/remote/static/mapping.cxx
	bridges/source/remote/static/proxy.cxx
	bridges/source/remote/static/remote.cxx
	bridges/source/remote/static/remote_types.cxx
	bridges/source/remote/static/remote_types.hxx
	bridges/source/remote/static/stub.cxx
	bridges/source/remote/urp/urp_bridgeimpl.cxx
	bridges/source/remote/urp/urp_bridgeimpl.hxx
	bridges/source/remote/urp/urp_cache.h
	bridges/source/remote/urp/urp_cache.hxx
	bridges/source/remote/urp/urp_dispatch.cxx
	bridges/source/remote/urp/urp_dispatch.hxx
	bridges/source/remote/urp/urp_environment.cxx
	bridges/source/remote/urp/urp_job.cxx
	bridges/source/remote/urp/urp_job.hxx
	bridges/source/remote/urp/urp_log.cxx
	bridges/source/remote/urp/urp_log.hxx
	bridges/source/remote/urp/urp_marshal.cxx
	bridges/source/remote/urp/urp_marshal.hxx
	bridges/source/remote/urp/urp_marshal_decl.hxx
	bridges/source/remote/urp/urp_property.hxx
	bridges/source/remote/urp/urp_propertyobject.cxx
	bridges/source/remote/urp/urp_propertyobject.hxx
	bridges/source/remote/urp/urp_reader.cxx
	bridges/source/remote/urp/urp_reader.hxx
	bridges/source/remote/urp/urp_replycontainer.hxx
	bridges/source/remote/urp/urp_threadid.cxx
	bridges/source/remote/urp/urp_threadid.hxx
	bridges/source/remote/urp/urp_unmarshal.cxx
	bridges/source/remote/urp/urp_unmarshal.hxx
	bridges/source/remote/urp/urp_writer.cxx
	bridges/source/remote/urp/urp_writer.hxx
	cppu/source/threadpool/threadpool.cxx
	cppu/util/target.pmk
	cppuhelper/qa/propertysetmixin/comp_propertysetmixin.cxx
	cppuhelper/source/interfacecontainer.cxx
	cpputools/source/regcomplazy/regcomplazy.cxx
	jurt/prj/d.lst
	jvmfwk/source/elements.cxx
	offapi/com/sun/star/awt/grid/GridDataEvent.idl
	offapi/com/sun/star/awt/grid/XGridColumn.idl
	offapi/com/sun/star/awt/tab/makefile.mk
	offapi/com/sun/star/chart2/ExplicitIncrementData.idl
	offapi/com/sun/star/chart2/XPlotter.idl
	offapi/com/sun/star/chart2/XUndoHelper.idl
	offapi/com/sun/star/document/MediaDescriptor.idl
	offapi/com/sun/star/document/makefile.mk
	offapi/com/sun/star/linguistic2/XLanguageGuessing.idl
	offapi/com/sun/star/script/ModuleInfo.idl
	offapi/com/sun/star/script/ModuleType.idl
	offapi/com/sun/star/text/TextMarkupType.idl
	offapi/com/sun/star/util/XTextSearch.idl
	offapi/com/sun/star/xml/sax/XFastAttributeList.idl
	pyuno/source/loader/makefile.mk
	remotebridges/source/bridge/bridge_connection.cxx
	remotebridges/source/bridge/bridge_connection.hxx
	remotebridges/source/bridge/bridge_provider.cxx
	remotebridges/source/bridge/remote_bridge.cxx
	remotebridges/source/bridge/remote_bridge.hxx
	remotebridges/source/dynamicloader/dynamicloader.cxx
	remotebridges/source/factory/bridgefactory.cxx
	remotebridges/source/factory/bridgeimpl.cxx
	remotebridges/source/factory/bridgeimpl.hxx
	remotebridges/source/factory/makefile.mk
	sal/cppunittester/cppunittester.cxx
	sal/inc/osl/diagnose.h
	sal/osl/os2/system.h
	sal/osl/unx/diagnose.c
	sal/osl/unx/file_misc.cxx
	sal/osl/unx/process_impl.cxx
	sal/osl/w32/diagnose.c
	sal/osl/w32/process.cxx
	sal/prj/build.lst
	sal/qa/rtl/math/makefile.mk
	sal/qa/rtl/math/rtl_math.cxx
	sal/qa/rtl/math/rtl_old_testint64.cxx
	sal/qa/rtl/math/test_rtl_math.cxx
	sal/systools/win32/kill/kill.cxx
	sal/textenc/tencinfo.c
	sal/util/sal.map
	stoc/source/inspect/introspection.cxx
	stoc/source/security/file_policy.cxx
	stoc/source/simpleregistry/simpleregistry.cxx

2011-03-08  Petr Mladek  <pmladek@suse.cz>  [aa69dfc89ad7def36625c4cb65088ea30c50405c]

Version 3.3.2.1, tag libreoffice-3.3.2.1 (3.3.2-rc1)


2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [9cc0e5c3906692c2b34fbab5b5e8083fe8e5fb37]

CWS-TOOLING: integrate CWS jsc340


2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [60014d8471301bcab6512964e87767898f544e06]

CWS-TOOLING: integrate CWS fwk165


2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [78bd6e57f420636ec930182478f26b4814ea1206]

CWS-TOOLING: integrate CWS jl165


2011-03-06  Caolán McNamara  <caolanm@redhat.com>  [d43f55540c2086942205b96d7448395ce1371be7]

WaE: silence this annoying warning


2011-03-06  Caolán McNamara  <caolanm@redhat.com>  [94b3aa198071d216bf34e83b63b29aff35e7aefc]

build these cxx files with exceptions enabled


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [1bd92b73b9d27a099f8e56e8df40333bda180fd7]

duplicate mkdir


2011-03-03  Julien Nabet  <serval2412@yahoo.fr>  [bad26f75443cab64c21327584628989b114d5861]

Remove "using namespace ::rtl"


2011-03-03  Julien Nabet  <serval2412@yahoo.fr>  [7ba51c3d250c7ba35babcab88326ed53bb78962a]

Remove "using namespace ::rtl"


2011-03-03  Julien Nabet  <serval2412@yahoo.fr>  [30b25cf3535669de5f88a8dc7c90e15ed171225f]

Remove "using namespace ::rtl"


2011-03-04  Takeshi Abe  <tabe@fixedpoint.jp>  [3af16145583534dff29a522369411ed67791eb3b]

removed dead code; fix a comment


2011-03-03  Joachim Lingner  <jl@openoffice.org>  [fc2bbcd5c69e181d742f3ac8a321cd9f03e6278d]

jl164 #i109096# fixing use of vectors as smart array in osl_loadModules and osl_createprocesswithredirectedio, I introduced them in one of the previous changesets in this cws


2011-03-03  Michael Meeks  <michael.meeks@novell.com>  [b7155b75670ed4813ce505c5f4cb87b8d0c82db2]

install unit tester in sub-directory to help windows.


2011-03-03  Thorsten Behrens  <tbehrens@novell.com>  [66c5a7209b609bbea54034267d0c6c8cd958b20f]

Added using OString - debug code needs it


2011-03-02  Julien Nabet  <serval2412@yahoo.fr>  [8c77c301c72d96e0bf0f648e05f8784fcefc2604]

Remove "using namespace ::rtl"


2011-03-02  Julien Nabet  <serval2412@yahoo.fr>  [dacdec747470cbe80a4bc7d5951e16a35d13df9c]

Remove "using namespace ::rtl"


2011-03-02  Julien Nabet  <serval2412@yahoo.fr>  [fdc03569ba14198aef950594242c7e088649dc33]

Remove "using namespace ::rtl"


2011-03-02  Joachim Lingner  <jl@openoffice.org>  [8521fa6ceb50adab27a3ca013501d0769b8b41af]

jl164 #i109096# osl_createProcesess failed if the executable had a long path on windows


2011-03-02  Ivo Hinkelmann  <ihi@openoffice.org>  [75c7fcf9d5f8448e71a949ee10b6caf377b85d80]

CWS-TOOLING: integrate CWS mhu21


2011-03-02  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [9542efbcf7e68a805a8d03b61044b40c2feb9404]

Update from sibling repository.


2011-03-02  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [918dda31e398e3280fdd5d18a4abe75da44348b8]

#i115784# sal/rtl/alloc: fix makefile define to match source.


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [96c779a14f83f9bce8cb9aecbcbceffbee986be0]

avoid implicit cast


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [cbf879b8acca82d2cebe81e29f5d4cd718b0aecd]

avoid implicit cast


2011-03-01  Thomas Arnhold  <thomas@arnhold.org>  [72d4e373fd998b80c302161b16bee92b77b15351]

Oops, use #if instead of #ifdef


2011-03-01  Thomas Arnhold  <thomas@arnhold.org>  [25b137fb19aa54d34d56426d356e151b43bbc8e1]

Move CMC_DEBUG to OSL_DEBUG_LEVEL 3

This level means 'ultra-verbose'.

2011-03-01  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [6686cc8fd9b374acf995c1dcb855c8d64c60fb97]

#i115784# configure: fix valgrind header check, use VALGRIND_CFLAGS.


2011-03-01  Joachim Lingner  <jl@openoffice.org>  [bcc34756579af9d487d6095d257a7ff9a823e828]

jl164 #i109096# osl_loadModules did not work with long paths.


2011-02-28  Eric Bachard  <ericb@ooo4kids.org>  [156095edc796e9c85b459e7ee677d2b101ab3b9b]

lp#726529 and #i117017#: clarified origin of assembler code

Signed-off-by: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>

2011-02-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [83f2c071758ae7d74669d992e272e50057b895ed]

lp#726529: arm optimizations for ARM 6/7 and gcc < 4.6


2011-02-28  Joachim Lingner  <jl@openoffice.org>  [31bf79303e7d8a05bc3a7943ed752eb5f8ab8787]

jl165 merging heads


2011-02-28  sb  <sb@openoffice.org>  [2e5c4d6df1939dfee06b16e5f6c47e73c54cf2e1]

debuglevels: #i117073# Linux/GCC needs SAL_LOADMODULE_GLOBAL for exception handling to work


2011-02-27  Francois Tigeot  <ftigeot@wolfpond.org>  [0a31a21fc49df237337e7dc6d2dfccfae9e41283]

Handle DragonFly like the other BSDs in more cases.


2011-02-27  Francois Tigeot  <ftigeot@wolfpond.org>  [7f8af4f23d279747455e5266eb6c34572319b621]

Consolidate three #if defined tests in a single one.


2011-02-26  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [98f9dd19ec450216df9637dd09d6007843c11330]

debuglevels: ooops - removed a line of code not intended to be committed


2011-02-26  Thomas Arnhold  <thomas@arnhold.org>  [f4728c25f96efa930c52b3f95a1e2d202d28093b]

Move bogus OSL_ASSERT(msg) to OSL_FAIL(msg)


2011-02-25  David Tardon  <dtardon@redhat.com>  [57433b40f0feef1e73254ff49ff4f6b279fa7796]

shortly describe diagnostic macros


2011-02-25  David Tardon  <dtardon@redhat.com>  [6d1d93a1b8be2581bb197e0763ab9f496c4905fe]

define OSL_FAIL as replacement for DBG_ERROR


2011-02-25  David Tardon  <dtardon@redhat.com>  [a4c7aed449e6cf589f184e8a8f3710d24f030325]

use _OSL_ENSURE to define OSL_ASSERT


2011-02-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [08fa174e76a4688ab12316f8c4a867f9cf120a8a]

debuglevels: GCC WaE / replace cppunit's DynamicLibraryManager (which does not seem to be public API) with osl_loadModule


2011-02-25  sb  <sb@openoffice.org>  [ec1d1c8755792f97be5e73f6f027a357f57c3ed8]

debuglevels: #i117073# added cppunittester --protector support; added unoexceptionprotector and use it in installationtest.mk; reverted changes to smoketest.cxx obsoleted by these additions


2011-02-24  Caolán McNamara  <caolanm@redhat.com>  [55577af75a3165950a2862bc088e155b16d134a4]

order of environ undefined after putenv


2011-02-24  Thomas Arnhold  <thomas@arnhold.org>  [15d87fc0c7afa02d1c396ae1ea0bbef83044cf5e]

Remove MSDOS support


2011-02-24  Caolán McNamara  <caolanm@redhat.com>  [64074050b370a23fead4f92902b4194bfd6c5e8b]

remove empty TESTSHL2LIB


2011-02-24  Caolán McNamara  <caolanm@redhat.com>  [d8b3d6dad7666d9c6f2f552fd7c45dbbeffbedd3]

config dir can vary dramatically, just test for existance


2011-02-24  Caolán McNamara  <caolanm@redhat.com>  [76f358b31a78372d32f6f442be3dc61f401108f1]

WaE: logically last test always passes


2011-02-24  Caolán McNamara  <caolanm@redhat.com>  [923ae117a7bdb4ecfde25599700372098945e9b1]

add some debug code to help find failures


2011-02-24  Juergen Schmidt  <jsc@openoffice.org>  [3e38a544ec65dd533b9282afd4fbd23affb994b3]

jsc340: i115337: correct since tags


2011-02-24  Juergen Schmidt  <jsc@openoffice.org>  [b21af421849da049000f6c655282f2bf2c01a623]

jsc340: merge to dev300m101


2011-02-24  Juergen Schmidt  <jsc@openoffice.org>  [20cd92276aa3ceac492f79f47a61069e61e8925f]

jsc340: i114847: fix name


2011-02-23  Joseph Powers  <jpowers27@cox.net>  [685018b7ab0d87672efd00ffb96f8ab2c1041b01]

Fix MacOS X build issue.


2011-02-23  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [8c8c081adc9ceef58bc0cdf247fb42f6b93d2b6f]

Update from master repository (DEV300_m100).


2011-02-23  Caolán McNamara  <caolanm@redhat.com>  [f70ac89fa387ea8f0cba6663de6fccb4146a028a]

Likely workaround for busted environ on MacOSX


2011-02-23  Caolán McNamara  <caolanm@redhat.com>  [ca13ff4f5ab7adfe5bc2b25fb3d10586c484d29a]

remove dead jobfile.txt


2011-02-23  Caolán McNamara  <caolanm@redhat.com>  [0a81fdb611dd863e17ffa3742d85dcb47fff7041]

get rid of spurious TESTSHL2LIB mentions


2011-02-23  Wilhelm Pflueger  <Wilhelm.Pflueger@web.de>  [7a10c5af23a5d1ad295a5812aa1a85487f547254]

Reanimated test sal/qa/rtl/alloc

This was an easy hack.

Signed-off-by: Wilhelm Pflueger <Wilhelm.Pflueger@web.de>

2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ab0caf97d279e7059ba7cf54570969794a0770d5]

debuglevels: merged to-be-m101


2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [075e9b99300ddeb2b6d33fd9ddefae07225e06d3]

add possibility of passing command line args down to tests


2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [d83d6212f93d792d0d024de1c20a75ff3e839955]

Account for the possibilty of a newline in an env variable

So, lets getline on '\0' and keep it simple.

2011-02-22  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [3e41ccc36e24b1a4eff819402052eab8bdb13d3f]

#i115784# configure: Add check for valgrind/memcheck.h, defining HAVE_VALGRIND_MEMCHECK_H.


2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [933acd0e9aa0565b23e615c314a8044148c32d5e]

temp disable due to tinderbox failure


2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [7f3f8fe0490fd11e050091855aaeedb4ab0a957b]

get to build under windows


2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [3fc9745c19b3775b21f99adfefb9c4b8cff0e7da]

fix to build under windows


2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [9333e5ed15b83de9172ec05e34805ec2cba9a342]

tweak .mk to copy necessary files


2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [e46d8107b61dc5fdcdc6f03ceead377b4193c354]

set test dependency order


2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [d0c677028589dcf3f22aea45337a1553eb382be1]

change all _cppunit.mk to local version


2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [4685d7e6a7e487de431b3eb41b22cfa1943f3266]

make these tests less noisy


2011-02-22  Wilhelm Pflueger  <Wilhelm.Pflueger@web.de>  [50d6bae0ed6608573c9cb1b66a09ee3bbdbe3b1d]

EasyHacks: Re-animate tests in sal/qa/osl

Some tests in osl_process are not running:
a) the batch file for the batch test is not copied to the
execution path
b) osl_execProc_exe_name_in_argument_list() throws an assertion.

2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [f31f722e3ebfdadc872627b0a988375f59a6afb3]

Rework this test to be useful.

Make it test that everything works as expected under EEXIST conditions,
which is what it effectively tested for before.

2011-02-21  Caolán McNamara  <caolanm@redhat.com>  [33e0109fcd97a513d8f501eafdc4c39cee1cfd76]

deliver cppunittester into a different dir than the stock solver/bin

This means that under windows the dlls found in PATH will be found, in the
order set by PATH, and not any dlls that happen be side-by-side with it,
which compromises the test local .dlls before deliver concept.

2011-02-21  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [8ffd93f7ead9d0410670896e01db91fb8ef1b7c9]

disable copy/write unittest as it makes assumptions on the build-environment


2011-02-21  Caolán McNamara  <caolanm@redhat.com>  [a1c2d330f2600f85e569792e8b405c845c70ac52]

this test only makes sense if we're not root


2011-02-21  Francois Tigeot  <ftigeot@wolfpond.org>  [7408db78ded68e2b00b94193fab16d6347ad6fa1]

Remove a typo.


2011-02-21  Francois Tigeot  <ftigeot@wolfpond.org>  [5477745802415912c214efe9d01cbb0ba1b0a3fd]

Remove SCO support.


2011-02-21  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [84658ad078c7ed6ecbfa3869b5c4a2ae2cf4412f]

debuglevels: removed yet another useless (aka: nearly-always-firing) assertion


2011-02-21  Joachim Lingner  <jl@openoffice.org>  [d007345a95f5a50d84e698ce2d8d2d75b9cfe7ca]

jl164 merging heads


2011-02-21  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a26908f116417b05e788702d4edb23b5e3ec6fd3]

debuglevels: removed useless assertions Those assertions were dependent on OSL_DEBUG_LEVEL > 1 (i.e. only existent with "dmake=1"), and then always fired. Which fulfills the definition of "useless", /me thinks.


2011-02-21  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [5bf090438bad56e816feca9e0cc84d91231a2c10]

#i115784# idlc: Fix unreachable "return <result>; break;" statements.


2011-02-21  Tor Lillqvist  <tlillqvist@novell.com>  [19da5157c37be0443754c528e341631697586b0e]

More work on x64 Windows C++-UNO bridge


2011-02-20  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b9d0151272d0d7653e8bf307295b6696ea7ea491]

debuglevels: #i116845# on assertions, don't/call osl_osl_breakDebug depending on an environemnt variable SAL_DIAGNOSE_ABORT. On Unix, osl_breakDebug was previously implemented as exit(0), but never called (since osl_assertFailedLine always returned sal_False). It is now implemented as "abort". On Windows, osl_debugBreak was implemented as DebugBreak, which fits our intention of always aborting on an assertion, given that SAL_DIAGNOSE_ABORT is set. On OS/2 (is this an active port?), osl_debugBreak is implemented as calling "int 3" - which is quite old-fashioned, but should also do what we want.


2011-02-18  Caolán McNamara  <caolanm@redhat.com>  [61e3e21ea1950442daa47fc47ce2d67456c85957]

unused struct


2011-02-18  Caolán McNamara  <caolanm@redhat.com>  [dd808a6ab289bc7daaef25d296216efa48aeec3c]

method is empty


2011-02-18  Caolán McNamara  <caolanm@redhat.com>  [49d1e4a472e24e9133e11f440434d8dfc39d9ec9]

try harder


2011-02-18  Caolán McNamara  <caolanm@redhat.com>  [b04cfea4898d5932365421928a11f44ea5e9f40d]

crash without built-in report dialog on windows


2011-02-18  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [6cc1f270f342583383c35646a035b9c01e7256d0]

#i115784# registry: Fix unreachable "return <result>; break;" statements.


2011-02-18  Joachim Lingner  <jl@openoffice.org>  [0900ab32c363aaa5c717ddd471cd52e9e64bba81]

jl64 #i117009# increase versions of cli assemblies


2011-02-18  Release Engineering  <releng@openoffice.org>  [b49ffdd047b49e52f26430d53705f8f8657433d7]

merged DEV300


2011-02-18  Tor Lillqvist  <tlillqvist@novell.com>  [3982484b86f366769a9d2602269ecf6b905bf4cb]

Kill _WIN16


2011-02-18  Caolán McNamara  <caolanm@redhat.com>  [155a5caa36e3cc6df6481e401191ba1fa91fca1f]

nothing to see here move along, *cough*


2011-02-17  Ivo Hinkelmann  <ihi@openoffice.org>  [3a31213a7d437f1812f9d85540ab84bb157f5805]

CWS-TOOLING: integrate CWS gridsort


2011-02-17  Ivo Hinkelmann  <ihi@openoffice.org>  [16df77fb803bcdfccea3f69e8974c3b4e8891498]

CWS-TOOLING: integrate CWS locales34


2011-02-16  Caolán McNamara  <caolanm@redhat.com>  [967ff0b9d6d636f95221dbd2d060537ce9aa772c]

Silence ASSERT for the test of a deliberate error.

push and pop assert handler for this deliberate error.

2011-02-16  Caolán McNamara  <caolanm@redhat.com>  [270c3ecf0ab512332cf5ae747f5dfc2c8d5a8c2b]

Suppress OSL_ASSERT about the deliberate error in the cppunit test.

We want to test for this, retain the OSL_ASSERT for the normal case, and not
get noise during the test itself.

2011-02-16  Caolán McNamara  <caolanm@redhat.com>  [e32eea1336e1a4af5c44e9019064e2aba4b2a298]

make a dir and explicitly disallow creation of dirs in it

i.e. handles building as root

2011-02-16  Caolán McNamara  <caolanm@redhat.com>  [5befd3675b22fdb32f2f075a81d3c83beadb40e4]

cppcheck: set these as public


2011-02-16  Francois Tigeot  <ftigeot@wolfpond.org>  [65e988cf39dcc71d479e40f94fc505459ee96513]

Remove unused UUID_SYSTEM_TIME_RESOLUTION_100NS_TICKS


2011-02-16  Bálint Dózsa  <dozsabalint@gmail.com>  [be2016fe6c9f092e2c1cf8404695304e0d1cf686]

Remove dead code


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [ef7909c0c4364067775b329aef626b6d0bbe2ca5]

Remove SCO support


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [94b6f309c6eb8cab0460fa5fae38f65a7f0b5fde]

Remove HPUX support


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [8a7f360d2fd73609a76bd7aa927acb2ef83ae5f7]

CWS-TOOLING: integrate CWS sb138


2011-02-16  Carsten Driesner  <cd@openoffice.org>  [3ea19d75149d6094fb1c8d922abbad0c749919ce]

fwk165: Rebase to DEV300m100


2011-02-15  Hanno Meyer-Thurow  <h.mth@web.de>  [33c1d4f21fd6704be59d5f09e2449b7f57a87812]

search for server jvm if client jvm not found


2011-02-15  Caolán McNamara  <caolanm@redhat.com>  [090e198329dd0f8517aeff45a29bbd523a5d8696]

silence some more windows warnings


2011-02-15  Caolán McNamara  <caolanm@redhat.com>  [5eb70f8862d17db9c40987cac3963fe7b31b6d61]

silence a windows warning


2011-02-15  Francois Tigeot  <ftigeot@wolfpond.org>  [ae443f19e6a216c6973d12dcf580b8ba1e532808]

dragonfly stuff


2011-02-15  Muthu Subramanian K  <sumuthu@novell.com>  [4ee351ecf6fbb479d24c248897a25c02c4d9bd52]

Adding new operator for duplicate-conditional formatting.


2011-02-15  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [750292241b4af523ed735d0e493f4d3799f6395f]

chart52: merge with DEV300_m100


2011-02-15  Caolán McNamara  <caolanm@redhat.com>  [cf78e9b2b8df4e9f9cdfbcb914fc823ba104bac5]

clear some windows warnings


2011-02-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b95f94a020236bedef991edbb2fb2d99c807bbf9]

Revert "Revert "Remove useless comments""

Pouring ashes on my head and putting back this one

This reverts commit d5aa25b9dfca4de9dc2a702aeb0fb1e146fb7f2a.

2011-02-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d5aa25b9dfca4de9dc2a702aeb0fb1e146fb7f2a]

Revert "Remove useless comments"

Caolan estimates that these comments are indeed useful, so be it so!!!

This reverts commit f5e77c96802886b24b0da8686cad393649d43da0.

2011-02-14  Joseph Powers  <jpowers27@cox.net>  [df1bd6ddd462265ab6701eb564982d6e4997a87a]

Fix: call of overloaded 'append(char)' is ambiguous


2011-02-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [9188c6bcb042e676cc230cec9c0e637dae46b344]

debuglevels: pulled and merged DEV300.m100


2011-02-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d14b4e0e15e71b45a1f30c457ebb6dcbf29db58d]

gridsort: pulled and merged DEV300_m100


2011-02-14  Robert Nagy  <robert@openbsd.org>  [ca787652a2275eca385713b1c71704f0e4128f2b]

no sys/statfs.h on BSDs


2011-02-14  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [d52a7e72ce312570207d4ac7cf3ce5d9c13f1072]

Unit test cleanup for OUStringBuffer.

Moved OUStringBuffer related tests from qa/srt/strings to
qa/rt/oustringbuffer and reactivated it in project build.
It seems that rtl_OUStringBuffer2.cxx was replaced by
test_oustringbuffer_utf32.cxx so the later has been removed.

Added unit tests for toString.

2011-02-14  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [5e8daecbf11733890a0996fc39fc32c2c8577609]

Added toString() method to O(U)StringBuffer.


2011-02-14  L P  <luke.petrolekas@gmail.com>  [f5e77c96802886b24b0da8686cad393649d43da0]

Remove useless comments


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [b35ee4bc1537b3916e152810537f840931305495]

Revert "Remove useless comments"

This reverts commit 4745753ee82b68d6e044214e915712ca4a37f1e1.

2011-02-14  Jean Charles Papin  <jean.charles.papin@gmail.com>  [4745753ee82b68d6e044214e915712ca4a37f1e1]

Remove useless comments


2011-02-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f487211f810e7b3197322d4781ece09aeb4b1128]

debuglevels: corrected assertion's condition (report the existence, not the non-existence of forward slashes in the given path)


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [3ffb239840fcf9cddbfbe6af3b4be06d2a81f0fd]

move this into comphelper


2011-02-14  Jan Holesovsky  <kendy@suse.cz>  [3465ce32271c2f5214fb50c924f5971b688a409b]

unittest: Allow concurrent run of the osl_File.cxx tests.


2011-02-11  Rene Engelhard  <rene@debian.org>  [7744c3ad6f33c2cb80ae8a1005dce1d5ea2f65c0]

fix pyuno/demo/pyunoenv.tcsh for PYTHONPATH usage


2011-02-11  Caolán McNamara  <caolanm@redhat.com>  [4b8166b889e0873ea50c8b5f0f37a4f4f41ae279]

cppunit: enable this test


2011-02-11  Caolán McNamara  <caolanm@redhat.com>  [ea6a3b90a687ceade6384983ead40375732c8216]

cppunit: enable this test


2011-02-11  sb  <sb@openoffice.org>  [a1f027ac6c3b0f59b2c22d4c169e6bfd03152044]

sb138: merged in re/DEV300_next towards DEV300_m100


2011-02-10  Sébastien Le Ray  <sebastien-libreoffice@orniz.org>  [5cb80049f5a9472260947056a25d89fef31d86b1]

Add compareToNumeric to OUString & Co


2011-02-10  Caolán McNamara  <caolanm@redhat.com>  [b1ca63cb764cfea0eb7e6e924b6ec0023e9d1cd1]

This test sleeps for *20* seconds, disable until/unless that can be elided.


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2d125ab8e8d41b9d1266a6eaae48e1165c5cdec0]

Trying to remove the stlport mention from the code


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [74aeced1f5ea9d614d4b9dd2f3a45cc73c7fd9de]

Removing the ext_std masterpiece


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c2b1f802b40b94358d8610103eacaa98c3e88d84]

Make stlport only optional dependency of postprocess


2011-02-09  Carsten Driesner  <cd@openoffice.org>  [0be751ec6f5ad1bd1ce5d0d34fe348426d7d20df]

#i116896# Extend documentation of the PathSubstitution service


2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [fe0c8d9f74d4e67aaedd072e5b773ad0b12eaf23]

make test -> make check


2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [06050f36056e1c0780a86dad790f2bedc4937cc4]

make test -> make check


2011-02-09  Caolán McNamara  <caolanm@redhat.com>  [b3907ed6534f2b9f2cf751933039b3c56e01ef73]

don't try and remove /tmp


2011-02-09  Caolán McNamara  <caolanm@redhat.com>  [5adf52a6ba3dddbf08f82e2f44f46b14b13c242c]

quieten and quicken some of these tests


2011-02-09  Tor Lillqvist  <tlillqvist@novell.com>  [7270e0881317a4e2468a76193011254466c3662b]

prewin.h already includes <windows.h>


2011-02-08  Caolán McNamara  <caolanm@redhat.com>  [6b55bfbf6854459eb9c8516357e073480c56bdbc]

quieten test, who cares what it does when its working


2011-02-08  Tor Lillqvist  <tlillqvist@novell.com>  [c7adfc2fc0a28fc2881c9a94a432ac1387d9c05a]

This file is C(89), not C++


2011-02-08  Eike Rathke  <erack@openoffice.org>  [e39b50d6e13119bbbceb456dfdad9d194adca04c]

locales34: merge m99


2011-02-08  Kayo Hamid  <revol.code@yahoo.com>  [656b6086318473b4fb3c35cc15afda408e6edcb7]

cppcheck: variableScope fixes


2011-02-08  Joseph Powers  <jpowers27@cox.net>  [0e00d62176a6031f8b8d66a345cb5b0b584400c1]

Get sal/qs somewhat working on Mac OS X

I added about 6 TODOs around disabled tests. The tests need more reseach
and fixed correctly. Currently I just disabled the tests in question.

2011-02-08  Joseph Powers  <jpowers27@cox.net>  [6b483218393e62af7a622caea1d7c0cd70f292b5]

Work on getting SAL to test on Mac OS X


2011-02-08  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [086756aee45dd69342e87179121bdc5068c08244]

chart52: merge master fix


2011-02-08  Tor Lillqvist  <tlillqvist@novell.com>  [14f90e180a5d445da53b7d8f7986d81544647548]

Adapt to move of prewin.h and postwin.h


2011-02-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [075207057b8f877e2d65ae85b11adc206e0ce569]

oops a typo


2011-02-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [200369425f12a136ccd04bf5014a31f3307fd6f6]

Disable some unit tests that don't even build on windows


2011-02-08  Caolán McNamara  <caolanm@redhat.com>  [5b111d62b0dd0fe43ffe2382b83d126b848cb35a]

Reflect the changes of 66b035b10d7d1803692056c8aca11e23095322e3 into the tests

i.e. "#98452# When converting from Unicode to ISO-2022-JP, assume the initial
state is ASCII and do not write any unnecessary <ESC> ( B sequences to
initially switch to ASCII", so we need to modify the test to take this
into account

2011-02-08  Wilhelm Pflueger  <Wilhelm.Pflueger@web.de>  [48c1e72d2ebeb2e00573633204c348ea2be2ab9e]

Re-animated tests that were based on testshl.

One test in test_outstring_convert.cxx fails for method
rtl::OUString::convertToString().

2011-02-08  Caolán McNamara  <caolanm@redhat.com>  [eb94ab44bab0a381ad2aa097199e16bba4045a4a]

fix to build and remove 64bit warnings


2011-02-08  David Tardon  <dtardon@redhat.com>  [094c51f51ce40d844424a85dffc1a63faaf26803]

use local cppunittester


2011-02-08  David Tardon  <dtardon@redhat.com>  [557ec3088059862958a7bacbe45ea275028bbf15]

enable to run non-delivered cppunittester


2011-02-08  David Tardon  <dtardon@redhat.com>  [5c5e8b76f27f45a660455c236496513201afd911]

add (pre|post)extstl.h around cppunit includes


2011-02-08  Wilhelm Pflueger  <Wilhelm.Pflueger@web.de>  [c6d7beccc42bf2d5cfcdb1819e87dd2fafd04ae5]

Reanimated tests in ure/sal

Tests based on deprecated testshl are reanimated for:
osl/condition
osl/file
osl/module
osl/thread

2011-02-08  Jan Holesovsky  <kendy@suse.cz>  [85b804fe80a773a7611993e0e88470091b636f3c]

Merge remote branch 'origin/libreoffice-3-3'

Conflicts:
	bridges/source/cpp_uno/gcc3_linux_intel/except.cxx

2011-02-07  Thomas Arnhold  <thomas@arnhold.org>  [98bfefecfaee978a00b87634bd4c4cf8d533a124]

Remove dead code


2011-02-07  David Tardon  <dtardon@redhat.com>  [5c3430aef23820c6fef9788c181c8738ec44464f]

use locally built cppunittester


2011-02-07  David Tardon  <dtardon@redhat.com>  [d089c16dbe67530232062138b22bedf03581cfff]

actually enable the STL adaptation


2011-02-07  Thomas Arnhold  <thomas@arnhold.org>  [35c7a45a9b20d713e6c65c7f5ce681ff4acdb2b9]

WaE: format not a string literal and no format arguments


2011-02-07  David Tardon  <dtardon@redhat.com>  [35c46ba74bf2eefc5fc50587ef8c637369efdd2b]

add (pre|post)extstl.h around cppunit headers


2011-02-07  David Tardon  <dtardon@redhat.com>  [67b54e7dc3c510fb2ef5eb2f2560632ff2944c88]

TESTSHL2LIB does not exist anymore


2011-02-07  Thomas Arnhold  <thomas@arnhold.org>  [877d6e888ca17a7d8d1f2958482ac33c8a863312]

Remove unused header


2011-02-07  David Tardon  <dtardon@redhat.com>  [a4beacaec3e3a5e96c3d50430c76693baf829456]

WaE: comparison between signed and unsigned integer


2011-02-07  David Tardon  <dtardon@redhat.com>  [1b7057d4079f582f77df6fc359f631b99a4f6a90]

add (pre|post)extstl.h around cppunit headers


2011-02-07  David Tardon  <dtardon@redhat.com>  [7976b3a46c77b304efeb353df8c7d4c1036a8170]

comment out the failing test case for now


2011-02-07  David Tardon  <dtardon@redhat.com>  [5f0c9a113b4b582ac236a0590fba044bba048907]

use rtl::OStringBuffer for message


2011-02-07  Wilhelm Pflueger  <Wilhelm.Pflueger@web.de>  [62ec9adf9004575e6e9bcc428f186bef9d107dd7]

Removed unnecessary includes


2011-02-07  Wilhelm Pflueger  <Wilhelm.Pflueger@web.de>  [925989b09494b8d015c58ca455bcc4a378b029a9]

Re-animated tests that were based on testshl.

One test in test_outstring_convert.cxx fails for method
rtl::OUString::convertToString().

2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f84af006eebfc4bfd8d577fe34b7dc020ce225ed]

std::hash -> boost::hash


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [f575ff4155549e476edd2e557f6fbf633fc32e1f]

OSL_DEBUG_LEVEL formatting


2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [efe11c97df61a7740717665524b176a80977e77f]

don't crash trying to erase one past end


2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d330f2eb0e10beb06a7ba070444f12ead1bb30c7]

Revert "revert this change for now as its triggering a crash in saxparser"

This reverts commit b73cf2b1ef3892b4c200c05fd617bfd099aceee5.

2011-02-04  Caolán McNamara  <caolanm@redhat.com>  [b73cf2b1ef3892b4c200c05fd617bfd099aceee5]

revert this change for now as its triggering a crash in saxparser


2011-02-04  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [853c26095a4cd2f8e0dd6bedc864b0dff0a68f0c]

#i115784# registry/tools: fix unreachable break statement after return.


2011-02-04  Thomas Arnhold  <thomas@arnhold.org>  [eb05de5301e33d53fb02840aa7ec75f0d101a330]

OString: New method isEmpty()


2011-02-04  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [1f5ea409987f0e3f8943cc9e95e8fe5dcc370220]

chart52: cleanup unused legend entry stuff in preparation of issue #i82802#


2011-02-04  Thomas Arnhold  <thomas@arnhold.org>  [d01f0bea9307a56f00916715eeae4839e403f1be]

Clean up makefiles


2011-02-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d83bc2c263f20f72e2181b484d010cc6218a6b0a]

Put this two includes back


2011-02-03  Joseph Powers  <jpowers27@cox.net>  [b12f6b899ecfcdfb5e93192a0a4bcfd3fe8862b3]

Add missing #include <vector> to the file.


2011-02-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [0d2c4a1d4698092ea00de8430eab3b60576532fd]

moving the rest of ure repository to boost unordered containers


2011-02-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [6030d8ac9410fc1fcade35d7f7fb31eedfd86950]

move bridges to boost::unordered_map


2011-02-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [b06268d0a94b590bde6c94622a6cbb63e5e183ef]

move module rdbmaker to boost unordered containers


2011-02-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [31ba2d1ea309630d108e4cef4b4ccb45abe12447]

move module cppuhelper to boost unordered containers


2011-02-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [d0958219679151caef2f1b27998f2004147d9c1d]

move module cppu to boost unordered containers


2011-02-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [611447a4b35288284350033930c441ff185e3cba]

move codemaker module to the boost unordered containers


2011-02-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [9e7fbf366b72b3dd01af4a4ef0af6d8294a923e0]

some std::hash_map/set -> boost::unordered_map/set changes


2011-02-03  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [cc1c4ca7e3695b6eefb32fb3e5ee89e49788ca3f]

#i115784# registry/tools: fix initOptions_Impl() commandline argument processing.


2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [a5d54a8a2d254b49c5fffaa6b3d0c094b756e691]

move cxxabi.h after stl headers to workaround gcc 4.6.0 and damn stlport

Signed-off-by: David Tardon <dtardon@redhat.com>

2011-02-03  Mathias Bauer  <mba@openoffice.org>  [e4e71287436fdc1ba368c1b0bf98b113b55a646f]

CWS gnumake3: resync to m99


2011-02-03  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [502f6fc38405770780f9c907123a1f61f3a4c043]

#i115784# idlc: add missing includes.


2011-02-03  Kurt Zenker  <kz@openoffice.org>  [8e63fc583e847376ea5957bba300be4f8ade9078]

masterfix: #i10000# add missing dependency in offapi


2011-02-03  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [fde0d775368a92e26ea2edbe937ac21e189ae51c]

chart52: merge with DEV300_m99


2011-02-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [80194d6b139472df2bc49ac77f4c9f3aa21a516d]

Build module registry with MSVC stl


2011-02-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [e6893ddd35fa0b4aafdec89d236f49ca2cd9ab95]

Use rtl::Allocator in MSVC hash containers


2011-02-03  Fridrich Strba  <fridrich.strba@bluewin.ch>  [44f15749eeed72e35a61b7c64a16ce7d168fe983]

include MSVC STL code path


2011-02-03  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [e9073ff115da0e0d7c3e7331febb78781243b7fa]

pulled and merged DEV300.m99


2011-02-02  Tor Lillqvist  <tlillqvist@novell.com>  [91fc632dce46c9c1b7edf81f0f556e2e0f498a93]

More work on except.cxx, intermediate commit

Now I have some understanding what it is the code here should do, and
have found 3rd-party documentation (in source code form even) for the
exception-related data structures.

It still crashes, but I hope that is just because of thinkos that need
to be fixed by debugging, or reading the code. There are some horrible
code with quite complex casts in places, I need to introduce some
macros or inline functions instead to make the casting from RVAs to
real pointers and back cleaner. Also maybe just use DWORD instead of
sal_uInt32 for terseness, and use a specific typedef name for DWORDs
that actually are RVAs for clarity?

2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [6d0f5c32d0a1c03e29b00cb3c40ce02eb7193f38]

Clean up makefiles


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [96cbf81e6fc78a9758170c480031f17d1e86f33e]

Remove RCS information


2011-02-01  Aurimas Fišeras  <aurimas@gmail.com>  [a9238faa318d609ce1ab3efd3f5ab84fced434fb]

Some fixes to documentation (part 6)

Fixes many spelling errors (checked with en_US spell checker).
Unifies spelling of some common words.
Replaces single quotes ('') with double quotes ("").
Fixes several other errors.

2011-02-01  Vladimir Glazunov  <vg@openoffice.org>  [1ccede40ee4c5413626b4d93274a2998b9dce960]

CWS-TOOLING: integrate CWS dba34b


2011-01-31  Thomas Arnhold  <thomas@arnhold.org>  [50dedd84198650c76ce488f109e01db05870d71c]

Remove RCS lines.


2011-01-31  Vladimir Glazunov  <vg@openoffice.org>  [03f7ddf5a4865d42567792ea6642a3ac1367d3f7]

CWS-TOOLING: integrate CWS chart46


2011-01-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f0feac352833816e1011b06090bd4e6c446af3df]

Revert "Temporary revert to compile on Windows XP"

This reverts commit 6734127f11b49e65571f8e1d6b346db9e94ea64d.

2011-01-31  sb  <sb@openoffice.org>  [76f10c689bc3f3f1a638e14d393033b8b64cc5ad]

sb138: #i115619# fix for MinGW


2011-01-31  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [2c896c52daa7ac8001357fb7cbf6f7947ce36cfe]

Update from sibling repository.


2011-01-31  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [4fdaf316e985c05da7747f9e7beb55e91dff110e]

#i115784# sal/rtl/alloc: improved support for valgrind(memcheck).


2011-01-31  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [8b95ae0a9136cd8f7577c713a2294a70d6caf30c]

#i115784# idlc: add missing include.


2011-01-31  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [5ef5e028a1e211189db4e94f8eea646f171206e8]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba34b


2011-01-31  Aurimas Fišeras  <aurimas@gmail.com>  [2869699356e7de4fc30173546048c8ad90beb679]

Some fixes to documentation (part 5)

Fixes many spelling errors (checked with en_US spell checker).
Unifies spelling of some common words.
Replaces single quotes ('') with double quotes ("").
Fixes several other errors.

2011-01-31  Tor Lillqvist  <tlillqvist@novell.com>  [eee85b1e91c233bf16adbf5579398c80f8f4c76a]

Fix thinko


2011-01-31  Juergen Schmidt  <jsc@openoffice.org>  [ad04d9f3569677ea3f740709c5beb9ce3355b769]

jsc340: merged to dev300m98


2011-01-31  Tor Lillqvist  <tlillqvist@novell.com>  [40797af7e23999b68e152ec42d35fccba686f343]

Now the C++-UNO bridge on x64 Windows works a bit better

I had implemented a couple of basic things quite wrong, partly because
of easily misunderstood Microsoft documentation. A couple of things I
just had forgot to do properly.

Attempt to make the source code more consistent in spacing and
variable naming. Clean away meaningless vertical space wasting
non-verbal comments.

The bridgetest over in testtools now runs through quite a lot of its
paces successfully. But exception handling and RTTI, the stuff in
except.cxx, is still not really done at all. And even if I comment out
those checks in bridgetest so that no exceptios are thrown, I then get
a crash later.

2011-01-29  Jesús Corrius  <jesus@softcatala.org>  [6734127f11b49e65571f8e1d6b346db9e94ea64d]

Temporary revert to compile on Windows XP


2011-01-29  Thomas Arnhold  <thomas@arnhold.org>  [e02d516c739ce70aff7b4a1469cad7a63ab0dc98]

Use errno to get the correct error message if mkstemp() fails.


2011-01-29  Thomas Arnhold  <thomas@arnhold.org>  [9b94be0be22fb748834d00740bb964804bdef518]

cppcheck: remove unused variable strLen.


2011-01-29  Thomas Arnhold  <thomas@arnhold.org>  [99c12e49c0093478f66e44867ef3a93435b92267]

Remove double line spacing and correct indentation


2011-01-29  Caolán McNamara  <caolanm@redhat.com>  [8c679d518edf2762d93842d2143bbd2c2daeb3e5]

that decrement doesn't look right


2011-01-28  Joseph Powers  <jpowers27@cox.net>  [8238a1bbb6978fc2d51db0eb7379318e5e58b1f8]

Fix interlck.c to work on Mac OS again...

mmeeks, we love your patch; however, some of us are forced to use the very
old 4.0 version of GCC (I blame Apple) and __sync_add_and_fetch() wasn't
added until version 4.4.

PS: Moving the target OS version to 10.5 wont help because that still uses
the 4.2.1 version.

2011-01-29  Tor Lillqvist  <tlillqvist@novell.com>  [1b6f6b4c738c9fc039dbb65b433b2b6f9641f79e]

Skip the this pointer in cpp2uno_call()

Also change a few variable names to consistently use the "TD" suffix
for typelib_TypeDescription variables.

2011-01-28  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [b5b8ae17fe9f4fb38edaf03718279c60319ae392]

chart46: merge with dev300m98


2011-01-28  Tor Lillqvist  <tlillqvist@novell.com>  [049446effb06e21ae3dda6178fe02284a0fdb4b1]

Let's use a shared privateSnippetExecutor() approach as on x64 Linux

It simplifies function table and unwinding info management, as those
are now static for the privateSnippetExecutor() function in
call.asm. Even if it is slightly ugly to have to poke in more
instructions in codeSnippet().

Out privateSnippetExecutor() is much simpler than the x64 Linux one,
thanks to the simpler calling convention.

2011-01-28  Tor Lillqvist  <tlillqvist@novell.com>  [ff0d2d3674cd03b48c4f8020b559e9e86476217b]

Fix typo and thinko


2011-01-28  Michael Meeks  <michael.meeks@novell.com>  [c016d1bdd2304f8bdff31bd1f528d7f3b84acd29]

further simplify old-style interlocked inc/dec


2011-01-28  Jani Monoses  <jani.monoses@canonical.com>  [788072cefdce8cb61d46549a7aede4c754d9fae3]

use gcc builtins for POWERPC and ARM cases if we have GCC


2011-01-28  Tor Lillqvist  <tlillqvist@novell.com>  [66787671fa9635f2fb0bd021c21d87b22d007015]

More work on x64 Windows C++-UNO bridge

Now the call through the trampoline into cpp_vtable_call() seems to
work, but I get a crash later. Glitches in parameter passing, no
doubt. Debugging needed in cpp_vtable_call() and cpp2uno_call().

The basic implementation is probably sane. But I wonder if I after all
should have done like in the x86-64 Linux implementation, with the
dynamically generated trampoline just jumping into fixed code shared
between all trampolines. Probably should redo it like that, yes.

Will it then cause a problem for OS unwinding if the caller of the
trampoline calls a short dynamically generated code snippet, which
then jumps into the fixed part, and only the fixed part has a
(assembler-generated) function table and unwind info? Probably not.

It is quite impossible that such a short dynamically generated snippet
with just a couple of instructions would cause an exception, and when
we have jumped into the fixed part, where the call to
cpp_vtable_call() is done, it doesn't matter any more that the caller
in fact didn't call what the function table claims is the entry
point. Or does it?

Doing it that way would mean no RtlAddFunctionTable() and
RtlDeleteFunctionTable() would be needed, and especially doing the
latter correctly is a bit hairy.

2011-01-28  sb  <sb@openoffice.org>  [0e20dca40c9f575be4af1dc4244603780e88fb49]

sb138: #i115619#, #i116038# use osl_setThreadName in binaryurp


2011-01-28  Aurimas Fišeras  <aurimas@gmail.com>  [878b50cd6806598ba68fe428ccccc023034ba561]

Some fixes to documentation (part 4)

Fixes many spelling errors (checked with en_US spell checker).
Unifies spelling of some common words.
Replaces single quotes ('') with double quotes ("").
Fixes several other errors.

2011-01-28  Vladimir Glazunov  <vg@openoffice.org>  [67d46507ae52ea67272212f07c7ee6d25428debf]

CWS-TOOLING: integrate CWS tabcontrol


2011-01-28  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [08dcdcad67b3fdd6abb551dfdf82520147826429]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/tabcontrol


2011-01-28  Vladimir Glazunov  <vg@openoffice.org>  [94253a57bb07e7bcd6af38b40c19729f39c46857]

CWS-TOOLING: integrate CWS undoapi


2011-01-28  sb  <sb@openoffice.org>  [fd2678d0842381b6b2005655a24f6b5ad84fac07]

sb138: #i115619# osl_setThreadName


2011-01-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [73a2b4b685e7cebb6be12bd5cdfe3b549d22168c]

undoapi: pulled and merged DEV300.m98


2011-01-28  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [8c73cdfc5c8d4afec20c4e926b9b8d5b5cfcbe34]

Automated merge with http://hg-lan.germany.sun.com/ooo/DEV300


2011-01-28  Juergen Schmidt  <jsc@openoffice.org>  [b9607a2f28e72af43f9fe8c6a239dd5c380c5cd1]

gridsort: i116682: update UnoControlDialog to reflect XDialog


2011-01-28  Tor Lillqvist  <tlillqvist@novell.com>  [dbf70b8e9f26a5e1052467aafca65a241557c8d3]

Add a function table entry for the dynamically generated trampoline


2011-01-28  Tor Lillqvist  <tlillqvist@novell.com>  [6c405a4ebaa28137be7156ce02f0d9638adf1dd1]

Need to use exactly the same names as in the JDK in the non-SOLAR_JAVA case

Use struct JNIEnv_ and struct JavaVM_, with underscores. Otherwise a
mangled name in the map files won't match.

2011-01-27  Tor Lillqvist  <tlillqvist@novell.com>  [17b7ca8f23c25e1e276485642fc4dbf486550620]

Corect copyright header and comment


2011-01-27  Tor Lillqvist  <tlillqvist@novell.com>  [c56eed9e44b97a86cad82ea801beaa4d97f57c2f]

More work on the x64 Windows C++-UNO bridge


2011-01-27  Caolán McNamara  <caolanm@redhat.com>  [c6a408be767cb8389406f964834fdcf0f34fcda0]

move cxxabi.h after stl headers to workaround gcc 4.6.0 and damn stlport


2011-01-27  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [b2d378d20e06b5a40369e6b18ebfe92f3c5e435b]

Update from sibling repository.


2011-01-27  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [ada77483f9d72a2437215aa72a56f89aa0f1c13e]

Update from master repository (DEV300_m98).


2011-01-27  Vladimir Glazunov  <vg@openoffice.org>  [43d2a9c571c01be8262f6a77235d05836853825c]

CWS-TOOLING: integrate CWS tl84


2011-01-27  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [ddbecb99bbf813718547cd188f6b4ab04094a9a5]

#i115784# sal/rtl/alloc: improved support for valgrind(memcheck).


2011-01-27  Tor Lillqvist  <tlillqvist@novell.com>  [453f9a680b54b00508fb9004089fa2111fe287d3]

Revert "Turn OSL_TRACE output on only if OSL_DEBUG_LEVEL > 2"

Nah. I was misunderstanding. OSL_DEBUG_LEVEL == 1 is the normal one,
and OSL_DEBUG_LEVEL > 1 should turn on debugging output.

This reverts commit c91a84441c05d4f2d8541719ed439e7a2c27e675.

2011-01-27  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [acb08a22364c5d1eecfc8a19896eca17b4921c73]

#i115784# Removed obsolete and unreferenced sal/rtl/alloc implementation.


2011-01-27  Michael Meeks  <michael.meeks@novell.com>  [43c57e14593d7c641977e6721bb37d058f328eda]

revert accidental change to UNO API - to fix spelling of Cancelled


2011-01-27  Aurimas Fišeras  <aurimas@gmail.com>  [04fad26e5191c9900581a336cc019279cb735945]

Some fixes to documentation (part 3)

Fixes many spelling errors (checked with en_US spell checker).
Unifies spelling of some common words.
Replaces single quotes ('') with double quotes ("").
Fixes several other errors.

2011-01-27  Aurimas Fišeras  <aurimas@gmail.com>  [2c08f057afc053dc49fc43d1aa8339140f29c493]

Some fixes to documentation (part 2)

Fixes many spelling errors (checked with en_US spell checker).
Unifies spelling of some common words.
Replaces single quotes ('') with double quotes ("").
Fixes several other errors.

2011-01-27  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f19a0bddc46bfea6be01feb32bc780928e86a153]

gridsort: minor changes to the new API: - renamed XMutableGridDataModel::setRowHeading to updateRowHeading for consistency reasons - renamed XSortableGridDataModel to XSortableGridData - actually, this is not a full-fledged model in itself.


2011-01-27  Tor Lillqvist  <tlillqvist@novell.com>  [e236a39d9233ed91f4359146898ac5a26536bf02]

These files are C, not C++


2011-01-26  Tor Lillqvist  <tlillqvist@novell.com>  [a6d80f95edfa9dd1b3f112c0c5d81aa19f8a533f]

Intermediate commit


2011-01-26  Tor Lillqvist  <tlillqvist@novell.com>  [c7237caae9243080de1e325b2751951886800b59]

Why OSL_ENSURE something that is not required?


2011-01-26  Tor Lillqvist  <tlillqvist@novell.com>  [897e14c190140bb93d2cfe9649853cdc6abf2fff]

Add the location of the 64-bit jvm.dll


2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [6715da8755246f78bad0eb897629d6244a5de485]

tweak this slightly differently


2011-01-26  Kenneth Venken  <kenneth.venken@gmail.com>  [6919a6909bc11dc286cd6481a866681cb4145f47]

Cpp cleanliness: redundant assignment to self


2011-01-26  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [79d59827ae523183bec14ef51ada6818530be41c]

gridsort: grid control related unit tests (first set, more to come)


2011-01-26  sb  <sb@openoffice.org>  [64fadec021c3742d2b45009d632c6fe66b33b13c]

sb138: #i116038# fresh implementation of binary URP bridge


2011-01-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b5da8f8f3cf1bb55bf50aadf3ef895dcc32074a5]

gridsort: pulled and merged DEV300m98


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [8bf380e90b96ff961c49848c0a3674488ef8932c]

CWS gnumake3: resync to m98


2011-01-25  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [e2b159ace2fdc5b59bfdac786aa934be66ba7c49]

chart52: merge with DEV300_m98


2011-01-25  Tor Lillqvist  <tlillqvist@novell.com>  [a4cd4ddd631c98800a0900a458dd256b43d449ba]

Manipulate also the C runtime's environment

Fixes fdo#33355.

2011-01-25  Tor Lillqvist  <tlillqvist@novell.com>  [f06193d3a0c3c5f827df091f0253928adfbf43d9]

Manipulate also the C runtime's environment

Fixes fdo#33355.

Signed-off-by: Fridrich Strba <fridrich.strba@bluewin.ch>

2011-01-25  Thomas Arnhold  <thomas@arnhold.org>  [798a36a3012e5464fd42dfb4fa9be111d1da02d7]

Code-cleanup for testintrosp.cxx.


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [831e937c6f7319e476a337b23e2cb358a4b8e2d6]

WaE: gcc 4.6.0 various warnings


2011-01-25  Vladimir Glazunov  <vg@openoffice.org>  [0bdf187d9d5d9de704e359ff1d6c5e13a6e8547b]

#i10000# #i10000# changes from OOO330 m20


2011-01-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [fcf9871301ff63e06bbad7fc2e7e7deca85f2bd9]

gridsort: pulled CWS dba34b


2011-01-25  David Tardon  <dtardon@redhat.com>  [04de6a2b6540d3986e241fd4ee9dfb4e25e2a0f2]

WaE: remove unused variable


2011-01-25  David Tardon  <dtardon@redhat.com>  [e98d1bb6666c6e73805a9008375dfae6d54f9e14]

WaE: remove unused variable


2011-01-25  Aurimas Fišeras  <aurimas@gmail.com>  [edaa72cd52c48c1f24b4d1543f51ec076fda8035]

Some fixes to documentation (part 1)

Fixes many spelling errors (checked with en_US spell checker).
Unifies spelling of some common words.
Replaces single quotes ('') with double quotes ("").
Fixes several other errors.

2011-01-24  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [95c50ac07bbd6a846e531fac13d22e17fdeca2f8]

chart52: #28670# make the legend within charts resizeable - part 2


2011-01-24  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [f0465543512cad0f600101e0b19f1450e0fe2a8a]

Update from master repository (DEV300_m98).


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [cbf7129f08708c1c8977fcd85a428ecbbf8220de]

Include the wntmscx build directories


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [4a5931c9bb916cc08b4303775ae46a625cb4ed65]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [35a81f22d4b179a06bfc83579596fb282b68411d]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [f4327314528d794447f3107b37b4adfea8ed1cc6]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [0b132a38935fc40ab148c72d64fd9249e9be0c6f]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [9957af8a1ef119e29c43542421c42be456cbc3c6]

WaE: gcc 4.6.0 various warnings


2011-01-24  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [66bf1925cb1a5dd06c4429a2a07ff11744b49ae0]

gridsort: re-did the column resizing - introduced XGridColumn.Flexibility, determining to which degree the column is resized during auto-column-resizing - removed XGridColumn.PreferredWidth - there really is no need for this anymore now - documented the relationship between XGridColumn.Flexibility and XGridColumn.Resizeable - re-implemented TableControl_Impl::impl_ni_updateColumnWidths, with (hopefully) less magic


2011-01-24  Michael Meeks  <michael.meeks@novell.com>  [a3ac06a43895aa44c03ce5f6900410986d415492]

add since version to new API


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [03177ac695d95fc41dc9e1f02dbf4fbc2af5e5a2]

New method: isEmpty() - Checks if a string is empty.

This could simplify logics in the source. Now this test is done
like 'if (aStr.getLength() != 0) {...}' or 'if (!aStr.getLength()) {...}'.

With isEmpty() this looks like:
if (aStr.isEmpty()) {...}
if (!aStr.isEmpty()) {...}

I think this would make the code more readable.

2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [cdc878578a15aa9bd439507763535879ff5ef02c]

Kill Win9x code in file.cxx


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [dc7e4b58fda7f9a70934d70538fbc7c46dbc871c]

Kill Win9x security code


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [3d8320ec8f8e778d4adc240009a7bb784b3d286e]

Kill Win9x mutex code


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [1504bd4343e4af4e9a94a6ea8751fd4885adf6a1]

Drop pipeimpl.obj from SLOFILES, too


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [f7c8e364fe17c0f4bf7b69f7f36dba57986a8645]

Kill Win9x code


2011-01-23  Tor Lillqvist  <tlillqvist@novell.com>  [5962ac8ae3ef0ab83a448a1d0e1c03ac943d1571]

Add debug output to the dummy functions to see if/when they get called


2011-01-23  Tor Lillqvist  <tlillqvist@novell.com>  [3316e0b69e0faece9179938af85ae4151282b40e]

Dont assert in safe situations


2011-01-23  Tor Lillqvist  <tlillqvist@novell.com>  [c91a84441c05d4f2d8541719ed439e7a2c27e675]

Turn OSL_TRACE output on only if OSL_DEBUG_LEVEL > 2


2011-01-23  Tor Lillqvist  <tlillqvist@novell.com>  [a9eb49a9ad0f3aa8bee6ff536c0256b948f31dd1]

If CPPU_LEAK_STATIC_DATA is defined, don't bother with assertions

Re-introduce the possibility to define CPPU_LEAK_STATIC_DATA. This
time use it to bypass just the assertions that check that the type
description counts really are zero at the end of the
TypeDescriptor_Init_Impl destructor.

Add more informative debugging printout of which counts are non-zero.

Define CPPU_LEAK_STATIC_DATA for x64 Windows for now. But we do get
the same assertions also on x86 Windows if cppu is built with
OSL_DEBUG_LEVEL>1.

2011-01-23  Tor Lillqvist  <tlillqvist@novell.com>  [8bf1ce17bc554c329c2902be394720709df8168d]

Use correct name for mscx_uno.dll and deliver it


2011-01-23  Tor Lillqvist  <tlillqvist@novell.com>  [980fca5ba60083e3ab15dee5a511f0a8fd3351fa]

Remove pointless debugging output

We do print out a message if struct size verifications fail. That is
enough. No point in printing out the same

> sizeof(AlignSize_Impl) = 16
> sizeof(M) = 8
> sizeof(N) = 12

etc messages every time a cppu-using program is run and cppu has been
built for debugging.

2011-01-22  Thomas Arnhold  <thomas@arnhold.org>  [bfa3da98105f505995e58dab4f34e1f3dbc841d7]

Remove some dead code.


2011-01-22  Tor Lillqvist  <tlillqvist@novell.com>  [b872b29cbf4d65ab15a871b964e8f1d862a324bf]

More hacking on the C++-UNO bridge for x64 Windows

I think I might actually be able to manage without any assembly coding
here, thanks to the clean design of the x64 Windows calling
convention, and tricking the compiler (in a fully documented and
stable way) by using varargs. uno2cpp.cxx might even be getting close
to working now, but cpp2uno.cxx and except.cxx parts are just forced
to compile by using dummy code.

2011-01-22  Tor Lillqvist  <tlillqvist@novell.com>  [513ad4c413b17175e816f007c825fed2932cf2b7]

Define SAL_TYPES_SIZEOFPOINTER for x64 Windows


2011-01-22  Tor Lillqvist  <tlillqvist@novell.com>  [42a12264d4eb10db1841e83b7dd8a5ddca97d9f1]

Use separate .map files for 64-bit MSVC build


2011-01-22  Thomas Arnhold  <thomas@arnhold.org>  [983c32238c831e24bdf3417eac66c7ec63c8dfc2]

Remove empty description and dates.


2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [bca552c83c406233a68c4dab23e61e8c6ded16c6]

Remove obsolete RCS lines.


2011-01-21  sb  <sb@openoffice.org>  [22d90133cb7a35854e800ce54c26296154a15d2a]

sb139: merged in DEV300_m98


2011-01-21  Caolán McNamara  <caolanm@redhat.com>  [9018046b03e54d1ff8667cc2ccd91460889ab5f3]

cppcheck: misc scope and unused variables


2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [83f04b66fbd58cde2420b2c1846a2b89c5d7cbf1]

Remove old RCS lines.


2011-01-21  Robert Nagy  <robert@openbsd.org>  [9160dfc191d4b2496f55ccba663815c08db4ba1b]

use errno to get the correct error message if mkstemp() fails


2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [d22f38c07f7ca737009094c129a39d034371f287]

Don't replace equalsAscii() with equalsAsciiL() in measure_oustrings.cxx.


2011-01-20  Thomas Arnhold  <thomas@arnhold.org>  [0f6a6bac722179e1087ebbe829546adc88583fed]

Replace suitable equalsAscii calls with equalsAsciiL.

Done with sed -i 's%\(\.equalsAscii\)(\(\s\?"[^"]\+"\)\(\s\?\))%\1L(\3RTL_CONSTASCII_STRINGPARAM(\2\3)\3)%g'.

2011-01-20  sb  <sb@openoffice.org>  [1c6276cbe352a36c5e2413a1e6528e764044b1ae]

sb139: #i116530# improve Java URP bridge error notification by utilizing the java.lang.Throwable cause facility


2011-01-20  Tor Lillqvist  <tlillqvist@novell.com>  [9425bdeae4d493fc491aebb704ad620b9119b891]

More hacking on the wntmscx bridge, still far from ready

See asmbits.asm for some general comments and pointers to useful
information.

2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [2fb16fa1f34d8061e9219d4ddaa5c1c5d4df711b]

gnumake3: mergeing changes from DEV300_m97, fixing jars for svl complex test, deliver globlmn.hrc for now, adding component registration for svx libraries, still misses gengal and friends when packing


2011-01-19  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [5e6df77e41dbb99ffb0e06599b9eda67d4a3dc59]

gridsort: document the relationship between soorting the data and notifying XGridDataListeners


2011-01-19  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [6a09e78d6d6c191b5ee78f9d66b09fa4c80781e1]

gridsort: introduce XGridColumn::DataModelIndex. this allows for column removal/insertion at the GridColumnModel, without the need to touch the GridDataModel


2011-01-19  Ivo Hinkelmann  <ihi@openoffice.org>  [0e65a73544329ec96d2066ac58696f540b1b9c4c]

CWS-TOOLING: integrate CWS sb135


2011-01-19  Ivo Hinkelmann  <ihi@openoffice.org>  [e5ebeb4297dbd30f6f41dcef5656d44d78ab209e]

CWS-TOOLING: integrate CWS mingwport33


2011-01-19  Eike Rathke  <erack@openoffice.org>  [0281ae01dc4e75ef4428043cb236f52783208e56]

locales34: #i112431# adapt documentation to reality


2011-01-18  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [02c08a24fb2f59bb8752cb2a66da6b232f612590]

gridsort: introduce XSortableGridDataModel::removeColumnSort


2011-01-18  Ivo Hinkelmann  <ihi@openoffice.org>  [0c4fda00e579519331b5dcbb1991695f638a35b3]

CWS-TOOLING: integrate CWS gridcontrol07


2011-01-18  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [463ee30b7bb4000944c0db04480442b51f62875b]

gridsort: #163172# added UNO API support for sorting grid data. Implementation still unfinished. Things missing in the SortableGridData implementation - add as listener to the delegator, so we're notified of changes - translate and multiplex those changes - do own notifications (XGridDataListener.dataChanged) when the sort order changed - (possibly) update the sort order when the data in the current sort-column changed


2011-01-17  obo  <obo@openoffice.org>  [77f9be2e934d3fb0ed88f6756074a2742a844b9c]

CWS-TOOLING: integrate CWS calc65


2011-01-17  Caolán McNamara  <caolanm@redhat.com>  [a563f9f9b1e1a74eebeab8a48e31e822a27c5a75]

remove unused dirs


2011-01-17  Caolán McNamara  <caolanm@redhat.com>  [34f38b7f0a13bd863e89813ad9176034982a6f15]

fix documentation typo


2011-01-17  Tor Lillqvist  <tlillqvist@novell.com>  [deb324226a741a95f65736e34e4ab184598f204e]

Commit 64-bit Win32 C++ bridge files

Just copies of the 32-bit ones so far, so obviously don't compile
even. No in-line assembly in 64-bit MSVC for instance.

2011-01-17  Tor Lillqvist  <tlillqvist@novell.com>  [f94523514dd44223f65841e1d57f11c8734c8395]

Use separate .map file for cppuhelper for 64-bit MSVC build


2011-01-16  Tor Lillqvist  <tlillqvist@novell.com>  [cf3abb4ad91e2f77f4ca64b012a68001fa0ea8f3]

Use separate .map files for 64-bit MSVC build

Unfortunately the C++ name mangling in a 64-bit MSVC compilation is
slightly different from that in a 32-bit one:

-- An 'E' is inserted for pointers to indicate that they are 64
bits. I don't fully understand the rationale for this; isn't that the
only kind of pointer in 64-bit code produced by a C++ compiler anyway?

-- As there is only one calling convention on x64 Windows, __cdecl,
the indications for other calling conventions (here, especially
__thiscall) change to that for __cdecl.

It should be possible to write a tool to at least partially automate
conversion of 32-bit mangled names to 64-bit ones, and thus make it
easy to create mscx map files from the corresponding msci ones in
LibreOffice. Sure, it probably wouldn't work 100% correctly in all
cases, but it would help a lot.

2011-01-16  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b6e03b2b7f270e59f83d1e0ed2856593ce9526b0]

gridsort: made the row title a row heading, being an Any instead of a string


2011-01-16  Tor Lillqvist  <tlillqvist@novell.com>  [40773f5b34b6e8776e0733a9c6d3ce2504f9645d]

Use mscx.map for 64-bit MSVC build

Unfortunately the C++ name mangling in a 64-bit MSVC compilation is
slightly different from that in a 32-bit one:

-- An 'E' is inserted for pointers to indicate that they are 64
bits. I don't fully understand the rationale for this; isn't that the
only kind of pointer in 64-bit code produced by a C++ compiler anyway?

-- As there is only one calling convention on x64 Windows, __cdecl,
the indications for other calling conventions (here, especially
__thiscall) change to that for __cdecl.

It should be possible to write a tool to at least partially automate
conversion of 32-bit mangled names to 64-bit ones, and thus make it
easy to create mscx map files from the corresponding msci ones in
LibreOffice. Sure, it probably wouldn't work 100% correctly in all
cases, but it would help a lot.

2011-01-16  Tor Lillqvist  <tlillqvist@novell.com>  [60f523c253e988d310ca2e14aff817e916ad2e7e]

Initial hacks for 64-bit Windows build


2011-01-16  Caolán McNamara  <caolanm@redhat.com>  [d6392679b897f6b76cbeef7eac1aa88b78f0523d]

equalsAsciiL faster than equals


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [bc93c74e20016d9972e1739917638c0a4aa63ae9]

drop two arg one from this test, because it has different semantics


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [e8681912a3bd1224defc498ca2b7782bbca20da0]

fix test name


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [33640e9863b00f0c40559cedf0ddde369ff988a9]

and test with a precreated string


2011-01-15  David Tardon  <dtardon@redhat.com>  [8b66c2f772e6f77fe0ea97da55ac96fe03fe29f6]

fix break on parallel build


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [7f548e4f9386f3010f56336a6ebe20fb476bcc0f]

equalsAsciiL faster than equalsAscii when length available


2011-01-15  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [d188db572a1b6070a0f47418234cd7dcc98101ba]

chart46: merge with DEV300_m97


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [70f13a50282820f4449bd9564afa23a19d1bcdb9]

add performance comparison test for equalsAscii group


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [49744131e657186c8b0f97920be6756046eb86ec]

port runtime G_SLICE aware valgrind-friendly allocator over to current impl


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [0860045f386aeda09605addb0c406c4dc4260ef4]

cppunit: enable these tests


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [da953ad45c52e7307e8db9866a221e9a2a27a7b1]

cppunit: port these tests over to canonical cppunit


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [e5dd50766006e3baa32eed1efa7dec49016767ab]

get this to build again


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [cbd00a865a2a59d488f243444a72892b2acca5fa]

cppcheck: prefer prefix variant


2011-01-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ae393f811a0ce831cc0938bea0fb6bf1af69c874]

gridsort: XMutableGridData: renamed updateRow to updateRowData for consistency; introduced updateRowToolTip as shortcut for multiple updateCellToolTip calls


2011-01-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [e8f493fdeeb80db072c3237546d00985b1e29262]

gridsort: updateCell->updateCellData, setCellToolTip->updateCellToolTip; in both methods, have (Col,Row) params instead of (Row,Col), for consistency reasons


2011-01-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [19c79ab54b392b9d971345b197e752194d014ee6]

gridsort: re-add tooltip support to X(Mutable)GridDataModel, this time more explicit, and less magical


2011-01-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [1da3a8a254f4ce7a72fa8a56cf8ff8fe62fb71e7]

gridsort: ouch. Removed IAccessibleTable::GetSelectedRows. It exposed an internal implementation detail, and in fact some clients (the A11Y API implementation) exploited this, e.g. by simply adding elements to the array, without the owner (the TableControl/_Impl) ever noticing it. Replaced that with a working API.

In this course, removed XGridSelection::getMin/MaxSelectionIndex. Pretty useless IMO, unused, and ugly to
implement.
2011-01-13  Niklas Nebel  <nn@openoffice.org>  [bed939504eaccdcc83efc22bc4c2afa775c4aa4f]

calc65: fix pyuno environment script


2011-01-13  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [69db449a462f17e8f50059776bdb3ef86b6c45d0]

gridsort: reworked the notification system for inserted/removed rows In this course, more code which was in SVTXGridControl was moved to the places it belongs to, effectively meaning that the TableControl has better chances than before to be used outside an SVTXGridControl (though we're not there, yet).

Also, the selection-related methods in TableControl/_Impl got some refactoring love, so the implementation
details are hidden in the Impl class now, instead of being exposed to an exploited by the TableControl.

And while we were there ... The XGridSelection does not provide a |selectColumn| anymore (there was no
preparation whatsoever for column selection, anywhere, thus it was a complete dummy.)
Also, its de/selectRows methods have been removed: They have questionable use, and make implementation
rather difficult, compared with multiple calls to de/selectRow.
2011-01-13  sb  <sb@openoffice.org>  [4c12014b98dbdf7a944b9fe6a34fc99cf283d222]

sb139: #i116447# osl_receivePipe triggers OSL_TRACE for non-error EOF


2011-01-13  sb  <sb@openoffice.org>  [12e9a47c889227ddf854ece59fe9c366fc438866]

sb139: #i116445# do not write to a disposed Java URP bridge


2011-01-13  sb  <sb@openoffice.org>  [e220c107f413f435af20323a957996f1021997ef]

sb139: #i116444# handle short reads in io_acceptor::PipeConnection::read


2011-01-13  Caolán McNamara  <caolanm@redhat.com>  [e40b34c77010e843f1d598c5dc82b1159d8321cf]

add an explicit


2011-01-12  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [dded92a838a94a3455ceb1516dcf72dcf6bae355]

gridsort: removed the XGridDataModel.removeRows flavour which took an arbitrary sequence of indexes - this makes the handling, in particular for listeners, unnecessarily complex, and has a questionable use only


2011-01-12  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [5845d4fda95d4a1e0949ed99cef29718fa03df83]

gridsort: @raises is not recognized by autodoc, use @throws instead


2011-01-12  Julien Nabet  <serval2412@yahoo.fr>  [59c8d3a0788fbaea5217988dd93c8791b6c0e02b]

Some cppcheck cleaning


2011-01-12  Julien Nabet  <serval2412@yahoo.fr>  [9702b2cceacddf207212953371ad3de8181db1b1]

Some cppcheck cleaning


2011-01-12  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [189cdf99fc6937f0f79ee1a37dfd9a1c0696db52]

gridsort: reworked the color model for grid controls. Now supporting more than two alternating colors, having more reasonable defaults for the colors (VOID instead of some hard-coded values, which thus are unusable). Also, introduced new property UseGridLines controlling whether or not to paint the table grid.


2011-01-12  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [8c0b0ae1c3ffb7f96a6bec5f6a943c2e6065e563]

gridsort: XGridCell/Renderer are unused and useless


2011-01-11  Petr Mladek  <pmladek@suse.cz>  [f352463d20ea162b67a22b3a66e9ab712af6bfe2]

Please, ignore the previous message; it was for the libreoffice-3-3-0 branch

This is 'libreoffice-3-3' - the stable branch for the 3.3.x releases.
Only safe changes, reviewed by anoter person are allowed.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [71c1bae118e03b0b46c2ee7f7881427f8c5bc6bb]

Branch libreoffice-3-3-0

This is 'libreoffice-3-3-0' - the stable branch for the 3.3.0 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  sb  <sb@openoffice.org>  [aba873aebf1aebdb6b4b87ca471bebc1e90391d6]

sb139: merged in DEV300_m97


2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [6442218fc7da9ed51e86a41f4834c6e7d7262976]

silence spurious warning


2011-01-11  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [035cc6e1662ca51786931e85b2b59767a1e85762]

gridsort: XGridControl: add methods to retrieve the current row/col


2011-01-11  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [8e0f1f4b72021682efd907c1f9cbb7f050b92c5d]

gridsort: XGridControl::getItemIndexAtPoint renamed to getRowAtPoint; introduced getColumnAtPoint


2011-01-11  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [95935517799db888931ec7f71ac83cfe52b24180]

gridsort: +XGridColumn::HelpText, to be displayed as tooltip for the column header


2011-01-11  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [24acdab810745e75df95479db815c4eb848e350d]

gridsort: removed XGridControl::setTooltip. It had a rather strange semantics, seems to be unused in the current OOo code base, and would belong to the model, if at all. Still one thing to do: do not unconditionally display the cell content as tooltip, but make this dependent on whether or not the cell content fits into the cell.


2011-01-10  Petr Mladek  <pmladek@suse.cz>  [18f7397f113e6049360fb0362fc64e034265ea17]

Version 3.3.0.3, tag libreoffice-3.3.0.3 (3.3-rc3)


2011-01-10  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [4b884894cc85202dc81af21991884b7fd4239129]

gridsort: removed XGridColumn::setIndex - don't really want to have something like this at the public API


2011-01-10  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [4b8f2c5acb8cc60a403566364aa51cea2d4e3882]

gridsort: XGridDataModel: moved modifying functionality into XMutableGridDataModel.


2011-01-10  sb  <sb@openoffice.org>  [7b5d43a9621b4783135588eba193b0d7ae6489f8]

sb139: #i112929# removed unused s_semi (patch by cmc)


2011-01-10  sb  <sb@openoffice.org>  [1f48bcd3429c5c2667c94851a7deaec664a4ce2b]

sb139: #i103789# various OSL_DEBUG_LEVEL>1 problems in uno/data.cxx


2011-01-10  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [95bb18e29be493693996fcdf67cfa1b3e7c4e59c]

undoapi: merge


2011-01-08  Vladimir Glazunov  <vg@openoffice.org>  [8623b43f2315c6f3c666958a669205e67f6c4703]

#100000# Remove obsolete file


2011-01-08  tono  <tono@openoffice.org>  [55054fcaa7de0a60c5dfd5d8b8e16cbe007f82a4]

mingwport33: i#116357: sal: stop exporting exception class on MinGW


2011-01-07  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f052500001bb162ee5dfd4c156ac40498aed9adf]

gridsort: do not retrieve all row headers at once, this doesn't scale. Instead, allow to retrieve the header/title of a row given by index


2011-01-07  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [92c089d67e038633610b8ce3c5b52c8341ae764f]

gridsort: document ownership of the grid columns


2011-01-07  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [e1d0c017256dfb971673da4c9317e3d5bd2cb283]

gridsort: alllow removing columns from a grid control column model


2011-01-07  sb  <sb@openoffice.org>  [b156838266bd49fbf461d64bc6943f669735fd6a]

sb139: #i113686# do not clear IdlReflectionServiceImpl::_x[TD]Mgr to avoid null pointer dereferentiation


2011-01-07  sb  <sb@openoffice.org>  [5656457c77e63713e8b202adfee0e1e98e9055c6]

sb139: #i113686# let LRU_Cache::setValue nop after LRU_Cache::clear (so that IdlReflectionServiceImpl does not leak ring-referenced _aElements members after dispose)


2011-01-07  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [e7b637e116923120d57539a7bd858216207d12b4]

gridsort: added XGridColumnModel::createColumn


2011-01-07  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [91d96f16583fadbe319e2c8406d64bc35c61169a]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/undoapi


2011-01-07  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [26b3f767ad1c0c6384486f4f5cfea46640b79ee9]

gridsort: RowHeight belongs to the GridControlModel (not the GridDataModel), too


2011-01-07  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d0ba8c5f65a3776e3dad2f008e0ca3c8c48920ed]

gridsort: RowHeaderWidth/ColumnHeaderHeight do not belong to the GridData/ColumnModel, but to the GridControlModel


2011-01-07  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d740abbc8d467ca79b4b6c6410176b1846185401]

gridsort: removed css.awt.grid.ScrollBarMode - it was unused, and if it weren't, it wouldn't belong into this module


2011-01-06  Juergen Schmidt  <jsc@openoffice.org>  [1daba91b0b2994200760c617e573724ddaa2db6b]

jsc340: i115337: correct since tags


2011-01-06  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d0268bc052ff7c0d7116a9b4df9bf31b840c1aa4]

gridsort: XGridDataModel: do not provide access to all data at once, instead use cell-based access


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [9980a12c0bd068df7a295ba43768906cafa7fd0e]

fix typo


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [2571d265fb4e59396e5601b8698776dc296cf16a]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [29de2910746b4700ac33f6f480094a01f33df753]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [20d3b8efefc9764de1f476aee8adef38bef7596e]

cppunit: prefer prefix variant


2011-01-06  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [130c78dea516c6bffcb52c8cf0eb7a8c6eabb2ef]

gridsort: removed XGridColumnModel::copyColumn This does the very same as XGridColumn::XCloneable::createClone does, so there's no need for this method anymore.


2011-01-06  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [2a15ab80c4a115313b33b2f2d6b7712b5135c9ad]

undoapi: merge after pulling CWS sb135


2011-01-05  Caolán McNamara  <caolanm@redhat.com>  [592740c4df4c7130e6212d46575bc1e1a8983bae]

[opt] play around with callgrind to get repeatable numbers


2011-01-05  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [13f5c8a800f7a5e8909bd8439a96c33454afe145]

gnumake3: added sal/cppunit.h header to abstract sal/cppunit/stl interface issues away


2011-01-05  Vladimir Glazunov  <vg@openoffice.org>  [05e4e65f2827cf641892c3514c18b85c9a3e919e]

CWS-TOOLING: integrate CWS jl160


2011-01-05  tono  <tono@openoffice.org>  [0a1b7c4b36708f535ecd00124bc84d484beaa1b9]

mingwport33: i#113566: MinGW port fix: w32api-3.14


2011-01-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [9503a5ba833f77c313879c12f6e3eae16450f3ad]

gridsort: member names usually start with UpperCase - corrected this for GridColumn/DataEvent, for sake of consistency


2011-01-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [92d07082b64f5a6c0d98f34ac3546fd14d2d44e0]

dba34b: merged DEV300m96


2011-01-05  Juergen Schmidt  <jsc@openoffice.org>  [ad436af41b25abf42a11b1558ee2a18569db3837]

merge dev300m96


2011-01-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [117b7d64a00af091ef1c1f150526e8ad374e6b4a]

gridsort: css.awt.grid.GridControlEvent is unused - removed


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [cd3a6db37767713c504c565afd428cc16ea4816e]

use RTL_CONSTASCII_USTRINGPARAM


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [e4fd587e5728499f2086dd68d23260558d8d29ca]

use RTL_CONSTASCII_USTRINGPARAM


2011-01-04  Joachim Lingner  <jl@openoffice.org>  [f26e87c46923d499324ce231ce74dfa9ac32544b]

jl160 merge with DEV300m96


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [0162330680d9c6e1f62b1a6132b9eb018a366850]

WaE: clear nClassCode also a member warning


2011-01-03  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [152e27755d3b910fb91132ee315e121ee64b2ab2]

gridsort: allow cloning grid columns, and the (default) grid data/column model


2011-01-03  Juergen Schmidt  <jsc@openoffice.org>  [fced80c402fa15c9e00f4c49a4716705a45a1d34]

new helper tool


2011-01-03  sb  <sb@openoffice.org>  [2a43e5baca070819bb24e54590947ea74635313c]

sb135: merged in DEV300_m96


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [34e4701415db5974ceceb335a87bc9c054384421]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [1d05063792f4468aeb44640d98521ed00fef3a69]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [fb53ebff1e9fce34440c045b68df962fca74332c]

cppcheck: prefer prefix variant


2010-12-30  Caolán McNamara  <caolanm@redhat.com>  [f32edd827d30db12ceefd68f5758a188e1efc7ab]

cppcheck: prefer prefix variant


2010-12-30  Caolán McNamara  <caolanm@redhat.com>  [acaddfe6ab234e9e3ace74a11501cc52fa76c3f2]

cppcheck: prefer prefix variant


2010-12-29  Caolán McNamara  <caolanm@redhat.com>  [dd0a030f6918dc3b2617fecedc23277fda45b15c]

cppcheck: prefer prefix variants


2010-12-27  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [0e1c2d16cef47a73818a0c46189ae87448dbcdd2]

dr77: rebase to DEV300m96


2010-12-26  David Tardon  <dtardon@redhat.com>  [f9344d0a6cb06ccb31defea83e163cf15091104a]

avoid data race with wsupdate thread


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [427c25e92805b0a346acaa87275534936be94b42]

cppcheck: prefer prefix variant


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [257a0cdb0fb2d9a05ba0797d69f0e2b981f13470]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [5f989eb0808eeceb8a4a73ad18de59e2bdcb1d74]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [1880bb128626b24703e9382542bdbb7af63d028b]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [5f13a018f520c4392d1b83859dc7cd572f6fc5f2]

cppcheck: prefer prefix variant


2010-12-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [48f6d9d52fd2be0122092617188929737715dacc]

gridsort: do not allow NULL/VOID for a grid's columnd/data model - nothing would work then. (Both are already default-initited to some empty model in the grid model's ctor, for quite a few revisions)


2010-12-23  Tor Lillqvist  <tlillqvist@novell.com>  [b0d9f19a0a294672070c0098d0882a71c33e969b]

Drop inclusion of tools/prewin.h and postwin.h from sunjavaplugin.cxx

That file compiles fine without them. These headers are in tools,
which hasn't been built and delivered yet when sunjvmfwk is built. We
can't add tools to the dependencies of jvmfwk as that would introduce
circularity.

As such, I see no reason why prewin.h and postwin.h are in tools. I
think they should be in solenv, like premac.h and postmac.h. It would
perhaps be an Easy Hack to move them, and drop the "tools/" from all
lines including them?

2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [b71abc9bd549ee887a704c65c5a0c78ad2c34df9]

cppcheck: prefer prefix variant


2010-12-23  David Tardon  <dtardon@redhat.com>  [0f949c0b530c74cfff999fa3c1b69403cdf0e6b8]

suppress compiler warning


2010-12-23  David Tardon  <dtardon@redhat.com>  [da371e2fb97603dbf9067e637f8d3629b8489b50]

suppress compiler warning


2010-12-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d3c23bef8f81d64e6fde71ca47b2f71a3643a16a]

undoapi: merged after pulling DEV300_m96. Most probably still not buildable:A number of changes which happened in the CWS need to be redone due to the new build system


2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [bbe30440b74fff3dd66055bd25cce7e762a515dc]

cppcheck: prefer prefix variant


2010-12-22  Tor Lillqvist  <tlillqvist@novell.com>  [504d50d10992aec2b8b3ee45b8d50950762cff24]

Load msvcr71.dll needed by JVM using explicit path, see fdo#32426


2010-12-22  Anders Jonsson  <anders.jonsson@norsjonet.se>  [211c1f801ecd67816367b138b8ba875633b35d98]

Remove commented code


2010-12-20  Caolán McNamara  <caolanm@redhat.com>  [c6867d8c5c053d8f5256b5396557b974aceee389]

tweak this to compare classic and wide versions


2010-12-20  Caolán McNamara  <caolanm@redhat.com>  [a9f0988f19e15ee0d67d9376e2471ebc14e17b8a]

WaE: fix c++0x warnings


2010-12-20  Jan Holesovsky  <kendy@suse.cz>  [0556660af7be211089c51c05cc3f37dc0f0fdc1e]

Merge commit 'libreoffice-3.3.0.2'


2010-12-19  David Tardon  <dtardon@redhat.com>  [f88a59151b594ae1789cb92a6a46c982e752063c]

this is perf. test, so OUString::createFromAscii must stay here


2010-12-18  Petr Mladek  <pmladek@suse.cz>  [b51291955378ddd44382460b4077e426c4f8278e]

Version 3.3.0.2, tag libreoffice-3.3.0.2 (3.3-rc2)


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [d6e1cfbbba8c44663a7bf0f87c5bb03cb256d6d3]

CWS-TOOLING: integrate CWS fwk160


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [8864461d266e7fd09dd2a91b5791500001df264c]

CWS-TOOLING: integrate CWS dv22


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [d7d711cb7bf719425be7d597bc11998086312ee2]

CWS-TOOLING: integrate CWS sb131


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [f64ff741196717a7e4f8c46fff0e5e8536bd0200]

CWS-TOOLING: integrate CWS chart49


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [29390176501fa332545357d3c926aa38dffc8498]

CWS-TOOLING: integrate CWS ause128


2010-12-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [0d3dbcc7595bfa3ec16ae8fb7b1239502f56f3fe]

gridsort: renamed XGridDataModel::add/removeDataListener to add/removeGridDataListener - this consistency with the actual listener type name will make introspection work


2010-12-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [e328a68d1eb5e9deec7c7d9de2fc5b86bffa6270]

gridsort: renamed XGridColumn::add/removeColumnListener to add/removeGridColumnListener - this consistency with the actual listener type name will make introspection work


2010-12-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3318f811a0c54445e4aac339d3131eac86d93b93]

gridsort: let XGridColumnModel::getColumn throw an IndexOutOfBoundsException when appropriate


2010-12-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [38c24998084cdce20a552ef9be03b7a81e14c0c4]

gridsort: removed XGridColumn::updateColumn The implementation of this column was only a wrapper around what setColumnWidth/setPreferredWidth would have done. Also, the mechanism how this method was used was really weird, effectively propagating the (preferred) width from the ITableColumn implementation of the grid peer to the XGridColumn implementation of the grid column model. This was done each time the (preferred) width was access for reading - not really a clever solution. Now, the ITableColumn knows its respective XGridColumn, and simply forwards the (preferred) width as needed.


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [ae414697af63e13bed9331fe429c6a0c31aed200]

CWS-TOOLING: integrate CWS mib19


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [d88bc77556e3cd5086365ed179041628921c0fcd]

CWS-TOOLING: integrate CWS gnumake2


2010-12-16  Thomas Klausner  <wiz@NetBSD.org>  [76f18ae1c20ac0caf7f55e1d95203f11fe955d97]

Handle NetBSD like the other BSDs in more cases.


2010-12-16  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b50c5ba58caea38319178606197a9b9d1450ce2b]

undoapi: merged DEV300m95


2010-12-15  Julien Nabet  <serval2412@yahoo.fr>  [f23dee29479aedda75aa8f4d70e1136eb0aee07e]

RTL_CONSTASCII_USTRINGPARAM qa/rtl/process


2010-12-14  sb  <sb@openoffice.org>  [f3aea77133c6e6de2f7dd0cf876a942783200f0c]

sb135: #i116050# make osl_trace output atomic


2010-12-13  Andy Holder  <andy.m.holder@gmail.com>  [ebad0913aeca0d57ce6e19d70ccd0ef792d9f670]

Remove unhelpful macros from file.hxx


2010-12-13  Thomas Lange [tl]  <tl@openoffice.org>  [98670c0d11656e1d195e4e2538b350c034531e74]

cws tl84: merge with DEV300_m95


2010-12-13  Robert Nagy  <robert@openbsd.org>  [886f9a4f76aa6897b8be7486bc3a97a193424ef8]

malloc.h is obsolete on BSDs, so use stdlib.h there


2010-12-13  Robert Nagy  <robert@openbsd.org>  [95b25adcb9933d344880501f178daa338ce6b114]

malloc.h is obsolete on BSDs, so use stdlib.h there


2010-12-13  Caolán McNamara  <caolanm@redhat.com>  [ad15cb46fb7b58cafb051e068a49ed4f39eb3728]

fix bsd bridges (cherry picked from commit a5ac1c19ca78b6549d2dc7381ddd31ae839288ec)


2010-12-13  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [a98e8c3bfe591ae9422bc975d9b7fd1455df90af]

Update from master repository (DEV300_m95).


2010-12-13  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [db96f9f667f6a1ee45720952ad3daf4c883fa2f6]

#115784# sal/rtl/alloc: add support for valgrind(memcheck).


2010-12-12  Andy Holder  <andy.m.holder@googlemail.com>  [c1990df7b3cf67a0a9713c214f6628db50609f2e]

Remove commented out code

Remove commented out code that uses the unnamedspaced macros in
osl/File.hxx that are going away

2010-12-12  Andy Holder  <andy.m.holder@googlemail.com>  [862440e68351ede886772d6ec6058bb413dbe8bc]

Change unnamedspaced file.hxx macros


2010-12-10  Gert Faller  <gertfaller@aliceadsl.fr>  [ec82092a1dd914557a1ca9f9dc3bd00daafc4776]

RTL_CONSTASCII_USTRINGPARAM in ure 5


2010-12-10  Gert Faller  <gertfaller@aliceadsl.fr>  [6cdd337267e93b8ce4e57458a655c92711be1034]

RTL_CONSTASCII_USTRINGPARAM in ure 4


2010-12-10  Gert Faller  <gertfaller@aliceadsl.fr>  [fe882fc6063d39bb35a946bc4aa6da7d0ac99ef9]

RTL_CONSTASCII_USTRINGPARAM in ure 3


2010-12-10  Gert Faller  <gertfaller@aliceadsl.fr>  [2d8048e56bb3c630b6e39486683d5b08db510948]

RTL_CONSTASCII_USTRINGPARAM in ure 2


2010-12-10  Gert Faller  <gertfaller@aliceadsl.fr>  [8b9849322b31f40e05e39475b39af616c71b1086]

RTL_CONSTASCII_USTRINGPARAM in ure 1


2010-12-10  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [3f75ec381ab3bfa3bcaa6406279292d0ecf1f1a4]

chart46: #i25706# implement date axis - switching to scatter or bubble


2010-12-10  sb  <sb@openoffice.org>  [686f98d534828e4b8f9decba5f0c73d76d249b31]

sb135: #i116046# fixed jurt.com.sun.star.lib.uno.protocols.urp.Cache typo, adapted corresponding tests plus solenv/inc/javaunittest.mk to JUnit framework


2010-12-10  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [8e8b9518b3bb33a83272c723aa08949d5345ece1]

chart46: #i25706# implement date axis - cleanup


2010-12-10  sb  <sb@openoffice.org>  [195075fbf5916d543a95707ea5ae0547a8275ca4]

sb135: #i116043# handle extended InterfaceAttributeTypeDescription information


2010-12-10  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [a56e0a36a7f7d26758920baa49607f5fc988c8c7]

Automated merge with http://hg-lan.germany.sun.com/ooo/DEV300


2010-12-10  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [0e6df0615ee1c5dc65ff30454792f8743586ab0c]

#115784# idlc: fixed commandline option processing.


2010-12-10  Jesús Corrius  <jesus@softcatala.org>  [9f3cbd385363be5e2ba2d908769a9e34a328c59a]

Don't export unicows.lib functions


2010-12-09  Jesús Corrius  <jesus@softcatala.org>  [aaf9e04d8edf3cc813e18c91ea8cb31e1280838f]

Remove references to unicows.dll


2010-12-09  Caolán McNamara  <caolanm@redhat.com>  [0930aa3044f141cf5219f28b8522a221e44ece2e]

cppcheck: scope of these variables can be reduced


2010-12-09  Caolán McNamara  <caolanm@redhat.com>  [a5ac1c19ca78b6549d2dc7381ddd31ae839288ec]

fix bsd bridges


2010-12-09  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [5587059f08108a43763760e20af14749d267554d]

mib19: rebase to DEV300m95


2010-12-08  Jesús Corrius  <jesus@softcatala.org>  [8eece270e084718f8eae96494872aee61dce9eab]

Remove obsolete Windows kill utility


2010-12-08  Hans-Joachim Lankenau  <hjs@openoffice.org>  [6ff39f63f72f033603810f47f831a927df1965c8]

ause128: #i115964# add creating libjava_uno.jnilib for tests that may need it


2010-12-08  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [af0784212ca1765edc054230a42bb952e5cbbc34]

gnumake2: resync to DEV300_m95


2010-12-08  Caolán McNamara  <caolanm@redhat.com>  [202268247f1eb7add816fdd0856acb62f2265c66]

Use c++0x features to detect misuse of SAL_N_ELEMENTS and CONSTASCII


2010-12-07  Hans-Joachim Lankenau  <hjs@openoffice.org>  [f02be195c66ebd199088114253eb810df12459d6]

ause128: #i115964# create .jnilib file on request when linking; deliver .jnilib files instead of deliver magic


2010-12-07  sb  <sb@openoffice.org>  [356ca31f38b407cf087767f6159dbf1731472194]

sb135: merged in DEV300_m95


2010-12-07  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [5b483ac68c5cf920df0dcaf88e38ef6c3610ad4f]

gridsort: introduced container listeners at the grid model, reworked and fixed listener relationship between grid model/control/peer


2010-12-07  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [aa48cadb874a2ada203a041d8ac9849039bcc4c0]

gridsort: derive XGridColumnListener from XEventListener


2010-12-07  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c29d28ddef865608316c045886c912d59905a9ab]

gridsort: removed unused and empty XGridControlListener interface


2010-12-06  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [ed2d6cc5f0775beca1606079114467e14ec0ae1b]

rebased to OOO330m17


2010-12-06  Takeshi Abe  <tabe@fixedpoint.jp>  [5dfd9daa2f96e79e7f82a90698db628e6991ce32]

Replace all occured, occurance etc.


2010-12-05  J. Graeme Lingard  <jgraeme+git@gmail.com>  [7b277251a7b79fe3f83841ab9e3028670262e4dc]

Remove redundant comments


2010-12-05  Caolán McNamara  <caolanm@redhat.com>  [6880d06ed807326d030795c3eb1fb448cdb4a6e0]

cppcheck: emptyStringTest


2010-12-05  Caolán McNamara  <caolanm@redhat.com>  [bee95932b7944ae3130e36895e4ddedeb1e9d9bf]

cppcheck: unused variables


2010-12-04  Kalman Szalai - KAMI  <kami911@gmail.com>  [2e76a820c8d5027d8c4da4c6d9d3d4cf5d13f7e3]

Fix for build.lst in cli_ure


2010-12-03  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [061822a6f5194c20a075e078f543d749e297f067]

chart46: #i25706# implement date axis - simplify axis access in chart api


2010-12-03  Caolán McNamara  <caolanm@redhat.com>  [bfa6f1443c990b204862ffe1e7a3753527a6cbcd]

fix typo


2010-12-03  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [190621e3cafc94ffaf5bd6aab8411ad003770386]

undoapi: merge


2010-12-02  David Tardon  <dtardon@redhat.com>  [aa4f1f59b718f74e46ebd8d5db655ce0e3756224]

remove #include of oneself


2010-12-02  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c1554d5e9f8c311facbb8b1d5bd7f8f98f7712e0]

Automated merge with ssh://hg.services.openoffice.org/cws/gridcontrol07


2010-12-02  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f62b012bfa0e79ccd3c2dd0ed0e8b6e00233d0a4]

undoapi: #i33781# include XUndoManagerSupplier


2010-12-01  Petr Mladek  <pmladek@suse.cz>  [1d474a668f0f07064e7cd02d6f2f975b270b466a]

Version 3.3.0.1, tag LIBREOFFICE_3_3_0_1 (3.3-rc1)


2010-12-01  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [346f3663dbcee0796e91256186f72faffda8e994]

undoapi: clear the redo stack when leaving an Undo context resp. list action, not when entering it. This is a pre-requisite for Writer's upcoming migratin to SfxUndoManager


2010-12-01  Carsten Driesner  <cd@openoffice.org>  [f46e4f27f7aa0e093ca92f3326dc4d83a8bd0638]

fwk160: Sync to DEV300_m94


2010-11-30  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [96c3c58c5d205a04605a8c0b45a7611d5d08be46]

chart46: #i25706# implement date axis - some docu issues


2010-11-30  Ivo Hinkelmann  <ihi@openoffice.org>  [2ccc5ffa480ead302f3ffd0f59c258261cf1a26e]

CWS-TOOLING: integrate CWS pl08


2010-11-30  Ivo Hinkelmann  <ihi@openoffice.org>  [37caa7c3edd79ac1e1d328d88e8e914788ee9108]

OOO330


2010-11-30  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [aa39eee793941bbf9fdcd0b6273412ed7507aced]

#i115784# registry: fixed std::vector<> usage.


2010-11-30  Caolán McNamara  <caolanm@redhat.com>  [0998acf715f745baacbeef977d915bbd119c54ee]

cppcheck: unused variable


2010-11-30  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [1b3ca08eb58e0a618a4d8ee2c35844b4fb7135eb]

chart46: #i25706# implement date axis


2010-11-29  Caolán McNamara  <caolanm@redhat.com>  [278e5b511fa549b50cbc84e6705100806c383e92]

get these tests to build again


2010-11-28  Caolán McNamara  <caolanm@redhat.com>  [01220dfb1e7f4cd7490cb5940b9c212abce71fc1]

make these cppunit tests buildable again


2010-11-28  Caolán McNamara  <caolanm@redhat.com>  [f21ff476e03fcbc4424533f37cbefc222d201fce]

cppcheck: member not initialized in ctor


2010-11-26  Caolán McNamara  <caolanm@redhat.com>  [04fb68858236232a52d9c8f91dd5277c3cf9f543]

cppcheck: use prefix variant


2010-11-26  Mathias Bauer  <mba@openoffice.org>  [d149ddbd5c9b511659aead9ee3903aae92f9394e]

CWS gnumake2: resync to m94


2010-11-26  Michael Meeks  <michael.meeks@novell.com>  [4ae9032fbb695125714266f89ff6f06642191cef]

fix compilation issues


2010-11-26  Julien Nabet  <serval2412@yahoo.fr>  [77bc438afb2837ba06b434d2d6f99b8c9d1631f0]

unused variables in ./sal/osl/unx/util.c

Hello,

Here is a small patch for ./sal/osl/unx/util.c

Julien.

commit 9b18a955cd7ac4462c68b8113f73cd4dca2ccbbb
Author: serval <serval@ilapharm.com>
Date:   Thu Nov 25 23:03:04 2010 +0100

    ure : remove unused variables

2010-11-25  Jan Holesovsky  <kendy@suse.cz>  [0932259065e27ab91af9345a8b4f947292d98299]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/ure


2010-11-25  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [90e5c08a4ad6d0ebef386f0d22e74406efd37a11]

Update from sibling repository.


2010-11-25  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [245deeb28578d8197f684d10110137c18bd7d0aa]

Update from sibling repository.


2010-11-25  Michael Stahl  <mst@openoffice.org>  [bb639aa1215afce8f2f04697a31dfde87ea3b611]

udoapi: merge sw refactoring with undoapi stuff


2010-11-25  Jan Holesovsky  <kendy@suse.cz>  [9de227b160f58bdafba04b3bbd9ea6f726803651]

Merge remote branch 'origin/libreoffice-3-3'


2010-11-25  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [3864bd15f801f6fb40f46f9eba23cae288733eaa]

#i115784# idlc: fix memory errors uncovered by valgrind and other tools.


2010-11-25  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [7f77721e5a3876ef311841edb21680b4af15a9e7]

#i115784# registry: fix memory errors uncovered by valgrind and other tools.


2010-11-25  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [cf123a7cb35cd8506644639b185d056efa30ddee]

#i115784# store: fix memory errors uncovered by valgrind and other tools.


2010-11-25  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [596a85aa55fa0cc3f7439ff9a9404869b277487a]

#i115784# sal: fix memory errors uncovered by valgrind and other tools.


2010-11-25  Jan Holesovsky  <kendy@suse.cz>  [dde669b58ee617860158bfb020f37ea6c504dbdf]

Merge commit 'ooo/OOO330_m16' into libreoffice-3-3


2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [a828e9f6f8b11fd22dc4843c3490b4f98ed27522]

cppcheck: methods can be const


2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [1b33b8e65a602c4368f6b2bb612a02957ef1c802]

cppcheck: methods can be const


2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [f06734fdc61a3f92c7c7ac988f207afe20816149]

remove empty method


2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [90287eddd555be45b26ece5cb689f777337c6fb3]

remove empty method


2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [3a7600501d9eccca6aeb38c77e83d30d397a2676]

cppcheck: methods can be const


2010-11-25  Miklos Vajna  <vmiklos@frugalware.org>  [4a1aee9ac3156bc6c05d82ffe7fc70f53ac6a310]

OSL_THIS_FUNC: use logic from boot/current_function.hpp

Don't use it directly, as OSL_THIS_FUNC is used in C-only sources as
well. Also, remove OSL_THIS_FUNC from OSL_LOG_PREFIX as concatenation
does not work non-macros like __PRETTY_FUNCTION__. (The code actually
worked there only because it was defined to be " ", so we are not
removing any valuable information.)

2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [7f92ccf47c502a3e2b65a386d1f286b0161765cb]

cppcheck: methods can be const


2010-11-24  Caolán McNamara  <caolanm@redhat.com>  [51fdb0e8e2636671bea49ce1f53a149f9e0861df]

cppcheck: Empty string test can be simplified


2010-11-24  David Tardon  <dtardon@redhat.com>  [f4eb2309caa11368dbe8521e97ea551fbc13d57c]

fix invalid XML


2010-11-24  Caolán McNamara  <caolanm@redhat.com>  [e809491b5f94de4343cce16de1452df8d732c71c]

cppcheck: The scope of these variables can be reduced


2010-11-23  Tor Lillqvist  <tlillqvist@novell.com>  [3bfb8f8d4bbedbdd5ee2355d54b17a564663dcf0]

Expression in OSL_PRECOND was inverted


2010-11-23  Caolán McNamara  <caolanm@redhat.com>  [c969a74136a9f6c84aa13b8c90f1aea1ec1b14b0]

make more of the workbens build, and add performance test


2010-11-23  sb  <sb@openoffice.org>  [841adf31400b3d0c4297f66c71ae2ffef9c9af69]

sb135: merged in DEV300_m94


2010-11-22  Joseph Powers  <jpowers27@cox.net>  [34f7bb827b085aacdc7089c9844a72be760faa7f]

Fix .gitignore for mac


2010-11-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [e087fcccd2d93ae951296393af5a028e7cd989f5]

dba34b: merge after pulling DEV300.m94


2010-11-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [6679ef26c03cf35deb4b53c3fb32a5224290e9ef]

undoapi: merge after pulling DEV300.m94


2010-11-21  sb  <sb@openoffice.org>  [f6dd33db015d23f30c4934ad05d5b2838b42ac48]

sb136: #i114155# partially revert fix for i108776 to avoid ABI incompatibility of jvmaccess library


2010-11-20  David Tardon  <dtardon@redhat.com>  [91252027bc613e7cc02a4a8581e62d67bbdf8599]

use spec. tags for true, false and null


2010-11-20  David Tardon  <dtardon@redhat.com>  [c31b22d6cab28107c4b770ef39c80b5d3f014367]

fix some typos


2010-11-20  Kevin Hunter  <hunteke@earlham.edu>  [122022f5a368b6adca85e99dc9f987cad10dd0e6]

EasyHack: RTL_CONST macro from createFromAscii

They're only in the tests, but it compiles, and the createFromAscii
messed with my grep-age!

2010-11-19  Mikhail Voytenko  <mav@openoffice.org>  [0a6de08c93e792124d977449cc1ae3546c1f3256]

fwk160: #i105047# provide anough place for the locale, since it could contain currency and etc.


2010-11-19  sb  <sb@openoffice.org>  [191dbc37cc4517e545c392c89abd71ccf6f5556d]

sb131: merged in re/DEV300_next towards DEV300_m94


2010-11-19  Thomas Lange [tl]  <tl@openoffice.org>  [d7923dbe2eff68b516ca842c27c492bebb3cf93d]

cws tl84: merge with DEV300_m93


2010-11-18  obo  <obo@openoffice.org>  [79d99be4b5a05e8ce1f74acdfd730201bc517720]

CWS-TOOLING: integrate CWS sb136


2010-11-18  Vladimir Glazunov  <vg@openoffice.org>  [9b9af76f5ddd1ec3e07ba4af24d6289db12021fd]

#i115599# use symbol shortcut


2010-11-17  sb  <sb@openoffice.org>  [59e3a44c4c7d06f04c1516c50a0231697840dcc5]

sb136: #i114155# partially revert fix for i108776 to avoid ABI incompatibility of jvmaccess library


2010-11-16  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [6a83f30eca4c07a4c91a8b8764b381fa82a2d651]

undoapi: make reset an explicit, atomar operation at the IUndoManager, instead of simulating it in a higher layer


2010-11-16  Ingrid Halama  <iha@openoffice.org>  [c942e1f49d8c6a2711f1a490a20ba17f2b3fbac7]

chart52: #28670# make the legend within charts resizeable - part 1 - patch from hackfest2010


2010-11-16  Vladimir Glazunov  <vg@openoffice.org>  [c3b7492d88f4a0a71d8846f10f98501ffa507be8]

CWS-TOOLING: integrate CWS kso46


2010-11-16  Vladimir Glazunov  <vg@openoffice.org>  [566ddc8978ac32c3c1d081ecfd47912067f017c3]

CWS-TOOLING: integrate CWS tlmath01


2010-11-16  Vladimir Glazunov  <vg@openoffice.org>  [4e8e6cf926c9b6d28b0d2309194cf580ead6555d]

CWS-TOOLING: integrate CWS dockingwindows


2010-11-16  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [637b3c6ad394cd86b445c5a2dd47dae270e8c22f]

undoapi: derive XUndoManager from XChild, to allow convenient access to the document it belongs to


2010-11-16  Jan Holesovsky  <kendy@suse.cz>  [8b21f0774ffc20d29d053128c67362cd69904af0]

Merge remote branch 'origin/libreoffice-3-3'

Conflicts:
	cppu/util/target.pmk

2010-11-16  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [bbcdafc09727991f3f8bdcc45f7d734e18c778d0]

 undoapi: step 2.3 of the migration of css.chart2.XUndoManager to css.document.XUndoManager:  migrate the clients of XDocumentActions to using the new XUndoManager, and completely remove the (X)DocumentActions  still some more cleanup needed


2010-11-15  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a24f153070592607935d148c97412192476f6d4b]

 undoapi: step 2.2 of the migration of css.chart2.XUndoManager to css.document.XUndoManager:  base the implementation of XDocumentActions on the document's UndoManager


2010-11-15  Juergen Schmidt  <jsc@openoffice.org>  [1811ba01772c9158a9bb7ba5f0c1ffcc536f9a81]

jsc340: i114887: remove old not used draft types


2010-11-15  Carsten Driesner  <cd@openoffice.org>  [72e410c9993f099e0db3963cc92f2f6f5c51e263]

Rebase to DEV300m93


2010-11-15  sb  <sb@openoffice.org>  [10ec61767dc8f7ec1adf0849f0084430d59b4029]

sb135: merged in DEV300_m93


2010-11-13  Tor Lillqvist  <tlillqvist@novell.com>  [e5a21130c93ee3e22364978a746b22bc409bd4be]

Make the workaround for the crash at exit effective in a non-debug build

I hadn't noticed that cppu/util/target.pmk was surrounded by
.IF "$(debug)" == "".

2010-11-12  Jan Holesovsky  <kendy@suse.cz>  [ed2eca6839234a56165b3688a8434dd1608e1e2a]

Revert "Add workaround to avoid crash when exiting LibreOffice"

This reverts commit 146e2fbca20f5cba3410d3d042ae6222a565dd7e.

The workaround is has to be present in libreoffice-3-3, but we do not want to
have it in master, so that eventually it is fixed in the end :-)

2010-11-12  Jan Holesovsky  <kendy@suse.cz>  [919ef19648533d20ced7f13de3417bddc1af0ad4]

Merge remote branch 'origin/libreoffice-3-3'


2010-11-11  Vladimir Glazunov  <vg@openoffice.org>  [ac8cf22ffe3b2e18e349babc59a287f395acee13]

#i10000# added export for x64


2010-11-11  Petr Mladek  <pmladek@suse.cz>  [6cb0b0a6a483c8afec1f20d7b9237043663a6280]

Version 3.2.99.3, tag LIBREOFFICE_3_2_99_3 (3.3-beta3)


2010-11-10  Tor Lillqvist  <tlillqvist@novell.com>  [146e2fbca20f5cba3410d3d042ae6222a565dd7e]

Add workaround to avoid crash when exiting LibreOffice

Reintroduce the horrible CPPU_LEAK_STATIC_DATA hack used in OOo 3.2.1,
but only for Windows builds. No idea what causes the crash. See
fdo#31494. Don't know if this hack has some bad consequences then,
i#107490 seems to say so.

2010-11-10  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [cc06bfd7d8567771e289918bae6b9d0996eab4c7]

rebase to DEV300_m92


2010-11-10  Thomas Lange [tl]  <tl@openoffice.org>  [24803eb03a013c72b77941f35c2cb975f1b8865a]

cws tl84: #i114751# fingerprint data for Serbian


2010-11-10  Kevin Hunter  <hunteke@earlham.edu>  [fe7999997512bc5c01648aefa24aeeff91ca3d25]

EasyHack: Convert to RTL macro from FromAscii


2010-11-09  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [e0b421b88055b1f5b88beae60f011abf60820327]

undoapi: step 2.0 of the migration of css.chart2.XUndoManager to css.document.XUndoManager: rename css.chart2.XUndoManager to XDocumentActions. Not sure this class will still exist (in either form) after the refactoring is finished.


2010-11-09  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [885fefac73cd9ad23dcaffbbbc1eb57d6c6398e2]

undoapi: step 0.1 of the migration of css.chart2.XUndoManager to css.document.XUndoManager: remove the XModel paramter from the XUndoManager methods, they're an implicit attribute of the instance


2010-11-09  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [22031f39169d6ff39f0ddd77873c5bd8bd658932]

undoapi: step 0.0 of the migration of css.chart2.XUndoManager to css.document.XUndoManager: remove the unused XUndoHelper


2010-11-09  Kevin Hunter  <hunteke@earlham.edu>  [96905d2f3b9a2ea013d8081eccef846af18768c9]

RTL macro converted from createFromAscii


2010-11-09  Kevin Hunter  <hunteke@earlham.edu>  [3ccc6956d380a5d475a78203879b5aafb4942574]

Remove some commented out code.


2010-11-09  Juergen Schmidt  <jsc@openoffice.org>  [724b812e95995ae2d4170805e059c96cbb69098e]

jsc340: merge with DEV300m92


2010-11-09  Vladimir Glazunov  <vg@openoffice.org>  [269ff22d3a35538fe219a6d0a7abdc534cbec050]

CWS-TOOLING: integrate CWS fwk149


2010-11-09  Juergen Schmidt  <jsc@openoffice.org>  [098c825385ecf980e571dd6d9a985bf747d805fc]

jsc340: i114887: cleanup of old not used draft types


2010-11-09  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [b155bc45627cd5e29bb870df89bc0644a4865ed8]

dr77: rebase to DEV300m92


2010-11-09  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [01123c23abb3e7e128045903a8c2d56debc99e4f]

Fixed i#81780 for good, even on Macos X


2010-11-09  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [35947e863677ebc86415d62073a74845a4970880]

Fixed i#81780 for good, even on Macos X


2010-11-08  Caolán McNamara  <caolanm@redhat.com>  [8c9864307001ac831ba51375c893937637bd942f]

restore issuzilla id for reference


2010-11-08  Miklos Vajna  <vmiklos@frugalware.org>  [dc9eb59c70454b85710e474ed84e7e0621e7e739]

cpp_uno: fix build error introduced by commit 706100d1


2010-11-08  Robert Nagy  <robert@openbsd.org>  [910c7c2be9981c94ec94b52a91eac6744f7f2d9a]

JFW_PLUGIN_ARCH/server is needed on OpenBSD


2010-11-08  Robert Nagy  <robert@openbsd.org>  [895248f235194e8bdabd3e0702d8b4633dea5904]

JFW_PLUGIN_ARCH/server is needed on OpenBSD


2010-11-08  Mihaela Kedikova  <misheto@openoffice.org>  [969e1a1741b85625b479a2cc64179c94a6582031]

gridcontrol07: bugfixes for gridcontrol


2010-11-08  Vladimir Glazunov  <vg@openoffice.org>  [c5ad2298541af0232cfe341be7650ff3a5fc894c]

CWS-TOOLING: integrate CWS sb132


2010-11-08  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [00cfbf5b8cf015beeea8481c0ebf5945c597c3c2]

Remove bogus WITH_CORE debug code which core dumps for sure

There was #ifdef'd test code depending on WITH_CORE being defined
(which is never set in our build system). It is described as test code
that will core dump. So let's remove this and write proper cppunit
tests instead. All this concerns two files in 'qa' and not "real
source code".

Also remove some commented out code while going through that file.

2010-11-08  Vladimir Glazunov  <vg@openoffice.org>  [08f3f0038dd41c6d0f23e201fb8254e4e7cf5359]

CWS-TOOLING: integrate CWS dba34a


2010-11-08  Caolán McNamara  <caolanm@redhat.com>  [71ba47b9f0106adf088012146c02ccb332f420e6]

strip trailing whitespace


2010-11-08  Aurimas Fišeras  <aurimas@gmail.com>  [0a4e1ff2f2e79b2b4c7070d9eed071cf81292b3f]

Fix some typos in documentation


2010-11-08  Robert Nagy  <robert@openbsd.org>  [c75b0314ec681dbb31b8b235cb417e6a062c07ed]

add OPENBSD ld command


2010-11-08  Robert Nagy  <robert@openbsd.org>  [706100d12bd0043336a41f0f36c85389fef67075]

Use linux bridge code on all BSDs.

Share the linux bridge code with all the BSDs to avoid code duplication
and the hassle of syncing. Discussed with Caolan McNamara

2010-11-08  Robert Nagy  <robert@openbsd.org>  [a4e649dd78a57a89de8c3e23bf02f06a71380d56]

use getpagesize() on OpenBSD


2010-11-08  Robert Nagy  <robert@openbsd.org>  [a2a7a8eae622e09f06883a8ec329556445704855]

include sys/wait.h on openbsd


2010-11-08  Robert Nagy  <robert@openbsd.org>  [5a6ca35bd6df67085bc84d0f20612a94b6c6480b]

Patches for ure, neeed by OpenBSD

Adds the necessary distinctions in the system abstraction layers.

2010-11-08  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [1859464dabdb21ae86ff397c2b34643d9fdd06e0]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba34b


2010-11-06  Robert Nagy  <robert@openbsd.org>  [b82d04472bf28314a2718b2a52ea414413c7e5ae]

add OPENBSD ld command


2010-11-05  Kohei Yoshida  <kyoshida@novell.com>  [a883ec5361989fdfa3ab948d92e8e8e02ce6a61f]

Fixed a build break.


2010-11-06  Robert Nagy  <robert@openbsd.org>  [59fdf04dfe88037857b0662fc59eccae3eca165a]

Use linux bridge code on all BSDs.

Share the linux bridge code with all the BSDs to avoid code duplication
and the hassle of syncing. Discussed with Caolan McNamara

2010-11-05  Caolán McNamara  <caolanm@redhat.com>  [43738da82e783ab89501c7a240eba1bd438a4193]

can undo this now with dial-down in solenv (cherry picked from commit 23b34d1adafa71612f093d6b5aa015f307785a3f)


2010-11-05  Noel Power  <noel.power@novell.com>  [4b074bec0148ac7844c6f9d09218917340702d59]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/ure


2010-11-05  Caolán McNamara  <caolanm@redhat.com>  [23b34d1adafa71612f093d6b5aa015f307785a3f]

can undo this now with dial-down in solenv


2010-11-05  Robert Nagy  <robert@openbsd.org>  [6d8819b08ab3949abe25b3d421a14a31210e1ebf]

use getpagesize() on OpenBSD


2010-11-05  Robert Nagy  <robert@openbsd.org>  [d111d7e2dad5b70e16c607bd9bcbca8dcb9381d2]

include sys/wait.h on openbsd


2010-11-05  Thomas Lange [tl]  <tl@openoffice.org>  [34baee3be8f40ce3a63e2c8d6c071e8ea6433165]

cws tlmath01: merge with DEV300_m92


2010-11-04  Mikhail Voytenko  <mav@openoffice.org>  [8cdb414863d0d3d36cea633e77ebb7e93690c07e]

pl08: #163778# use EncryptionData from MediaDescriptor


2010-11-04  Caolán McNamara  <caolanm@redhat.com>  [2d5c7b161ef91047cc876a13f2528d90c086e270]

#i112929# unused s_semi


2010-11-04  Tor Lillqvist  <tlillqvist@novell.com>  [5fcf0839b7a74404693f33f9dc7651fe7220b748]

Export one more Timer symbol


2010-11-04  Tor Lillqvist  <tlillqvist@novell.com>  [7b16b6016999cc473c36d6d20643545202256f2f]

Export one more Timer symbol


2010-11-04  Tor Lillqvist  <tlillqvist@novell.com>  [05bd1fc1873c127e6e71d67acbc25815505df21d]

Attempt to fix some vos removal fallout on Windows

After of the vos removal, some classes in other parts of the code now
are subclasses of SimpleReferenceObject.

To avoid compilation and linking errors in those other parts, we seem
to need to have the operator new[] and operator delete[] in
SimpleReferenceObject as protected instead of private. We also need an
implementation of operator delete[]. As it can be unimplemented with
gcc, I hope it isn't actually called, though, so it for now crashes
intentionally if called.

Will see later if this actually works, this is just a commit to make
stuff build.

2010-11-04  Tor Lillqvist  <tlillqvist@novell.com>  [cd48803564fe5b175118ed9f3204c9a79b354fbb]

Export more Timer API with MSVC in the map file


2010-11-04  Tor Lillqvist  <tlillqvist@novell.com>  [e3159b33959113d32939983b4e0d9e133836eb84]

Attempt to fix some vos removal fallout on Windows

After of the vos removal, some classes in other parts of the code now
are subclasses of SimpleReferenceObject.

To avoid compilation and linking errors in those other parts, we seem
to need to have the operator new[] and operator delete[] in
SimpleReferenceObject as protected instead of private. We also need an
implementation of operator delete[]. As it can be unimplemented with
gcc, I hope it isn't actually called, though, so it for now crashes
intentionally if called.

Will see later if this actually works, this is just a commit to make
stuff build.

2010-11-04  Tor Lillqvist  <tlillqvist@novell.com>  [ccce2d1fe8ffaf69e1c8a4f01e0321dc48996fba]

Export more Timer API with MSVC in the map file


2010-11-04  Carsten Driesner  <cd@openoffice.org>  [2ebb243be4e4a8df38fe7396b4581c8fd77960a3]

dockingwindows: Merge changes from DEV300m92


2010-11-04  sb  <sb@openoffice.org>  [9a40f0a81c14af28673740766dd9b4467a630153]

sb135: merged in DEV300_m92


2010-11-04  Robert Nagy  <robert@openbsd.org>  [04ec590fd95650782c3c01a5ada8208a4f5f8686]

Patches for ure, neeed by OpenBSD

Adds the necessary distinctions in the system abstraction layers.

2010-11-03  Nigel Hawkins  <n.hawkins@gmx.com>  [1e85166aac7d138b47d3640e7efe8e40fc437d59]

ure: fix fprintf compile warnings in unoexe.cxx


2010-11-03  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [9b2b86f68aa2b73b539570c6eb066f50f7279a33]

dr77: typos in IDL


2010-11-03  Jesús Corrius  <jesus@softcatala.org>  [cc7cd7ca3754ea8060ac1e06d55d6e2cec797fa1]

Remove unused code


2010-11-03  Giuseppe Castagno  <giuseppe.castagno@acca-esse.eu>  [e3a59289ba1e44cc394b4f2499f2910b189e3a78]

Changed symlink processing to new application name. Now the function will try for libreoffice in the PATH, instead of soffice.


2010-11-03  Thomas Lange [tl]  <tl@openoffice.org>  [8dd65ee8df5556f2bbd81a7ccf8df76b4d963328]

cws tlmath01: #i972# Math baseline alignment


2010-11-03  Jan Holesovsky  <kendy@suse.cz>  [bd18753f4ea022860e368eda34d152b6e72e3774]

Workaround for the registration breakage on SUSE.

Commit 55c3066e52ad1843549c442e8d74f886507c58f4 seems to break the SUSE boxes,
this is a workaround for that.

2010-11-03  Jan Holesovsky  <kendy@suse.cz>  [15294167e07a529cce341710444936929c2b6454]

Workaround for the registration breakage on SUSE.

Commit 55c3066e52ad1843549c442e8d74f886507c58f4 seems to break the SUSE boxes,
this is a workaround for that.

2010-11-03  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [16400089118583c2496803f7d1032bea81b806a9]

dr77: #i102872# little cleanup of IDL documentation related to sheet filters


2010-11-03  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [c6ff0b46954953b341e4705b6a9590a7673ee14b]

dr77: #i102872# little cleanup of IDL documentation related to sheet filters


2010-11-02  Noel Power  <noel.power@novell.com>  [88284561cad7e20f27e33b3a3b8d70175c759d33]

initial import of latest cws container_controls


2010-11-02  Mihaela Kedikova  <misheto@openoffice.org>  [3bdbb7bc4195b2ee22eb3cba2d73cb78fb0f3a1a]

tabcontrol: merge with DEV300_m91


2010-11-02  Carsten Driesner  <cd@openoffice.org>  [45530272773f6602c31d032220fb491f56637e61]

dockingwindows: #i112595# Merge changes


2010-11-02  Mihaela Kedikova  <misheto@openoffice.org>  [1944b8da73dc28e1a7ec66a41cf0a5b62db67cfa]

tabcontrol: changes regarding version and services


2010-11-02  Juergen Schmidt  <jsc@openoffice.org>  [5a32a0f2b0fed78f840f1c041d45960a305f184d]

jsc340: i115337: cleanup since tags


2010-11-02  Tor Lillqvist  <tlillqvist@novell.com>  [2d7d13b64439f9f95d931d287e734f0ea747d38f]

Export more symbols


2010-11-02  Tor Lillqvist  <tlillqvist@novell.com>  [7e2af072fba633181170043bb9224850cbf1bf08]

Export more symbols


2010-11-02  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [ab655deabf012bcb6d0019303ff1b0eeab6b6526]

undoapi: allow retrieving the count/comments of Undo/Redo actions both on the current and the top level


2010-11-02  Juergen Schmidt  <jsc@openoffice.org>  [103fbab4686b0d9824d184a17afc58d98ba32e2f]

jsc340: i115337: cleanup since tags


2010-11-01  Jan Holesovsky  <kendy@suse.cz>  [9eaabc678b00eb630b521ea82be163b9ee8e19f8]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/ure


2010-11-01  Vladimir Glazunov  <vg@openoffice.org>  [b849d06fae7466bd94542c6c06ec23c906fb73a6]

#i10000# changes from OOO330 m13


2010-11-01  Jan Holesovsky  <kendy@suse.cz>  [9315f8bc6eeeaaeec75d528f02a0ee7b7670edda]

Merge commit 'ooo/OOO330_m13'


2010-11-01  Caolán McNamara  <caolanm@redhat.com>  [eef9cb67843de78ffadf5aa02323dff7a2b79bdd]

remove unused copy-and-pasted PAM_BINARY_MSG from os2 port


2010-11-01  David Tardon  <dtardon@redhat.com>  [da179948ca7896c102193ccd67fbadbc7d115480]

add missing parenthesis


2010-11-01  Gert Faller  <gertfaller@aliceadsl.fr>  [8ccf1edc4025b914a3aef76bc3cc461e7f718620]

fix cppcheck realloc warning


2010-11-01  Dirk Voelzke  <dv@openoffice.org>  [ee63decfae7a84a68b2c2c1715fb6e38cf88dd15]

dv22: merge with DEV300_m91


2010-11-01  Gert Faller  <gertfaller@aliceadsl.fr>  [64c405697b5240b8c68fa398f93e09b7d6e6b16f]

fix cppcheck realloc warning


2010-10-30  Gert Faller  <gertfaller@aliceadsl.fr>  [d924b0a08a9fc6b853e8ace60e4a269b696156fe]

Use RTL_CONSTASCII_USTRINGPARAM


2010-10-29  sb  <sb@openoffice.org>  [d03607b55ac4827b6457dac7c70f342d900b88d6]

sb135: merged in CWS sb131


2010-10-29  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d52cf08700d254d33b21bc6e10155faa4f1cfcc2]

merge after pulling DEV300.m91


2010-10-29  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ed376a186b41bd76ee164566d2a949434120fa27]

merge after pulling DEV300.m91


2010-10-29  sb  <sb@openoffice.org>  [6d1943085ccf3648d5a7e7f23f91afe4f7fb09ae]

sb132: #i114840# $(CPPUNITTESTER) is not yet available while building sal


2010-10-29  sb  <sb@openoffice.org>  [95b37f921bc45db2fce09daafb9ed66376a1029c]

sb132: merged in DEV300_m91


2010-10-28  Mathias Bauer  <mba@openoffice.org>  [b95efb7c53760c6945f26635a87aa49bc2f58d18]

CWS gnumake: resync to m91; conflicts unresolved


2010-10-28  sb  <sb@openoffice.org>  [865d7ea17f96d43429469656d1aba702ffef9131]

sb132: #i114290# current OSL_THIS_FUNC, esp. as used in OSL_LOG_PREFIX, does not work


2010-10-28  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [37b293bac9dfe4f569b93b4c09a1c3b8daa68ad9]

dr77: #i115296# add constants for SpreadsheetViewSettings::Show... properties


2010-10-28  sb  <sb@openoffice.org>  [95c541411cb6dc001d7642497b6e3ee98323ea1e]

sb132: #i114840# fix inadvertent deviation of stringToDouble from C99 strtod


2010-10-28  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [2ca574624ff73616bcd16648f7e08576fbfaf0f7]

Automated merge with http://hg.services.openoffice.org/cws/dba34b


2010-10-28  sb  <sb@openoffice.org>  [36dff4041dd46301ea5a2ae4b9cc7fbfab5d351a]

sb132: #i109191# avoid early finalization of Java URP proxies


2010-10-28  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [b78dce0a8e56250c1bbd961de1717a59a6541d45]

Automated merge with http://hg-lan.germany.sun.com/ooo/DEV300


2010-10-28  obo  <obo@openoffice.org>  [77f431550648efb97a6d22eeea5009a69fcdef34]

CWS-TOOLING: integrate CWS jl162


2010-10-27  Caolán McNamara  <caolanm@redhat.com>  [ce5350816627f1eb0672c4b2ec9ca7f6cc611edf]

add modelines to .h and .c files as well


2010-10-27  Caolán McNamara  <caolanm@redhat.com>  [070d7966bfc8bd3859284433210407dbd63180d2]

add dbg_dumps for string buffers


2010-10-27  Joachim Lingner  <jl@openoffice.org>  [d3c7714e15ee5e048e24555af324381a0de6cb23]

jl162 #i115180# fix problems with latest java 1.6.0_22 on MacOS 10.6


2010-10-27  Joachim Lingner  <jl@openoffice.org>  [03a26afa7cefcc99ebfce60050581cd9adf5822f]

jl162 #i115180# fix problems with latest java 1.6.0_22 on MacOS 10.6


2010-10-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e30a9f02265ad280d358a43e7030f74d9559005b]

undoapi: outsourced locking functionality into a dedicated interface


2010-10-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0075f75fa084a50e9a3041cffed48c331bda5266]

undoapi: detailed the error handling


2010-10-27  Norbert Thiebaud  <nthiebaud@gmail.com>  [b6ff3f68d33dbf7754d407c8f0650230710551bc]

remove vos reference from uno xml descriptions


2010-10-26  Joachim Lingner  <jl@openoffice.org>  [33b3fb4a005f9822b3a3547db3395c816fb870c0]

jl162 #i115180# fix problems with latest java 1.6.0_22 on MacOS 10.6


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [9c108aee461192d4ff0ef05cc6bbc67554a9c354]

Finally, gut the vos module out of the build


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [8d9dd02ef318fd0c87e09ea24b6670becbcf78a1]

remvove vos/macros.h usage


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [a98d0d3fabddf6d1e511c5a8a5a649741c6c00ce]

rename osl::SolarMutexGuard -> SolarGuard to avoid namespace ambiguity


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [d290e1331c71a3d13db7b5b7e143c8c08f481660]

kill bonobo-related code in the codemaker


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [0e6eabe0bc7e1be3af3b8f4448b8be835a43d15f]

merge vosremoval-mutex.diff

In practice the changeset is 'inspired' by vosremoval-mutex.diff
but was essentially redone manually

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [4fd4530a471c2fbe8e903774e2f086f6cbe5e08f]

Create an abstract interface to be used to implement a SolarMutex


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [ff019d7e54681269cfcf32d45f71038840cc4236]

merge vosremoval-timer.diff


2010-10-25  Caolán McNamara  <caolanm@redhat.com>  [7d7c79714a3cf863a464b82ce1eef58e5c4447f3]

#i113212# support x-iscii-de/RTL_TEXTENCODING_ISCII_DEVANGARI mapping


2010-10-25  Caolán McNamara  <caolanm@redhat.com>  [721498cbf2922541af4436652b6b4442790c331b]

micro optimizations


2010-10-25  Caolán McNamara  <caolanm@redhat.com>  [cdcbc2be88c1026ff3f6771b58357454e8e16cce]

micro optimizations


2010-10-25  Caolán McNamara  <caolanm@redhat.com>  [bd4432814051ee47ce5a5b34c697fac0f17d79bc]

micro optimizations


2010-10-25  Caolán McNamara  <caolanm@redhat.com>  [dbc74eca2e97316960c70cfd26e75b6f5069b657]

micro optimizations


2010-10-25  Michael Meeks  <michael.meeks@novell.com>  [e216c894dbbd24c49f21d3824f1400a349987bf6]

cleanup / remove obsolete pam config pieces


2010-10-25  Nadav Vinik  <email@nadavvin.com>  [617a1feae1ff04f6de6bfb91c3c5b05d709c03cb]

remove un-necessary pam usage


2010-10-25  sb  <sb@openoffice.org>  [5ad20a1cdc02437a991b0100d0a6273be69544e6]

sb132: #i112448# proper initialization of ClientJob (patch by olistraub)


2010-10-25  sb  <sb@openoffice.org>  [b0689581ddb5bdb1cd25fb464858a2e8d8c716da]

sb132: #i112448# proper clean up in JobQueue::enter (patch by olistraub)


2010-10-25  sb  <sb@openoffice.org>  [a32ae91a521b5b2d60c7d6ff80428f05967b72f0]

sb132: #i113212# support x-iscii-de (based on a patch by cmc)


2010-10-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [92a90383560bed6d3034349be86bebdb119eba16]

undoapi: renamings, API docs


2010-10-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6bcac55b802fa8e699efc9410e1c42993b332dfc]

undoapi: implementation/tests for hidden Undo contexts


2010-10-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [472c4bd6b749fec44991613d1edaf730b92f85b4]

undoapi: defined, implemented, and tested the exception handling for XUndoAction/Manager::Undo


2010-10-24  Caolán McNamara  <caolanm@redhat.com>  [7007c9943026a4106763a8f362c2314a6a46ec4a]

micro opts


2010-10-24  Caolán McNamara  <caolanm@redhat.com>  [867ee3c393a5725ef5a661844b0384e4e2352309]

microopt


2010-10-24  Caolán McNamara  <caolanm@redhat.com>  [fbef539825d6260b4508c67d4c036379bc23213c]

micro opts


2010-10-24  Caolán McNamara  <caolanm@redhat.com>  [d049754b32bccc39f7d05ff8f35fb17e4382c31d]

micro opts


2010-10-24  Aurimas Fišeras  <aurimas@gmail.com>  [7397af54fbee3761ce1b4065601ff3d6b99517c4]

Fix some more typos in documentation


2010-10-24  Caolán McNamara  <caolanm@redhat.com>  [e277e6b44fa65afb8c7190e710bd114cb81990c4]

give me a deterministic ctor/dtor ordering I can trust, and defer to first use


2010-10-22  sb  <sb@openoffice.org>  [6903282f91d89f58c825f47f409cdddd9a5a621f]

sb131: #i115203# note that xmlreader is semi-private and unversioned for now


2010-10-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0112a116bbeefcbf1d0264030f0a3dae894bce1e]

undoapi: added locking support to the XUndoManager


2010-10-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [93600ef3fecb73e3800b786d938f539004009d31]

undoapi: spelling


2010-10-22  Carsten Driesner  <cd@openoffice.org>  [5caf677d9993d72228927c134961029e946e7524]

fwk149: Merge changes from DEV300_m90


2010-10-22  Thomas Klausner  <wiz@NetBSD.org>  [311cae41f2f94f00f4a417ad2ac9f07e1ce37ea7]

Disable preprocessor checks for OSL_THIS_FUNC and make it " " for now.

The tests can't work (see
http://www.openoffice.org/issues/show_bug.cgi?id=114290) but for
some reason, on NetBSD find __PRETTY_FUNC__. However, that is not
a macro, but a language identifier and cannot be concatenated in
the way used here.

2010-10-22  sb  <sb@openoffice.org>  [78463d8bc1bdaafc57df8dbcf9cd69f59d3c52fd]

sb131: #i115124# $(XSLTPROC) implies LIBXSLT:libxslt


2010-10-21  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [5350df933e0d1d805a184bfe54560abf9589099e]

rebase to DEV300_m90


2010-10-21  sb  <sb@openoffice.org>  [7cb7e75122315743e398cce7686c5e502811ce69]

sb131: merged in DEV300_m90


2010-10-21  Joachim Lingner  <jl@openoffice.org>  [06a5ed97b8ccff99b13cee8a101881b10216fba1]

jl162 #i115180# OOo does not find VM runtime library of Java 1.6.0_22 on Mac


2010-10-21  sb  <sb@openoffice.org>  [1396960977d9c7f734b8a6325571c84505311c78]

sb131: #i114962# singleton implementations need not have a .../UNO/SERVICES rdb key


2010-10-21  Mathias Bauer  <mba@openoffice.org>  [f1dc11f3b0d547a87a4d047f0299086733150f2f]

CWS changehid: resync to m90


2010-10-21  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d519f58bd3b7e2cb6b48a987ddc9625b888beab6]

undoapi: specified (and implemented and tested) what should happen when you leave an Undo context which does not have any elements


2010-10-21  sb  <sb@openoffice.org>  [16e229482903f2a3553281c82ee04af7e940e9ed]

sb131: #i114962# allow for explicit implementation name in css.lib.uno.helper.Factory


2010-10-21  sb  <sb@openoffice.org>  [c56e96db066bd951a5199f84dcd2ef605a26ac8d]

sb132: merged in DEV300_m90


2010-10-21  Kai Sommerfeld  <kso@openoffice.org>  [9639c19225bd26b50c600b73e3552d7a9b660534]

rebased to m90.


2010-10-20  Ingrid Halama  <iha@openoffice.org>  [d8768926f06b6dc9cefb358ef506a474b5e0ab96]

chart49: merge with DEV300_m90


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [e3ef8152ac31106223339a232a72cea0806f4500]

#i101100# strict-alias clean


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [2b837a464787efe7d63c9f63d7e039df7448f5b4]

explicitly -fno-strict-alias for linux bridges by default


2010-10-20  David Tardon  <dtardon@redhat.com>  [1e1626924b4d4dcdbd5917d632a0872db5cae2f0]

replace sizeof(foo)/sizeof(foo[0]) with SAL_N_ELEMENTS(foo)


2010-10-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e5c8c25273cb37f14eb9b2e04ee9c9752da7bb9f]

undoapi: added isUndo/RedoPossible / getCurrent/AllUndo/RedoTitle(s) to XUndoManager


2010-10-19  Vladimir Glazunov  <vg@openoffice.org>  [33deb5b2f43e189cb2d98bce2331597250e6b218]

#i100000# new name for parameter to prevent hiding variables


2010-10-19  Caolán McNamara  <caolanm@redhat.com>  [49e527afa23b99fd8d6583b0ab3780bb16cef5c4]

allow extra arguments


2010-10-19  Thomas Klausner  <wiz@NetBSD.org>  [e62609eb7b9a3bab3b283d5b3aeb67e65affb74b]

FreeBSD's unsetenv also returns an int.


2010-10-19  Aurimas Fišeras  <aurimas@gmail.com>  [2c32ce08fd885f64f3a5fbf24df2cfa15c92c3e6]

Use en-US spelling for consistency


2010-10-18  Florian Bircher  <florian.bi@gmx.net>  [d4c99d828e3db969dc643d47442a2a6faf09c820]

add missing include


2010-10-18  Norbert Thiebaud  <nthiebaud@gmail.com>  [510e02facfcb36cac86a46db2ea041acedf32450]

make sure that SAL_N_ELEMENTS is defined on win32.


2010-10-18  Caolán McNamara  <caolanm@redhat.com>  [6932a1e05b0827a82d5ad031f1b2525a3d41f0e0]

NetBsd's unsetenv has a return value


2010-10-18  Caolán McNamara  <caolanm@redhat.com>  [17efbdc7167e5e4d0fa320d5c6d669c24d137ef7]

#i111793# make cppuhelper/interfacecontainer strict aliasing safe


2010-10-18  Kenneth Venken  <kenneth.venken@gmail.com>  [5ecab7a09f86843667520dafb158d569715ea214]

cleanup to use SAL_N_ELEMENTS


2010-10-18  Povilas Kanapickas  <povilas.kanapickas@gmail.com>  [a8ac6c40db8f3b0ba1693c6e7135fb559e56be2c]

remove non-compiled code


2010-10-18  Povilas Kanapickas  <povilas.kanapickas@gmail.com>  [18e67a7e8cf65186047aeb62643aa716a731f507]

remove non-compiled code


2010-10-18  Caolán McNamara  <caolanm@redhat.com>  [c3b0a4073d2e4917c5a010548ae2a1eb5ebbf9a5]

#i112656# add osl_setEnvironment and osl_clearEnvironment


2010-10-18  Caolán McNamara  <caolanm@redhat.com>  [f7dc4d73859ba109a54d01f137241d7848a587cf]

CLang++ Dead increment


2010-10-18  Caolán McNamara  <caolanm@redhat.com>  [a821a55065af7f02c812786befef74644dc867db]

CLang++ Dead assignment


2010-10-18  Vladimir Glazunov  <vg@openoffice.org>  [b79c9285a5c28237367d91214b567face76df206]

#i114924#


2010-10-17  Kenneth Venken  <kenneth.venken@gmail.com>  [a88d859063ca856025074423f21516647a54d987]

remove unused macro bufsizeof


2010-10-17  Kenneth Venken  <kenneth.venken@gmail.com>  [fa34d4833a5574db4f9c8c3114008e2ef0a40add]

use SAL_N_ELEMENTS macro


2010-10-17  Aurimas Fiseras  <aurimas@gmail.com>  [0f068e3e90cdfeff1773006331c8b44a4eb4ee70]

Fix typos in the documentation


2010-10-17  Kenneth Venken  <kenneth.venken@gmail.com>  [49131bc1a59557ed1b431661af7a4bd705e48736]

use SAL_N_ELEMENTS macro


2010-10-16  Jesús Corrius  <jesus@softcatala.org>  [c493fe47cbca5dae0c3a85e0799b3e5094809cd4]

Make calls to unary_function and binary_function less ambiguous for VC10


2010-10-15  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e5ff029a5411388fe4fa8eacd97c000324cfa34b]

undoapi: API and Impl tweaks


2010-10-15  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [787501f23f5a2f99c88a8e15eb49ee961d21a7c7]

undoapi: deprecated those two (unused) exceptions


2010-10-15  Laurent Charrière  <lcharriere@gmail.com>  [8996fe4c6b1b09dd47fa7626acb7b58ab4266e40]

Better English messages and comments in ure/xml2cmp

Signed-off-by: Laurent Charrière <lcharriere@gmail.com>

2010-10-15  Laurent Charrière  <lcharriere@gmail.com>  [fbb785b6e8227d7c46b0c26cd5f03f223f7d7858]

Delete commented out code in ure/xml2cmp

Signed-off-by: Laurent Charrière <lcharriere@gmail.com>

2010-10-15  Laurent Charrière  <lcharriere@gmail.com>  [000f11b73bdeaf491399e9ce495f7ea62592725c]

Translate German comments in ure/xml2cmp

Signed-off-by: Laurent Charrière <lcharriere@gmail.com>

2010-10-15  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [1de680984f0b5ebe15eefba53a04c79bd62dfe2c]

undoapi: explicitly include XInterface.idl - sometimes (not always - strange enough) the IDL compiler complains


2010-10-14  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [dbd73bad796006a07a6cde72e0ca6508eb074c52]

Add vim/emacs modelines to all source files

Fixes #fdo30794
Based on bin/add-modelines script (originally posted in mail
1286706307.1871.1399280959@webmail.messagingengine.com)

Signed-off-by: Sebastian Spaeth <Sebastian@SSpaeth.de>

2010-10-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c009609d191e8f0d2efe0d9a4a8e704202d2d378]

undoapi: first sketch of the listener API - not sure this will survive 'til the final version


2010-10-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7ca6844056a1041e4a5707a7449ab3333f52d88b]

undoapi: #i114924# added missing dependency to module libxslt


2010-10-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [56835dfeb8abde416be48ad91ff7e97da88c491b]

undoapi: some flesh on the initial skeleton


2010-10-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a7d99289df65509ec6f0c0adfad6a4e08c95d844]

undoapi: initial version of an UNO Undo API, implemented empty for SFX-based documents


2010-10-14  Vladimir Glazunov  <vg@openoffice.org>  [282d695f8df1e0efea70efbe9fe1337e69dcebc9]

CWS-TOOLING: integrate CWS sb123


2010-10-14  Mihaela Kedikova  <misheto@openoffice.org>  [b96a149dff4a7997078db7216c38daeef25ca26c]

tabcontrol: merge with DEV300_m89


2010-10-14  Vladimir Glazunov  <vg@openoffice.org>  [6a236022da3766d14b5b79bf5c3441446b3fe665]

#i10000# changes from OOO330 m10


2010-10-14  Laurent Charrière  <lcharriere@gmail.com>  [ee94e63444cf9e0b436e6c2ddcc5c7c74affd828]

Fix typos in comments in ure/cppuhelper

Signed-off-by: Laurent Charrière <lcharriere@gmail.com>

2010-10-14  Laurent Charrière  <lcharriere@gmail.com>  [9312d71cb9b9ad96c672ad68b2d46cf3533fd465]

Delete commented out code in ure/cppuhelper

Signed-off-by: Laurent Charrière <lcharriere@gmail.com>

2010-10-14  Laurent Charrière  <lcharriere@gmail.com>  [60a7a8089502bcede3002df8248af66fa19ea513]

Translate German comments in ure/cppuhelper

Signed-off-by: Laurent Charrière <lcharriere@gmail.com>

2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [613f70a6b06494bf5d9f8b23d7337ffa94274eff]

tweaks for AIX


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [75e6bac5a7faa098f69988580c187a16d9f7ddb3]

fixes for AIX


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [9907c0e112cd8baf3b865e348a4c0eb46ec0d04a]

fix typo


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [3d0878b7aa90786eee0a95f68b130a06494d028c]

AIX port


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [c018a95eef7a978a9e0d5e403c2e10a02d89e4c9]

tweak this for AIX


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [4d91f9c645d1da1a52d699d33e47259873ce6202]

rename IFIFO due to AIX conflict


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [aba4270b310fb32cc96e2094c6b72794890e1260]

tweaks for AIX


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [da307f47614d485aa241a9d7fa13d06aa248aeac]

rename IFIFO due to AIX conflict


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [4787e5b770f08693c4c065c3b37338a1b56f3120]

fix for AIX


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [8ffcc7eb4621de311ce38aa0317f5e674b526bfb]

AIX cppu quirks


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [3b4365e86483b8447a95491cbdf71957cba68457]

add AIX uno bridge


2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [76e5899fde3a7c29ee10cb890f19291525f9fb6c]

Merged xlsx-shared-xlsx-snapshot.diff from ooo-build


2010-10-13  Noel Power  <noel.power@novell.com>  [15240d7d4e6996320ab3fa130670f9065a35e6f5]

Merge branch 'master' of ssh://noelp@git.freedesktop.org/git/libreoffice/ure


2010-10-13  Thomas Klausner  <wiz@NetBSD.org>  [6f003e0aeb2a95648a9215d0c370193e14228ffa]

Use FreeBSD/i386 files for NetBSD/i386.


2010-10-13  Thomas Klausner  <wiz@NetBSD.org>  [ad1ceae8fbdbb808738b3fade1d506d610fc6565]

Add support for NetBSD/amd64 based on FreeBSD/amd64 files.

But remove trailing whitespace for commit script.

2010-10-13  Noel Power  <noel.power@novell.com>  [0b81bf8a5ae2bc3214dc97fbb0a53d7d63367ccf]

Merge branch 'master' of ssh://noelp@git.freedesktop.org/git/libreoffice/ure


2010-10-13  Thomas Klausner  <wiz@NetBSD.org>  [93ae62404aec43c9ed00db72c4a6f602df2b0a80]

On NetBSD, sys/endian.h defines _BIG_ENDIAN etc; undefine the unwanted ones.


2010-10-13  Thomas Klausner  <wiz@NetBSD.org>  [259c493c8c1c3f7ba60d6c1db916b204907a5e39]

On NetBSD, Use path.h for finding tmpdir.


2010-10-13  Thomas Klausner  <wiz@NetBSD.org>  [45a740adc9e497b620c096953cd4e35325024157]

Better NetBSD support.


2010-10-13  Thomas Klausner  <wiz@NetBSD.org>  [d1ff8ab11af7cbd933c981ffdfe930eb02d6769e]

Support NetBSD (switched to statvfs instead of statfs some time ago).


2010-10-13  Thomas Klausner  <wiz@NetBSD.org>  [bb18121f9d01ab54e252723dfc3b983a80e0f7d7]

Handle NetBSD the same way as FreeBSD.


2010-10-13  Thomas Klausner  <wiz@NetBSD.org>  [46a27209536916c19b6fea1c4678d49a87e4ba8e]

There is no #elifdef, use #elif defined.


2010-10-13  Jan Holesovsky  <kendy@suse.cz>  [8ef2ef302049b3956cc441f5114977dec532eed1]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/ure


2010-10-13  Noel Power  <noel.power@novell.com>  [fbfec0f5abc79f0024be8ad95944986310995734]

initial commit for vba blob ( not including container_control stuff )


2010-10-13  Noel Power  <noel.power@novell.com>  [0a98f874a63ce2018824530a4947bb0a4bc2e8e2]

initial commit for vba blob ( not including container_control stuff )


2010-10-13  J. Graeme Lingard  <jgraeme+git@gmail.com>  [9f761a1f2490db5f98260b340fc98ee6187ea1c7]

Remove redundant #include, #define & comments


2010-10-13  Jan Holesovsky  <kendy@suse.cz>  [2642945b62ea2868f03feb6e4a16529e749834d5]

Merge commit 'ooo/OOO330_m10'


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [0c447c00a61b9394ec4ea36a974dceb9b9b6cb8d]

micro optimization to avoid global ctor that including iostream creates


2010-10-12  Kohei Yoshida  <kyoshida@novell.com>  [07f0db766b53efa5cb2490ddc9c7f6862b1ea9bc]

Merged jurt-jnilib-deliver.diff from ooo-build


2010-10-12  Aurimas Fišeras  <aurimas@gmail.com>  [79f2f102aee3c6df3c5257a8d49064a2f178f134]

Fix some typos in documentation


2010-10-12  Caolán McNamara  <caolanm@redhat.com>  [fefa4fae4fb423a069c11c7c039c6f5a482ea964]

move some uno::Sequences to ensure a safer deterministic shutdown order


2010-10-12  Carsten Driesner  <cd@openoffice.org>  [b67fa1776c9675091e5629729d6ed14b67194cda]

dockingwindows: Merge changes from DEV300m89


2010-10-11  Caolán McNamara  <caolanm@redhat.com>  [394c48219a9126748352d11cc545325d0c28603a]

#i112784# do not leak ContextAdmin


2010-10-11  Kai Sommerfeld  <kso@openoffice.org>  [3413346df7728fa4e50d4384a5709f7157528b0b]

#i98699# - Published.


2010-10-11  Caolán McNamara  <caolanm@redhat.com>  [14eda6399bcbb2a0321bbee008e4407a9b3fa9c6]

#i112681# make bridges match remotebridges


2010-10-11  Caolán McNamara  <caolanm@redhat.com>  [55c3066e52ad1843549c442e8d74f886507c58f4]

#i107490# cppu lifecycle cleanup


2010-10-11  Aurimas Fišeras  <aurimas@gmail.com>  [317545b04b16474b0fb959fc0d38e25465e25748]

Simply fixes some annoying typos in documentation including OO bug #112563.


2010-10-11  David Tardon  <dtardon@redhat.com>  [2c1c10420c662fc96f2a54475013e1ecc71be0c0]

#i113935# missing delete


2010-10-09  Mathias Bauer  <mba@openoffice.org>  [045cb291526592a5b3e786600426bf4f62912b8b]

CWS changehid: resync to m89


2010-10-09  Thomas Klausner  <wiz@NetBSD.org>  [b1e9d8d0d80dbe8d6a0cb87c3999a964ae813b8f]

Support NetBSD better.

Do not use Linux case, there already existed a separate NetBSD case.
Add more encoding names. Fix a typo.

2010-10-09  Thomas Klausner  <wiz@NetBSD.org>  [d1ad0556c30a6827704e8a52c808f16978cf144a]

Handle NetBSD in the same way as FreeBSD.


2010-10-08  Petr Mladek  <pmladek@suse.cz>  [224e6848cd280ada57c5303924abdbecc6df907f]

Merge branch 'master' of ssh://pmladek@git.freedesktop.org/git/libreoffice/ure


2010-10-08  Michael Meeks  <michael.meeks@novell.com>  [c2b3d165d828353d97d90fbaa1fce74eb432d5bb]

Enable valgrind-ability with G_SLICE env. var

Dung out old, awful and pretty pointless valgrind solution involving
unpleasant LD_PRELOAD thing that doesn't ship, and/or work easily.

2010-10-08  Petr Mladek  <pmladek@suse.cz>  [4bc5344178f13a96d1a1f81917ef953e7705d6df]

Version 3.2.99.2, tag LIBREOFFICE_3_2_99_2 (3.3-beta2)


2010-10-08  Michael Meeks  <michael.meeks@novell.com>  [7eacf3ea5fe2efb92039301d687533fa042915ff]

remove unused macros, and add SAL_N_ELEMENTS


2010-10-08  Thomas Lange [tl]  <tl@openoffice.org>  [9347a0b2d540c7112d4e271e30b852c112a5d7d7]

cws tlmath01: merge with DEV300_m89


2010-10-08  obo  <obo@openoffice.org>  [b2f9f93005e951c747a3a8f40dbd34edc859e213]

CWS-TOOLING: integrate CWS hb22


2010-10-07  Ingrid Halama  <iha@openoffice.org>  [5797c2dcb85efe9091e8abe04a783def11401562]

chart49: merge with DEV300_m89


2010-10-07  Harri Pitkänen  <hatapitk@iki.fi>  [809c273870d6e2bedd034a3ffbff39752a3fa65f]

[cppcheck] closes a file that would be left open if memory allocation fails


2010-10-07  Petr Mladek  <pmladek@suse.cz>  [df74ffbdba9942fff726835f543d76ff46b0980b]

more removed include guards using fixguard.py


2010-10-06  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [77bfe7809f08a23aa3db59b42132f9f0c0c7dd06]

fate#307731, fate#307730: Adds dotted and dashed border lines


2010-10-06  sb  <sb@openoffice.org>  [91f3af66ded34183b3d573e53916a48f82ffb7a2]

sb131: #i114962# first step of passive extension component registration (no live deployment yet)


2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [565fe5c7861c113282ad870508e3696bc4c5ddff]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/ure


2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [9e5fb5e38c2dce31725b64c359e4c5c9f8657d3b]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/ure


2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [6f419a80e5a5557ea5c9c2826c69b454022739b8]

Merge commit 'ooo/OOO330_m9'


2010-10-06  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0996c14f856dedbdefca3a09131b613562b37778]

dba34b: #i112779# new 'animated images' UNO control, superseding the (X)SimpleAnimation and Throbber controls


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [5091ea5f67715faf47bdbd1f8ec62fc32ad0c8d0]

#i113503# cppunit stl wrapper headers


2010-10-06  Kai Sommerfeld  <kso@openoffice.org>  [b56779f8510459b2a8cddd50884ce530e86317e9]

rebased to m89


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [77080c41ad08d26f1d105ccdba8814f3b0b70cfe]

#i113938# printf style formats in c++ stream operation


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [d508c714b83228b8326fed75bb103ddd9c36f45a]

more removed include guards using fixguard.py


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [de7596f102c304b74e0d406886db1cb006850a12]

remove include guards using fixguard.py


2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [27c6c1f5a405b3b17d8e70e6c0f5607d1c1d20fe]

Ported calc-distributed-cell-text-*.diff from ooo-build.

This feature enables horizontal 'distributed' alignment and vertical
'justified' and 'distributed' alignments for cell contents in Calc.
Note that this feature relies on ODF 1.2 extended in order for the
relevant cell attributes to be saved in ODS.

2010-10-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [3e8c74f1ab5bc1c82a95da635a0ba392f868b6e2]

undoapi: pulled DEV300.m89 and sb123


2010-10-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [cd4a18cbad03fce48d099cc7280337512f36114e]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/sb123


2010-10-05  Caolán McNamara  <caolanm@redhat.com>  [1faf5f059f6b25bd11d0098b32153a9cf97bdf98]

all of these compiler checks can go, the result is overridden anyway


2010-10-05  Caolán McNamara  <caolanm@redhat.com>  [47e657c2757fa6b8dcb7069bb3882aeba7a3c504]

idlcpp uses memcpy on overlapping areas


2010-10-04  Kohei Yoshida  <kyoshida@novell.com>  [c2800f2bba1a6aaa8a9bbb7f2caf1eac92fffb2d]

Ported calc-insert-current-time-offapi.diff from ooo-build.

This is to make the semicolon key available for UNO API.

2010-10-04  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [19f506efbcf864c75467986d664afcd058e51a77]

dba34b: pulled DEV300:m89


2010-10-04  sb  <sb@openoffice.org>  [f3c95eae2a702a08a6039b7bee290633bab9d10a]

sb132: merged in DEV300_m89


2010-10-04  sb  <sb@openoffice.org>  [df45c68c14b96782417c9e7602711b2689fa84cd]

sb132: merged in DEV300_m89


2010-10-04  sb  <sb@openoffice.org>  [212941cde1605e5c7ea856017f1a44e4d72ce3e5]

sb131: merged in DEV300_m89


2010-10-04  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [0c51818773628c670d4bc4608f7086ae5158c804]

dba34b: merge after pulling sb123


2010-10-01  Miklos Vajna  <vmiklos@frugalware.org>  [5195d8c4e9041d541455889f64cb17f4167aa568]

Add short comment about what the WeakImplHelper* classes do


2010-10-01  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [3e41b7a7a9358ea64aa70bd2244b83601dd06b9e]

pl08: #i111050# use interaction handler for export warnings, this may be suppressed by a custom interaction handler


2010-10-01  Vladimir Glazunov  <vg@openoffice.org>  [1a4e94a77140a19d943a4c5fac3a65127debbc1e]

#i10000#


2010-10-01  Juergen Schmidt  <jsc@openoffice.org>  [97e6ac5764bebc0dec76515409f7da5eb5d4f0b2]

jsc340: i14847: clean up cmdline help fo devtools


2010-09-30  Seo Sanghyeon  <sanxiyn@gmail.com>  [418629d5f95e3afdbbd8e735a7f381418712031b]

remove redundant header


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [83424b0a667a1375fe5a3131f6ec8669e9decdef]

mmap on samba shares just isn't reliable


2010-09-29  Kohei Yoshida  <kyoshida@novell.com>  [8031db0c24f061262df9c7274cbf6faf7c342137]

Ported autocorrect-accidental-caps-lock-offapi.diff from ooo-build.


2010-09-29  Tor Lillqvist  <tlillqvist@novell.com>  [2844f65c7411b0ec5b18221fa2373560b9dfcf2e]

We do want Windows error messages when built with debug=true

From win32-no-seterror-when-debugging.diff.

2010-09-29  Seo Sanghyeon  <sanxiyn@gmail.com>  [4f5fbaa160b626fd1f87d39b1a885398e0d4b795]

Removes is_valid_index method for future migration to STL


2010-09-29  Vladimir Glazunov  <vg@openoffice.org>  [5312f409180ab4e29598f674c60d32665a16bb9b]

CWS-TOOLING: integrate CWS sb129


2010-09-29  Vladimir Glazunov  <vg@openoffice.org>  [bae4ab457d7a5eff64c286b4883f154e7e6582fa]

CWS-TOOLING: integrate CWS tl82


2010-09-29  Joachim Lingner  <jl@openoffice.org>  [271291457f1ef8e70dfe0d99bb5d5ba7d5b49984]

jl160 #i114794# registration data folder of bundled extensions in the user installation references PREREG registration data in brand/share/prereg/bundled folder


2010-09-28  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [812eed55986c7fa5af00833c47a06d146b5fba80]

dr77: rebase to DEV300_m88


2010-09-28  Kohei Yoshida  <kyoshida@novell.com>  [83cefec42b049c78d79bd6d040f1fb68a804b02a]

Ported sal-strintern-speed-char-upper.diff from ooo-build.


2010-09-28  Vladimir Glazunov  <vg@openoffice.org>  [d81ce831bfcca019590ba12ede814cd8407a2115]

CWS-TOOLING: integrate CWS sb126


2010-09-28  Joachim Lingner  <jl@openoffice.org>  [72e61fb5443db81c8837e37e1454bfa59fc3fd00]

jl160 merge with DEV300_m88


2010-09-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [81034a109fd941fd31c971e10115928f16fd2e57]

Automated merge with http://hg-lan.germany.sun.com/ooo/DEV300


2010-09-28  Mikhail Voytenko  <mav@openoffice.org>  [af494e58926d415b01b2dc2c92f8363946da0891]

fwk149: #i106591# do not use mmap to copy files


2010-09-28  Dirk Voelzke  <dv@openoffice.org>  [32f1173ac1621c64fa3e3a6ae25ba706e991cb86]

#dv22#i114788# Add 'show license' to extension popup menu


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7c2bf68933065d7277bf4bffe2d99fafedc90c8a]

LibreOffice Branding: first cut


2010-09-27  Mikhail Voytenko  <mav@openoffice.org>  [6266cdc2e21751483677983bd97e05ab809c3a44]

fwk149: rebase to DEV300_m88


2010-09-23  sb  <sb@openoffice.org>  [68489f64ea9a2510700ac109090e909aac452508]

sb132: #i113211# correctly pass char* to %s


2010-09-23  sb  <sb@openoffice.org>  [32a3114fb0773916637238caf213763684d7fe2c]

sb132: #i114145# removed unused TESTDIR and NO_TESTS


2010-09-22  Kai Sommerfeld  <kso@openoffice.org>  [2868173ffa6c9a566b8888425ad2bc0219289754]

rebased to m88.


2010-09-22  sb  <sb@openoffice.org>  [006900175e2d1b097702024837e8082e6e1c73b3]

sb123: merged in DEV300_m88


2010-09-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [6f963d018ed2e86d46fdd40cc3cacc246d7d6254]

dba34a: pulled DEV300.m88


2010-09-22  sb  <sb@openoffice.org>  [34c7843ffe4dda039a706fb833c0e6dc84f107f4]

sb126: merged in DEV300_m88


2010-09-22  sb  <sb@openoffice.org>  [be3fe6ba5e9287bc8becaedbc724d55c54d1e76f]

sb132: merged in DEV300_m88


2010-09-22  sb  <sb@openoffice.org>  [c5e7f49115f9ad292584208bea30d90ae1820302]

sb129: merged in DEV300_m88


2010-09-21  Thorsten Behrens  <thb@openoffice.org>  [e7d62c42d6ff5343a431faeb4b33b9a9860e94dd]

Revert "idlc-error-offset.diff: Add character offset for idlc errors"

Breaks bison on OSX.

This reverts commit 55c5db853fc0d96179874b4c01dba2774ecf5cd1.

2010-09-21  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [214361f18ac5946cf301d9be2d70381038f3cbd6]

dba34a: merge


2010-09-21  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [7735a2bb0aac3582b7c3ec231d542370bb123a8a]

dba34a: merged latest changes from CWS dba33j


2010-09-21  sb  <sb@openoffice.org>  [58d4ab9b5b7fa9716e6a03cd8108b6b7153c11a3]

sb123: #i114635# handle non-UNO exceptions in C++ UNO bridge, for unxlngx6, rest to follow


2010-09-20  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [bfedd5d737c3e97fe861ec72e9e01089ad5c9aeb]

dba33j: merge after pulling OOO330.m8


2010-09-20  Henning Brinkmann  <hbrinkm@openoffice.org>  [77d00ef5cb79dd62aea1beb80aeea4fb655dbde9]

merged OOO330_m8


2010-09-20  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b9669e463f2e3a18f53a1f911dfc91c96fee265e]

dba34a: corrected identified in map file


2010-09-17  Jan Holesovsky  <kendy@suse.cz>  [a597766e026bbc38e28dd5bc00627f93116c22e7]

Kill an empty and unneeded #ifdef.


2010-09-17  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [983b475f72d190f8624c0fca1e0c8daf4739c5fb]

Fixed problem when backporting sal-strintern-speed.diff


2010-09-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [2ef5501f5d7740e453c3672665c11216b375b5f8]

CWS-TOOLING: integrate CWS cmcfixes78


2010-09-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [4d2077487f19072ae3d25570b690d55cd01326d2]

DEV300: changesets OOO330 up to m8


2010-09-17  Michael Meeks  <michael.meeks@novell.com>  [5ffc9bc812c1d4d068590ff28d32cf6287ee9eb8]

sal-strintern-speed.diff: sal-strintern - speedup

i#78496

2010-09-17  Thorsten Behrens  <tbehrens@novell.com>  [36287b2a9dbff1561e393692e0d42a19c5f6bcfe]

offapi-typecheck-whitelist.diff: Removed blunt instrument from offapi types.

Added whitelist file that contains the typenames which are permitted to change.

2010-09-17  Thorsten Behrens  <tbehrens@novell.com>  [27b947313e8a68209588d2517757a17dac9ef644]

fit-list-to-size.diff: Shrink font automatically when text overflows.

i#94086

Scale-font-down if typing text in Impress and the text box becomes too small.

2010-09-17  Petr Mladek  <pmladek@suse.cz>  [f48eb4ab11d97f1d66f2841e381807201335cd13]

cppu-lbnames-enable-gcc-4.5.diff: enable build with gcc-4.5

i#109853

2010-09-17  Mikhail Voytenko  <mav@openoffice.org>  [78f1d6f46ce30ecff92d1ae093d06cad5ea14f6c]

mib19: #163559# allow to call IDispatch methods/properties that are not available through ITypeInfo


2010-09-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [2782beef38b449a8d54a3361709b3452ea754db1]

dba34a: impl_fireAll: oops ... don't forget to reset handles/newValues/oldValues ...


2010-09-17  Michael E. Bohn  <mbn@openoffice.org>  [66578f2f08ce1d18014788775be77e0cc419e033]

merged heads


2010-09-16  Tor Lillqvist  <tlillqvist@novell.com>  [55b7856d352aabe56539ac6793fc462c231a9490]

Update .gitignore for Windows builds


2010-09-16  sb  <sb@openoffice.org>  [bc5710036f1c19213bd6ce1f9f76b9deb8294145]

sb123: #i113005# fixed test code for MinGW


2010-09-16  sb  <sb@openoffice.org>  [28b9ffa056a67fcadc7112f4acb9fd45280829a4]

sb123: merged in cws/sb126, to get fixes for i107490 and i113115


2010-09-16  sb  <sb@openoffice.org>  [2bce4ea70c38499b55850e811a65e0ae53235c94]

sb126: merged in DEV300_m87


2010-09-16  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [1de218111cf1b814d939e810264895c004fe3bf9]

dba34a: #i111148# do not call setPropertyValue from within setFastPropertyValue_NoBroadcast, this is prone to deadlocks. Instead, use the newly introduced setDependentFastPropertyValue, which postpones the notifications to a more appropriate point in time


2010-09-16  sb  <sb@openoffice.org>  [2bf7395cc5af00e02e1057a1a58490e1362f7ac5]

sb129: #i113189# adjusted comments


2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [61367bf3c05c8acf2dba1f60e9717b2329844c0e]

calc-jump-on-formula-ref-offapi.diff: Migrated

n#464359, i#101018

allow ctrl-[ and ctrl-] to jump to references used in a formula expression.

2010-09-16  sb  <sb@openoffice.org>  [edcb1e681fca71d303f615265b2cabec1e870d83]

sb129: #i113189# work around unhelpful compiler warnings


2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [fbac27f7007e67ce5b15812f156d627023815501]

calc-grammar-xls-english-offapi.diff: Support Excel English grammar

Support Excel English grammar needed for VBA and (probably) for xlsx filter.

2010-09-15  Radek Doulik  <rodo@novell.com>  [a8d4cd070f7a8193109ecad723c04c449b05409b]

emf+-cppcanvas-offapi-renderer.diff: emf+ import - renderer iface definition


2010-09-15  sb  <sb@openoffice.org>  [07c1dd42867925dfec98cc724d354c9bc93cc2e4]

sb129: #i113189# textualservices no longer associates singletons with services, adapted bootstrapInitialContext accordingly


2010-09-15  Rene Engelhard  <rene@debian.org>  [22adf3b752d7b40940ce9d80be97c4413b5e4dd6]

regcomp-fix-spelling.diff: succesful -> successful, i#113958


2010-09-15  sb  <sb@openoffice.org>  [559c8fc2d7fdec9216b739bced674521a10120db]

sb129: #i113189# cleaned up makefile rules; deliver services.input to have it modifiable for special one-off products


2010-09-15  Christian Lippka  <christian.lippka@oracle.com>  [19c0194fe9b4a39ccca5658ebc167671e7482c4f]

mib19: merge


2010-09-15  Christian Lippka  <cl@openoffice.org>  [24e2ed8b250b2f4f85b1c839fee1004cdc3e6d3e]

mib19: #163566# do not fire exceptions when calling 'hasByHierarchicalName'


2010-09-15  Joachim Lingner  <jl@openoffice.org>  [20f5bdaec2f3136b299c6189814b4e0632e49cc8]

jl160 #i114509# installation hangs when installing on nfs volume


2010-09-14  Petr Mladek  <pmladek@walk.suse.cz>  [0d7590496217e8f39e76acada9c57b8776b9dd3b]

idlc-error-offset.diff: yylineno is not defined by default

i#81780

2010-09-14  sb  <sb@openoffice.org>  [adc2e2b2a5a56667a5dc2bad91390caf24c68327]

sb129: #i113189# removed obviously unnecessary service registrations; allow empty <implementation/>


2010-09-14  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [55c5db853fc0d96179874b4c01dba2774ecf5cd1]

idlc-error-offset.diff: Add character offset for idlc errors

i#81780

2010-09-14  Tor Lillqvist  <tlillqvist@novell.com>  [97cffceb1d46e0e3cfb49f31e08033864230d4d3]

win32-invalid-names.diff: Allow technically illegal pathname components

n#277603

Allow some technically illegal pathname components on Win32
(directories with trailing spaces or periods) because some SMB
servers like Netware (and Samba, if mangled names = No) do serve
such directories if they exist on the server's host system.

2010-09-14  Thorsten Behrens  <tbehrens@novell.com>  [a957fc8910fb1739877e1e3d3dd850c20b776633]

win32-vs2005-compat.diff: Fix build with Visual Studio 2005


2010-09-14  Thorsten Behrens  <tbehrens@novell.com>  [90a90958ea59b3866a71c1d9abd2ddfbb641e72c]

win32-force-version-fix.diff: force WINVER when using non-std win api


2010-09-14  Carsten Driesner  <cd@openoffice.org>  [a6900010f676f912caed9f94c24ac64fabaf905b]

dockingwindows: Merge changes


2010-09-14  obo  <obo@openoffice.org>  [d3aae8db768130fae8406b1d83ddda14b518c4be]

CWS-TOOLING: integrate CWS fwk156


2010-09-14  sb  <sb@openoffice.org>  [f93a859e5c7b42bc7f3a5ccc0e6a063f87869505]

sb129: #i113189# adapted tests; improved subsequenttests


2010-09-14  obo  <obo@openoffice.org>  [f6a6e031ff387432e8fd54791cc4a42239fa21d8]

CWS-TOOLING: integrate CWS calc59


2010-09-14  obo  <obo@openoffice.org>  [b403f8cb6c7a06b3ff6e8be930334fdc800d261b]

CWS-TOOLING: integrate CWS dba33h


2010-09-13  Thomas Lange [tl]  <tl@openoffice.org>  [e184e20b318dd917241deccad98a88ead8a8a271]

cws tl82: #i114267# code clean-up


2010-09-10  Henning Brinkmann  <hbrinkm@openoffice.org>  [c8973c90d5306535ac9e187d6141c5f0f3dcc3d8]

merged changes by sb


2010-09-10  sb  <sb@openoffice.org>  [85826e325f865679e95d17cfeaf94e0c161f946f]

sb123: #i113189# missing includes


2010-09-10  sb  <sb@openoffice.org>  [0cff1ed2867962c27db50752adaa41dba6dfc41a]

sb129: #i113189# change UNO components to use passive registration


2010-09-10  sb  <sb@openoffice.org>  [9297efd2835ce6a46918ff6f603e4da95b4c4a12]

sb129: #i113189# support XML-based services.rdb in com.sun.star.registry.SimpleRegistry


2010-09-10  sb  <sb@openoffice.org>  [dea72c76e86f8d3764285923d436f2e76639b1ec]

sb129: #i113189# move XmlReader from configmgr to URE


2010-09-10  sb  <sb@openoffice.org>  [1183e1e81b5f2c1aedb70a89b77cb5c51e6ebfcd]

sb129: #i113189# clean up stoc/source/simpleregistry so that subsequent changes can better modify it


2010-09-10  sb  <sb@openoffice.org>  [767ce7d432d82e8989de3c46f2788db446e53aff]

sb123: merged in DEV300_m87


2010-09-09  sb  <sb@openoffice.org>  [8f59192de2aeac36867355b434f00c0b77889f35]

hb22: #b6982587# treat null LD_LIBRARY_PATH like unset one


2010-09-08  Andreas Bregas  <ab@openoffice.org>  [6ce7f2847e8ea3a5b8366eb98552d8befbec2f2b]

mib19: #163573# NativeObjectWrapper implementation (deactivated)


2010-09-08  Carsten Driesner  <cd@openoffice.org>  [a1eaa1da92e9152e9e144b57db9d5f0008240378]

fwk156: Merge changes


2010-09-08  Jan Holesovsky  <kendy@suse.cz>  [76399b1c8c7c62d8b2c3593dfae020bbc970a03c]

Merge commit 'ooo/OOO330_m7'


2010-09-07  Jan Holesovsky  <kendy@suse.cz>  [f9ef138393f1ee4c24b0d8fe41e1a56fa9673465]

Merge commit 'ooo/OOO330_m6'


2010-09-03  Kurt Zenker  <kz@openoffice.org>  [b5496876a7f4e9b271adf2630e7adfb00562f796]

CWS-TOOLING: integrate CWS fs33a


2010-09-02  Carsten Driesner  <cd@openoffice.org>  [743f3c6d597f3d1e8adceb7f0d4afa917e047bbb]

fwk156: #i113687# Add static cast to get string for CreateProcess function


2010-09-02  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [b8d754fc330c571e6888ab111dfc809ce5dc6e42]

tabcontrol: fix some compile errors


2010-09-02  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [6d639e30410bc2c0f0b01cfa3dbe9ca1cdacf05a]

dba34a: merged in CWS dba33i


2010-09-01  Niklas Nebel  <nn@openoffice.org>  [e3e02d8bf32f93e576aa456f1eb285c14560900c]

calc59: #i114256# Don't move DataPilot fields to orientations that the source doesn't support


2010-09-01  Kai Sommerfeld  <kso@openoffice.org>  [ad31a7fa1ef65ada8e8b78e0d685aa4af9e2cf29]

Rebased to m87.


2010-08-31  Kurt Zenker  <kz@openoffice.org>  [dfe63d4f1b365aba9c7552161ab8dfa6deb840c1]

CWS-TOOLING: integrate CWS sb130


2010-08-30  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [d7f2977da6748d3da8d6120b9536edb457e47ba6]

dr77: rebase to DEV300m87


2010-08-30  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [10b5cecf6abc75989f2dba11b87fd08549367679]

mib19: rebase to OOO330m6


2010-08-30  Caolán McNamara  <cmc@openoffice.org>  [5fb7ff5b1972bc4a584226f6feb471c3d2725313]

cmcfixes78: merge with DEV300 m87


2010-08-30  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [5000fa8816f802111692afe915f40f4f4c6ed353]

dr77: change all exported services in oox module from MultiServiceFactory to ComponentContext


2010-08-30  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [e3c92d224234d1a7018510cb02d8d4baa03c620f]

mib19: #163429# switch off form design mode in new documents created with VBA symbol Workbooks.Add


2010-08-30  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ab8479e53e134296e9100515b2314816d50d13dd]

dba33h: merge after pulling DEV300.m87


2010-08-30  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c448b27f5dfd10e6cd626467d04cbcc44ce476b7]

dba33h: merge after pulling OOO330.m6


2010-08-27  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [58a8a3b7c26ae9572618328a902cfa044a02ef98]

dba33h: merge after pulling in fs33a


2010-08-27  Michael Stahl  <mst@openoffice.org>  [87d3c15edbd87da5c0667803bddca5ebfc292ebe]

dba33h: #i112652#: rtl/math.h: string<->double conversion and XMLSchema-2:  rtl_math_doubleTo{,U}String produce XMLSchema-2 values "NaN", "INF", "-INF".  rtl_math_stringToDouble and rtl_math_uStringToDouble support XMLSchema-2   values in addition to deprecated previously supported values.


2010-08-27  Michael Stahl  <mst@openoffice.org>  [66d630adfe176550381534fc56450e9041004744]

dba33h: #i112652#: math.cxx: indent stuff a bit and clean up whitespace


2010-08-27  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [e2c0b53955f8585cd9578b7270821eaaffdd2607]

tabcontrol: #i113362# impl tabcontrol in awt


2010-08-26  Daniel Rentz  <dr@openoffice.org>  [198dba30060fc3b3abf981000ab4d2605d9791dd]

dr77: #i114128# import legacy drawing controls


2010-08-25  Vladimir Glazunov  <vg@openoffice.org>  [b32a76c7ab5fd693cac2ff4775259fbe38f1051c]

CWS-TOOLING: integrate CWS codecleanup02


2010-08-25  Vladimir Glazunov  <vg@openoffice.org>  [ee2e736e1a8453fc981f127136092a9b85e4c2eb]

CWS-TOOLING: integrate CWS cmcfixes77


2010-08-25  Vladimir Glazunov  <vg@openoffice.org>  [8413a3b6c9caeb84a2280d4533ac474ded71b2da]

DEV300: changesets OOO330 up to m5


2010-08-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [28afbb92e9861b5414baa0d14611b62c48949279]

fs33a: merge after pulling OOO330.m5's changes


2010-08-25  Vladimir Glazunov  <vg@openoffice.org>  [746444ae4a891b1dfee1213ade9887afb94ce027]

DEV300: merge 000330 till r. b727f1beb700


2010-08-25  Ivo Hinkelmann  <ihi@openoffice.org>  [165163b89a47786e0bdf88e4186f502ccce1dffd]

CWS-TOOLING: integrate CWS ooo33gsl06


2010-08-25  sb  <sb@openoffice.org>  [b445aadbdca8a67b322828c33ad98dfd0cf9e5f2]

sb130: merged in OOO330_m5


2010-08-24  Jan Holesovsky  <kendy@suse.cz>  [90e8b7d5aea9ad6f3fe62f76be2ee2fd57d5a18d]

Update .gitignore.


2010-08-24  Jan Holesovsky  <kendy@suse.cz>  [bd266224916987d79a661530df0cabc1d48c47b3]

fix-linkoo.diff: Fix linkoo to work again.

We cannot absolutize all the links, otherwise we have bootstrap
problems - i#83548.

2010-08-20  Jan Holesovsky  <kendy@suse.cz>  [1e0be9f71f7a2770928d04f59727defbc4e931cf]

Create .gitignore.


2010-08-19  Herbert Duerr [hdu]  <duerr@sun.com>  [50cb935be4339482f4916cc838065e73f9c843a0]

#i1138511# allow symbol-aliasing in adobe single-byte encodings


2010-08-19  Ingrid Halama  <iha@openoffice.org>  [649447a8aebd8438b5c1b95ad6f7b8bfaf727d6b]

chart49: #i113722# duplicate chart creation - OSingleFactoryHelper::createInstanceWithArgumentsAndContext leak


2010-08-18  Jan Holesovsky  <kendy@suse.cz>  [b16d8616a3e323557faeaddddbf4e69b4a097eb7]

Merge commit 'ooo/OOO330_m4'


2010-08-18  Jan Holesovsky  <kendy@suse.cz>  [7dae37fcbda8dd8160716072bb251c43d6c46f31]

Split build: Revert it for now.


2010-08-18  Kurt Zenker  <kz@openoffice.org>  [5ccdcb471976d739a43597b47660d5254a137f6f]

CWS-TOOLING: integrate CWS jl154


2010-08-17  Caolán McNamara  <cmc@openoffice.org>  [b00719f70d7a663548fc0b93ebbb47cfefe2c021]

cmcfixes78: #i113938# printf style formats in c++ stream operation


2010-08-13  Daniel Rentz  <dr@openoffice.org>  [a02aebda9a89c3650c31a1f9d4cb7258677c332c]

mib18: rebase to OOO330m4


2010-08-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [18221f76d06cf85da6d42e38a2fed759aef679da]

jl154: Local merge


2010-08-12  Mihaela Kedikova  <misheto@openoffice.org>  [261b47979e4b97f0b5645c77fb256f7a47ee9763]

tabcontrol: new source code for tabcontrol added


2010-08-12  Mihaela Kedikova  <misheto@openoffice.org>  [df7fce90ef02712f538d63c9267cc5f563f67465]

tabcontrol: new source code for tabcontrol added


2010-08-12  sb  <sb@openoffice.org>  [2190f32ab0bfa95d8c268ca6a162d2f375b959e2]

sb130: #i113096# introduced com.sun.star.configuration.XUpdate.removeExtensionXcuFile


2010-08-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bb67de3dc5a2f859180606505cbf9b1ac6b56603]

jl154: Local merge


2010-08-10  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ff47f09f9e28c9a653f3fbebd25fbda4c79d19bc]

merging in latest changes from OOO330(m3)


2010-08-10  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [736f56fc89292923ddc6844fe10fa85e8f5f1f1c]

merging in latest changes from CWS unoawt2


2010-08-05  Thomas Lange [tl]  <tl@openoffice.org>  [8ccf5827054a3c9dba2d18c81f194d3ef2e11834]

cws tl82: merge with DEV300_m86


2010-08-05  Daniel Rentz  <dr@openoffice.org>  [30d0bc0c1cebe040960a114f3e1dcbcf9c76d33e]

dr77: rebase to m86


2010-08-03  Ivo Hinkelmann  <ihi@openoffice.org>  [8050668b3ac640c3034489984b932192022177c5]

CWS-TOOLING: integrate CWS mhu23


2010-08-03  Ivo Hinkelmann  <ihi@openoffice.org>  [e153ab256682d70d5ba6a9705ca3b25c3480ff19]

CWS-TOOLING: integrate CWS mib17


2010-08-03  Caolán McNamara  <cmc@openoffice.org>  [07d164eef61d6c6ab52534d6d7f4ebaa37774992]

cmcfixes77: merge with DEV300 m86


2010-08-03  Caolán McNamara  <cmc@openoffice.org>  [bc5b6017aad6c98ddd3908022fb5c72d4c55c5b2]

cmcfixes77: #i113503# system non-stlport cppunit with OOo stlport


2010-08-02  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [75d5313a426f26e1dcc505b44406a89a0c5321cd]

mhu23 #i113531# use recommended Windows linker flags and DLL search path.


2010-08-02  Joachim Lingner  <jl@openoffice.org>  [e72339c37a724f4bdaba87c6f944ebd58415ea2a]

jl154 merging with OOO330m2


2010-07-29  obo  <obo@openoffice.org>  [97df1e5ac2744d952dcb8fd3ce8946ed07fc9fd5]

Integrate OOO330_m2 into DEV300 (merge)


2010-07-28  Daniel Rentz  <dr@openoffice.org>  [888362d804563d21815c07c38c77cab99cb14e53]

mib17: missing includes


2010-07-27  Daniel Rentz  <dr@openoffice.org>  [dc82ac062bd641a8395b6c8f3f7e12cec0249bbe]

mib17: rebase to OOO330_m2


2010-07-27  Daniel Rentz  <dr@openoffice.org>  [b1ddf4feb58127e220c3e4a200017c4a0b81019c]

mib17: rebase to DEV300_m84


2010-07-27  Daniel Rentz  <dr@openoffice.org>  [61ae66631f62ee68615d60f1ab45dd6c08b1d7fd]

mib17: move VBA specific interfaces into vba subdir


2010-07-27  Andreas Bregas  <ab@openoffice.org>  [bf117cda75203bb97cfe04428c3c9241113939c5]

mib17: merge


2010-07-27  Mikhail Voytenko  <mav@openoffice.org>  [ac765c8c8ab447affb264a93db3e84d1378db7c1]

mib17: merging


2010-07-27  Daniel Rentz  <dr@openoffice.org>  [7481928c8293b50399da305e27dae5e6c6287c23]

mib17: #i112634# prepare loading VBA with document events from ODF and XLSM


2010-07-22  Mathias Bauer  <mba@openoffice.org>  [6b28b9bf16a4f2ec0d5a2927cc6d6adab62d401d]

CWS changehid: resync to m85


2010-07-21  Jens-Heiner Rechtien  <hr@openoffice.org>  [69df64a10f5a7bc10962dac0f1d8a5d3aec5e8fb]

CWS-TOOLING: integrate CWS unoawt2


2010-07-16  Joachim Lingner  <jl@openoffice.org>  [1588f8b510855be60cb6d62867446967faddeca5]

jl154 merging with OOO300_m1


2010-07-15  Daniel Rentz  <dr@openoffice.org>  [c845dbd5a8ebc204194b1f5960d8751963a70f3c]

mib17: #i112634# do not use an UNO interface to handle VBA BeforeSave and BeforePrint events


2010-07-14  Caol?n McNamara  <cmc@openoffice.org>  [78e0e85dbde3c7845ba8259c580b2853757d5d21]

cmcfixes76: #i112656# osl_setEnvironment/osl_clearEnvironment, can't find out of os/2 has setenv/unsetenv, so use putenv which I can definitely see in the ancient emx headers


2010-07-13  Daniel Rentz  <dr@openoffice.org>  [d38b893721ed88e76eef325863f243d226500059]

dr77: #i113097# make Sequence(sal_Int32) explicit


2010-07-13  Mathias Bauer  <mba@openoffice.org>  [d1c9b2d6543335c52067d7b7dca20c6f8c767af8]

CWS changehid: resync to m84


2010-07-13  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [fdae2041ecca02ddf6a9a74757a6240549601e81]

CWS gnumake2: resync to DEV300_m84


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [e96a6bc06b47cb07a477478b9fcf6e91fc3e2df3]

CWS-TOOLING: integrate CWS jl153_OOO330


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [7a63c7880b8d47baa41bd7ad13ea9d17483b840e]

CWS-TOOLING: integrate CWS configure25_OOO330


2010-07-12  Lars Langhans  <lla@openoffice.org>  [5572e4c7ba823a53a29f70644d608c3798df11a7]

sb123:merge


2010-07-12  sb  <sb@openoffice.org>  [ecdfaf85c5793b9324a301a32ad9d9d79a67f18e]

sb126: #i107490# dead code not removed by previous cleanup


2010-07-12  Daniel Rentz  <dr@openoffice.org>  [bc104ab612094e95c57b3b62c161b14d1766c8b5]

mib17: #i112634# API changes


2010-07-10  Mathias Bauer  <mba@openoffice.org>  [c7a871a2a15543900fb39c0d2c3e14ec6f88d9ff]

CWS changehid: #i111874#: change code to support HelpIds as byte strings


2010-07-09  Caol?n McNamara  <cmc@openoffice.org>  [6eb9a1ad1a777cb3cb1a3d1ea426d5b2c59a7524]

cmcfixes76: #i112656# fix up windows casts


2010-07-08  Caol?n McNamara  <cmc@openoffice.org>  [ebd179d35e8db3d03fb739fd82a647c0d9164075]

#i112656# osl_setEnvironment/osl_clearEnvironment, rtl_stringbuffer_newFromStringBuffer needs inited argument


2010-07-07  Daniel Rentz  <dr@openoffice.org>  [fbbb9a70293910ea0c95a465cf2467a75e00d85d]

mib17: adjusted codename handling in xls filter, do not restrict vba event handling to xls files


2010-07-07  sb  <sb@openoffice.org>  [fa8a6035614933694d1b0d5284a3e58de5ecff5a]

sb126: #i111184# introduced test::uniquePipeName


2010-07-07  sb  <sb@openoffice.org>  [e1958783e73668a45176f7331636a18c8bef3f9d]

sb126: #i107490# cppu lifecycle cleanup (patch by cmc, plus removal of now obsolete CPPU_LEAK_STATIC_DATA)


2010-07-06  Daniel Rentz  <dr@openoffice.org>  [ba276881288565e2271f696754f81aff283bc25e]

mib17: #i112634# add VBA sheet event handling, based on a patch from Noel Power


2010-07-06  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [68fe561b0096bd6a292daf4a04cb7f0bda2f0622]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/unoawt2


2010-07-06  Caol?n McNamara  <cmc@openoffice.org>  [f230968f55f7fb603f709d99dbba5853eec24577]

cmcfixes76: #i112656# osl_setEnvironment/osl_clearEnvironment


2010-07-06  Caol?n McNamara  <cmc@openoffice.org>  [738921cb8a797c46291bd37ebd598e8926dfc2b7]

cmcfixes76: #i112656# osl_clearEnvironment, MacOSX 10.4 has old-school void ret unsetenv


2010-07-05  Joachim Lingner  <jl@openoffice.org>  [52782ca48f788bbe817ea12e35cc099687aca60e]

jl154 #i112934# replace old license headers introduced by CWS jl152


2010-07-02  sb  <sb@openoffice.org>  [ec7167e0f5dcd0f010414be673b0b98fda2a34f3]

sb126: #i112784# do not leak ContextAdmin (patch by cmc)


2010-07-02  Malte Timmermann [mt]  <malte.timmermann@sun.com>  [06323c850056bef128ffe2c96e9e8fc0066d530e]

codecleanup02: merge with DEV300_m84


2010-07-01  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [0cd895e70c17a03a6c70eb46d2766ea7987cd741]

unoawt2: add XItemList same as for listbox model


2010-06-30  Joachim Lingner  <jl@openoffice.org>  [216eb3aa22f9c950981d11545caa8f2d7b5172f4]

jl154 merge with DEV300_m84


2010-06-30  sb  <sb@openoffice.org>  [340ac33474d4f802c667c5c2581f61854fa023d4]

sb126: merged in DEV300_m84


2010-06-30  Malte Timmermann  <Malte.Timmermann@sun.com>  [bbd0ed1e39475c441152a929a382565616355bed]

codecleanup02: #i112685# Removed ifdefs and code for MAC


2010-06-28  sb  <sb@openoffice.org>  [149ac56be57de26997daebd16ca611ec4ae8ae28]

sb126: #i111793# make cppuhelper/interfacecontainer strict aliasing safe (patch by cmc, with slight modifications)


2010-06-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9b1e23f5485bf809b36f6c3770a7139888d0adf5]

unoawt2: why the heck does the IDL compiler complain, but still build it? Fixed build breaker ...


2010-06-25  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [ba794f9ff6c96e00e6d6f3524249b3f46498a7f1]

Update from master repository (DEV300_m83).


2010-06-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [cee3c9271cc754195a29a46ed43d54f1d0ad89e9]

unoawt2: #i112684# let UNO Controls implement the (newly introduced) XStyleSettingsSupplier, giving access to their style, in particular, to the HC flag


2010-06-25  sb  <sb@openoffice.org>  [f33ed5240bcd3785ca78c7deb4de8b8ea5c28f66]

sb126: #i112681# make bridges match remotebridges (patch by cmc)


2010-06-24  Caol?n McNamara  <cmc@openoffice.org>  [e0d3765484b5b4d461fdedc3ab5540e6fec1c1f5]

cmcfixes76: #i112656# osl_setEnvironment/osl_clearEnvironment


2010-06-24  Carsten Driesner  <cd@openoffice.org>  [ee4aa88d9d2dbc5766a0054c9e78432071ecfb5c]

Merge changes


2010-06-23  obo  <obo@openoffice.org>  [2902d4875367d656411fbd6e8287f2d4bd4f5ab6]

CWS-TOOLING: integrate CWS calc55


2010-06-23  sb  <sb@openoffice.org>  [28f6da5c12e479e4c020c4deb2fb51f1beee4141]

sb126: #i109853# no need to set CPPU_ENV in cppu/inc/uno/lbnames.h


2010-06-22  Rene Engelhard  <rene@openoffice.org>  [3c05755278e694fff4602356cd434bd8b375c7f6]

configure25: #i111045# jemalloc


2010-06-22  obo  <obo@openoffice.org>  [c5fc80645c47f94f50a094c42acdaff1a7b57ac9]

CWS-TOOLING: integrate CWS mingwport30


2010-06-22  obo  <obo@openoffice.org>  [31aee5f3641d68dd74993c2a43867cca1c0918f9]

CWS-TOOLING: integrate CWS cmcfixes75


2010-06-22  Carsten Driesner  <cd@openoffice.org>  [27561914f0f43a98041e980dd869f5b74724caab]

dockingwindows: #i112595# First refactoring version of the layout manager including skeleton classes for new docking windows


2010-06-22  obo  <obo@openoffice.org>  [e49e2d331ea0221dfe20a209d7b2334dc8cec52d]

CWS-TOOLING: integrate CWS jl152


2010-06-22  obo  <obo@openoffice.org>  [87a43010009d08340ddb07777a6a798df8b58295]

CWS-TOOLING: integrate CWS dr76


2010-06-22  Joachim Lingner  <jl@openoffice.org>  [6aa8dd96adb6a40c7765d00c2287303346278723]

jl152 merge with DEV300_m83


2010-06-22  obo  <obo@openoffice.org>  [43ea45b295100d2c3144d397800016445dd8b68a]

CWS-TOOLING: integrate CWS mib16


2010-06-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [b4779b61880e0d7131595acdb757fd24ee213bd1]

unoawt2: createDialogWithArguments: use NamedValues instead of PropertyValues


2010-06-21  Daniel Rentz  <dr@openoffice.org>  [22cd7b19f19f2ab23377f581914b2d37d8a81bd8]

dr76: rebase to m83


2010-06-21  obo  <obo@openoffice.org>  [6607141b3cab66ddd9135b9d055472487a7d6aaa]

CWS-TOOLING: integrate CWS locales33a


2010-06-21  Daniel Rentz  <dr@openoffice.org>  [58b93c27c248d5869358a603600fcfdd50bbb106]

mib16: rebase to m83


2010-06-21  obo  <obo@openoffice.org>  [6efab9139910f65789c441f4c50d257ea319c93b]

CWS-TOOLING: integrate CWS systemlibc


2010-06-21  obo  <obo@openoffice.org>  [ae01eb92c0eb24f877526eeda2a495a8ac51dab0]

CWS-TOOLING: integrate CWS cbosdo03


2010-06-21  obo  <obo@openoffice.org>  [64c942cdb119357246939485de86e6d0daafc509]

CWS-TOOLING: integrate CWS calctabcolor


2010-06-20  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [93e1dd367a4f317914d6006ab376c7e6b8942fa3]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/unoawt2


2010-06-18  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [eb53ac783eaffed1e35fd5882456b8924c5e181c]

Update from cloned repository.


2010-06-18  Mikhail Voytenko  <mav@openoffice.org>  [98e2e1828e8da44ab8010543aa99cd95953a7cad]

rebase to m83


2010-06-18  obo  <obo@openoffice.org>  [60b8bd03e65650f64c0b0dcb467f21874870c70e]

CWS-TOOLING: integrate CWS tl78


2010-06-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [3d0fa53f98bc015eaf13bdd18e78130945e9806e]

fs33a: merged CWS unoawt2, implicit rebase to m83


2010-06-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [67fd04b7d71a2f7bdbc18b840a94fc8b457f189f]

unoawt2: allow creating dialogs with a parent window


2010-06-17  Niklas Nebel  <nn@openoffice.org>  [5e38e628be4a5e3c734111d94b6f5a025e3d8657]

calc55: merge with DEV300_m83


2010-06-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [31736374e2f401d10b48a05b32761be0aeb4ad40]

fs33a: merge after pulling latest changes from DEV300 (m81)


2010-06-17  Daniel Rentz  <dr@openoffice.org>  [c98c0916ec80db7eaa3717fc46e996c4b62b2dd6]

mib16: rebase to m82


2010-06-17  Mathias Bauer  <mba@openoffice.org>  [f223e9d9b7a2c9ec1438c83de32bc9616fce6c18]

CWS systemlibc: #i69033#: some fixes for mingw


2010-06-16  Mathias Bauer  <mba@openoffice.org>  [7e408c02d5cd94b7363403ef8b6f2c186c13718e]

CWS systemlibc: #i69033#: some fixes for Windows


2010-06-16  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [219b138d026b3038dad41b01de13f2ccdde1d137]

Update from master repository (DEV300_m82).


2010-06-16  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [12bc5eeb6fb829955434c2482a9c9f6e964c95df]

Added enclosing classname to FixedMemPool diagnosis.


2010-06-16  Joachim Lingner  <jl@openoffice.org>  [97e0021f7c221b768dbbd754669ae487a2aab23f]

jl153 merge with DEV300_m82


2010-06-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [732952c50a76812f04c1f058c9fb6ff8916349ef]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/fs33a


2010-06-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [46020e7ef2fceba95ccd1783db3876f790312f51]

fs33a: oops, forgot this addition to the documentation of the UnoControlListBoxModel in CWS unoawt


2010-06-15  Daniel Rentz  <dr@openoffice.org>  [10e963d38679429d8ce67b05a9cddd2e5260f03d]

mib16: contributed bugfixes and various new symbols in VBA compatibility implementation


2010-06-15  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [62f16428313bcc6610e360c3e697a3f6e6870ef4]

cbosdo03: merged with m82


2010-06-15  obo  <obo@openoffice.org>  [ed481da521b7a9a4320408f52c6b7f2feb109dd9]

CWS-TOOLING: integrate CWS impressbi01


2010-06-15  obo  <obo@openoffice.org>  [4d585ff9c1353bc1351081a32ced5210b63fcb14]

CWS-TOOLING: integrate CWS unoawt


2010-06-15  obo  <obo@openoffice.org>  [336963ddd12b48c3c1fb3c0ddef4d9cdf8ef2aeb]

CWS-TOOLING: integrate CWS chart47


2010-06-15  obo  <obo@openoffice.org>  [c6e09570bd5ede33ebb3faae65d91f5a75583093]

CWS-TOOLING: integrate CWS impress190


2010-06-15  Kohei Yoshida  <kyoshida@novell.com>  [385ed26f16f93c21cc6f51e7ecb1c74559da99c3]

calctabcolor: rebased to DEV300_m82.


2010-06-14  Christian Lippka  <christian.lippka@sun.com>  [cd6a2dd32d7c5710d1cf678a0bba049448685084]

cws impress190: rebase m82


2010-06-14  obo  <obo@openoffice.org>  [db6cc62f4ef1e8bbbba6d322cb1f5568dfa2ed09]

CWS-TOOLING: integrate CWS tl80


2010-06-14  obo  <obo@openoffice.org>  [c0825b79748727223af163d661106d4cd385e38b]

CWS-TOOLING: integrate CWS dv12


2010-06-14  Thomas Lange [tl]  <tl@openoffice.org>  [93e25b618c9b05f19fe4c7ad9609a60719a1e9fd]

CWS tl80: merge with DEV300_m82


2010-06-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9194ab3996d7cb96ab12fcbe384b6d933e433662]

jl152: Local merge


2010-06-14  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [dff852fdc3a62c65922d46255491e6188e00d03b]

Update from master repository (DEV300_m82).


2010-06-11  Caolán McNamara  <cmc@openoffice.org>  [429e08deb5aceed72bc1c332205d78d2ce6471c4]

cmcfixes75: merge with DEV300 m81


2010-06-11  Joachim Lingner  <jl@openoffice.org>  [29a7d43d619b92f02d6b2208266d9d462739fe17]

jl153 merging heads


2010-06-11  Joachim Lingner  <jl@openoffice.org>  [f84019bb376ec2d4d6a2db7f606f9a64969c920f]

jl153 i111878 new versions for cli assemblies


2010-06-11  Joachim Lingner  <jl@openoffice.org>  [75a2c9ba1a2b825375097555a961912270deea41]

jl152 #i77196# marking two bootstrap variables as deprecated in the header comment, because they were used when running unopkg during the setup


2010-06-10  Eike Rathke  <erack@openoffice.org>  [6578462927a5b234170b66888c65f2a6d95e94e4]

locales33a: #i111019# fixed locale parser/composer for three-letter language codes


2010-06-10  Niklas Nebel  <nn@openoffice.org>  [11fc0ac8a1a0aa8d73de676a61f6667ce5208a71]

calc55: merge with DEV300_m81


2010-06-10  Eike Rathke  <erack@openoffice.org>  [646755c5ccc6dec96e7afd035594a4ee0acf597f]

locales33a: merge with m81


2010-06-09  obo  <obo@openoffice.org>  [fcc2791530458a6d3d1109fe9b5476e6f3f87b0f]

CWS-TOOLING: integrate CWS tl74


2010-06-09  obo  <obo@openoffice.org>  [c42257518c9ccfe4215f81304ef4b0c04432288a]

CWS-TOOLING: integrate CWS koheiextref01


2010-06-09  Thomas Lange [tl]  <tl@openoffice.org>  [e66541556ac7fc451ddeb14dc8e97cfe5c4d5a70]

cws tl74: merge with DEV300_m81


2010-06-09  Caolán McNamara  <cmc@openoffice.org>  [39a94c3366d8091908b049304a5d483d881c48e6]

cmcfixes75: merge with DEV300 m81


2010-06-09  obo  <obo@openoffice.org>  [9fbee5493ab75606c97f478c055838f5439ace14]

CWS-TOOLING: integrate CWS chartpositioning


2010-06-09  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [13340c27bc5c60725c2131815efe66fd27d27552]

Update from master repository (DEV300_m81).


2010-06-09  obo  <obo@openoffice.org>  [299f784f1d0b333648dd1f7afcb17c3cd5c32758]

CWS-TOOLING: integrate CWS kfreebsdport01v2


2010-06-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4350b4a7a6886dde2e38b9e9da0594c4fa12507f]

jl152: Local branch merge


2010-06-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [42faebac3eca9c878e29d98c5a99df91c4d4184f]

Automated merge with http://x42-so4:8009/ooo


2010-06-07  Joachim Lingner  <jl@openoffice.org>  [d0a418347df7bd3dbba5c68d207f1ebd6f3c4071]

jl152 #i77196# fixing merge conflicts


2010-06-07  Christian Lippka  <christian.lippka@sun.com>  [396aa168e38a9937e508b0d50c80d62b50590ec7]

cws impress190: merging


2010-06-07  Eike Rathke [er]  <erAck@sun.com>  [3adcf613e511d6b8225199ffa193e896c5f54266]

calc55: merge


2010-06-07  Eike Rathke [er]  <erAck@sun.com>  [b3414a5ba8e8ae9a65160cfafa8c29d80426bd8b]

calc55: #i40309# #i31656# #i103458# improved accuracy of Bessel functions; patch from <regina>


2010-06-07  Joachim Lingner  <jl@openoffice.org>  [dddc33caa3075e4f05bb2485cff016086796d741]

jl152 merge with DEV300_m80


2010-06-05  tono  <tono@openoffice.org>  [d6c78b8eebc17412ce369f13eed9472c40046ceb]

mingwport30: merge with DEV300 m80


2010-06-04  sj  <sj@openoffice.org>  [72b7ed04bc77c7a07d258083c9a0b6f0cb34ae2b]

impress190: merge with dev300_m80


2010-06-04  sj  <sj@openoffice.org>  [f84272b63de5318600aeedbfaa655cfc124eb310]

impress190: #i112086# added support of CustomGeometry


2010-06-04  Thomas Benisch  <tbe@openoffice.org>  [fb773244f3dd879c13bb420443f38781178e5e6a]

calc55: #i112084# All charts in a Calc document are loaded when saving the document


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [d4e5a6f028eeda233d60a110939260cb3a4b435d]

CWS-TOOLING: integrate CWS rt38


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [535c196beb9a94eca7eacb98f64eba78ab22b258]

CWS-TOOLING: integrate CWS dba33f


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [dfeb0a5fd64ce3e6e2c7d3172836222fda4a5783]

CWS-TOOLING: integrate CWS slidecopy


2010-06-03  ka  <kai.ahrens@sun.com>  [ed65eefd22d3a05aa4b94968a4eda9de0b258019]

impressbi01: latest changes


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8c395eb2021df46c83809eafcabe19ff523c96dd]

slidecopy: merge after copying in CWS renaissance2


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [332b4cfb78e67e1ca629c145a69eacb8a4ac0443]

unoawt: merged in latest changes from CWS slidecopy (rebase to m80)


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [de18d78e19d61d3d1b6a4d4b61ce51ac952fcf85]

slidecopy: merged latest DEV300.m80 changes


2010-06-03  Thomas Lange [tl]  <tl@openoffice.org>  [cc86cf6f17af935a79371b64bfd11de3a9564415]

cws tl78: merge with DEV300_m80


2010-06-02  Ruediger Timm  <rt@openoffice.org>  [425c8f4a3cf3da14edeba6357249bd007445a181]

